-- --------------------------------------------------------
-- 主机:                           10.101.8.166
-- 服务器版本:                        5.6.37 - MySQL Community Server (GPL)
-- 服务器操作系统:                      linux-glibc2.12
-- HeidiSQL 版本:                  9.5.0.5278
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


-- 导出 yc 的数据库结构
DROP DATABASE IF EXISTS `yc`;
CREATE DATABASE IF NOT EXISTS `yc` /*!40100 DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci */;
USE `yc`;

-- 导出  表 yc.cfg_sys_reso 结构
DROP TABLE IF EXISTS `cfg_sys_reso`;
CREATE TABLE IF NOT EXISTS `cfg_sys_reso` (
  `cfg_sys_reso_id` int(10) NOT NULL AUTO_INCREMENT COMMENT '系统基础系统资源id',
  `reso_code` varchar(8) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '资源code',
  `reso_name` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '资源名称',
  `parent_reso_code` varchar(8) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '父资源code',
  `parent_reso_codes` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL,
  `permission` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '权限字符串',
  `url` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '路径',
  `reso_type_code` varchar(8) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '资源类型code:{cfg_gen：类型0004}',
  `reso_plat_code` varchar(8) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '资源平台code:{cfg_gen：类型0005}',
  `sc_type_code` varchar(8) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '快捷方式模块名',
  `crt_time` datetime NOT NULL COMMENT '创建时间',
  `crt_user_code` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '创建用户code',
  `upd_time` datetime DEFAULT NULL COMMENT '更新时间',
  `upd_user_code` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '更新用户code',
  `del_flg` tinyint(1) NOT NULL COMMENT '删除flag:{0：未删除；1：删除}',
  `ver_num` int(10) NOT NULL COMMENT '版本号码',
  PRIMARY KEY (`cfg_sys_reso_id`),
  UNIQUE KEY `unique_cfg_sys_reso_code` (`reso_code`)
) ENGINE=InnoDB AUTO_INCREMENT=243 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='系统基础－系统资源表';

-- 正在导出表  yc.cfg_sys_reso 的数据：~19 rows (大约)
DELETE FROM `cfg_sys_reso`;
/*!40000 ALTER TABLE `cfg_sys_reso` DISABLE KEYS */;
INSERT INTO `cfg_sys_reso` (`cfg_sys_reso_id`, `reso_code`, `reso_name`, `parent_reso_code`, `parent_reso_codes`, `permission`, `url`, `reso_type_code`, `reso_plat_code`, `sc_type_code`, `crt_time`, `crt_user_code`, `upd_time`, `upd_user_code`, `del_flg`, `ver_num`) VALUES
	(127, '1', '资源', '0', '0/', '', '', '00040003', '00050003', NULL, '2017-12-02 09:06:55', 'admin', '2017-12-02 08:09:00', NULL, 0, 0),
	(128, '82', '系统管理', '1', '0/1/', 'sys:menu', 'menus', '00040003', '00050003', NULL, '2017-12-02 09:07:01', 'admin', '2017-12-02 08:09:00', 'admin', 0, 1),
	(130, '175', '权限管理', '82', '0/1/82/', 'auth:menu', '', '00040003', '00050003', NULL, '2017-12-01 23:17:42', 'admin', '2017-12-02 08:08:00', 'admin', 0, 2),
	(131, '176', '用户管理', '175', '0/1/82/175/', 'user:view', 'user', '00040003', '00050003', NULL, '2017-12-01 23:18:32', 'admin', '2017-12-01 23:18:32', NULL, 0, 1),
	(132, '177', '菜单管理', '175', '0/1/82/175/', 'resource:view', 'resource', '00040003', '00050003', NULL, '2017-12-01 23:19:16', 'admin', '2017-12-01 23:19:16', NULL, 0, 1),
	(133, '178', '新增', '176', '0/1/82/175/176/', 'user:create', '', '00040004', '00050003', NULL, '2017-12-01 23:19:48', 'admin', '2017-12-01 23:19:48', NULL, 0, 1),
	(134, '179', '新增', '177', '0/1/82/175/177/', 'resource:create', '', '00040004', '00050003', NULL, '2017-12-01 23:20:17', 'admin', '2017-12-01 23:20:17', NULL, 0, 1),
	(135, '180', '修改', '177', '0/1/82/175/177/', 'resource:update', '', '00040004', '00050003', NULL, '2017-12-01 23:20:56', 'admin', '2017-12-01 23:20:56', NULL, 0, 1),
	(136, '181', '修改', '176', '0/1/82/175/176/', 'user:update', '', '00040004', '00050003', NULL, '2017-12-01 23:21:27', 'admin', '2017-12-01 23:21:27', NULL, 0, 1),
	(137, '182', '删除', '176', '0/1/82/175/176/', 'user:delete', '', '00040004', '00050003', NULL, '2017-12-01 23:21:57', 'admin', '2017-12-01 23:21:57', NULL, 0, 1),
	(138, '183', '删除', '177', '0/1/82/175/177/', 'resource:delete', '', '00040004', '00050003', NULL, '2017-12-01 23:22:29', 'admin', '2017-12-01 23:22:29', NULL, 0, 1),
	(139, '184', '角色管理', '175', '0/1/82/175/', 'role:view', 'role', '00040003', '00050003', NULL, '2017-12-01 23:23:24', 'admin', '2017-12-01 23:23:24', NULL, 0, 1),
	(140, '185', '新增', '184', '0/1/82/175/184/', 'role:create', '', '00040004', '00050003', NULL, '2017-12-01 23:23:44', 'admin', '2017-12-01 23:23:44', NULL, 0, 1),
	(141, '186', '修改', '184', '0/1/82/175/184/', 'role:update', '', '00040004', '00050003', NULL, '2017-12-01 23:24:05', 'admin', '2017-12-01 23:24:05', NULL, 0, 1),
	(142, '187', '删除', '184', '0/1/82/175/184/', 'role:delete', '', '00040004', '00050003', NULL, '2017-12-01 23:24:36', 'admin', '2017-12-01 23:24:36', NULL, 0, 1),
	(143, '188', '授权管理', '175', '0/1/82/175/', 'authorization:view', 'authorization', '00040003', '00050003', NULL, '2017-12-01 23:25:19', 'admin', '2017-12-01 23:25:19', NULL, 0, 1),
	(144, '189', '新增', '188', '0/1/82/175/188/', 'authorization:create', '', '00040004', '00050003', NULL, '2017-12-01 23:25:43', 'admin', '2017-12-01 23:25:43', NULL, 0, 1),
	(145, '190', '修改', '188', '0/1/82/175/188/', 'authorization:update', '', '00040004', '00050003', NULL, '2017-12-01 23:26:02', 'admin', '2017-12-01 23:26:02', NULL, 0, 1),
	(146, '191', '删除', '188', '0/1/82/175/188/', 'authorization:delete', '', '00040004', '00050003', NULL, '2017-12-01 23:26:22', 'admin', '2017-12-01 23:26:22', NULL, 0, 1);
/*!40000 ALTER TABLE `cfg_sys_reso` ENABLE KEYS */;

-- 导出  表 yc.mst_inter_user_base 结构
DROP TABLE IF EXISTS `mst_inter_user_base`;
CREATE TABLE IF NOT EXISTS `mst_inter_user_base` (
  `mst_inter_user_base_id` int(10) NOT NULL AUTO_INCREMENT COMMENT '业务基础内部用户基本id',
  `inter_user_code` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '内部用户code',
  `user_name` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '用户名称',
  `salt` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '盐',
  `user_pwd` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '用户密码',
  `mob_num` varchar(16) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '手机号码',
  `eml` varchar(128) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '邮件',
  `avtr_url` varchar(128) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '头像url',
  `postn_code` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '岗位code',
  `web_aces_flg` tinyint(1) NOT NULL COMMENT 'web管理系统链接flag:{0：不可链接web管理系统；1：可以链接管理系统}',
  `app_aces_flg` tinyint(1) NOT NULL COMMENT 'app链接flag:{0：不可链接app；1：可以链接app}',
  `device_Id` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '用户手机设备号',
  `crt_time` datetime NOT NULL COMMENT '创建时间',
  `crt_user_code` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '创建用户code',
  `upd_time` datetime DEFAULT NULL COMMENT '更新时间',
  `upd_user_code` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '更新用户code',
  `del_flg` tinyint(1) NOT NULL COMMENT '删除flag:{0：未删除；1：删除}',
  `ver_num` int(10) NOT NULL COMMENT '版本号码',
  PRIMARY KEY (`mst_inter_user_base_id`),
  UNIQUE KEY `unique_mst_inter_user_base_code` (`inter_user_code`),
  UNIQUE KEY `unique_mob_num` (`mob_num`),
  UNIQUE KEY `unique_user_name` (`user_name`)
) ENGINE=InnoDB AUTO_INCREMENT=522 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='业务基础－内部用户基本表';

-- 正在导出表  yc.mst_inter_user_base 的数据：~15 rows (大约)
DELETE FROM `mst_inter_user_base`;
/*!40000 ALTER TABLE `mst_inter_user_base` DISABLE KEYS */;
INSERT INTO `mst_inter_user_base` (`mst_inter_user_base_id`, `inter_user_code`, `user_name`, `salt`, `user_pwd`, `mob_num`, `eml`, `avtr_url`, `postn_code`, `web_aces_flg`, `app_aces_flg`, `device_Id`, `crt_time`, `crt_user_code`, `upd_time`, `upd_user_code`, `del_flg`, `ver_num`) VALUES
	(1, 'admin', 'admin', '89383daf6b6fd9f3c538f406ce637f18', '95ace3559c24fb06495980c7f32c6f555c97612c53357eeb3cfa2638ec68867f', '18888888888', 'admin@example.com', '/static/pub/defaultImg/00480003.jpg', 'PC001', 1, 1, NULL, '2017-11-08 13:27:24', 'sys001', '2018-04-04 16:27:59', 'admin', 0, 9),
	(376, 'MIUB67278352112296726C74', 'xiaoshou1', 'A8BEF532D1044D8AB66BEBC02D6FD953', '00c2d0b2e0577b8ff87832d85d7026da0ebddc8d505ac17b4149d5f3223180af', '13588660011', NULL, NULL, 'PC001', 1, 1, '', '2018-03-01 16:48:28', 'MIUB6720791486038530946D', '2018-03-15 14:31:00', 'sys', 0, 63),
	(377, 'MIUB6727871185664418E096', 'xiaoshouzhuguan1', 'A8BEF532D1044D8AB66BEBC02D6FD953', '00c2d0b2e0577b8ff87832d85d7026da0ebddc8d505ac17b4149d5f3223180af', '13588660012', NULL, NULL, 'PC001', 1, 1, '', '2018-03-01 16:49:04', 'MIUB6720791486038530946D', '2018-03-14 13:44:10', 'MIUB6716224686864175BA7C', 0, 16),
	(378, 'MIUB67280978929419618283', 'jingli1', 'A8BEF532D1044D8AB66BEBC02D6FD953', '00c2d0b2e0577b8ff87832d85d7026da0ebddc8d505ac17b4149d5f3223180af', '13588660013', NULL, NULL, 'PC001', 1, 1, '', '2018-03-01 16:52:50', 'MIUB6720791486038530946D', '2018-03-19 11:39:38', 'sys', 0, 119),
	(379, 'MIUB672817294973202722F0', 'fangwuzhuguan1', 'A8BEF532D1044D8AB66BEBC02D6FD953', '00c2d0b2e0577b8ff87832d85d7026da0ebddc8d505ac17b4149d5f3223180af', '13588660014', NULL, NULL, 'PC001', 1, 1, '', '2018-03-01 16:54:06', 'MIUB6720791486038530946D', '2018-03-14 17:28:14', 'sys', 0, 10),
	(380, 'MIUB6728924929993947B3DC', 'hushizhang1', 'A8BEF532D1044D8AB66BEBC02D6FD953', '00c2d0b2e0577b8ff87832d85d7026da0ebddc8d505ac17b4149d5f3223180af', '13588660015', NULL, NULL, 'PC001', 1, 1, '', '2018-03-01 17:06:38', 'MIUB6720791486038530946D', '2018-03-15 10:32:45', 'sys', 0, 20),
	(381, 'MIUB672899259637671160D9', 'hushi1', 'A8BEF532D1044D8AB66BEBC02D6FD953', '00c2d0b2e0577b8ff87832d85d7026da0ebddc8d505ac17b4149d5f3223180af', '13588660016', NULL, NULL, 'PC001', 1, 1, '', '2018-03-01 17:07:45', 'MIUB6720791486038530946D', '2018-03-14 17:12:56', 'sys', 0, 7),
	(514, 'MIUB85206874682164540762', '17611110033', 'e66ae5b0f4dd9f202c3866b103834791', '9d16149056ce64be40595d85172b6bc2be292bd0ec4872c2c49533d9ccec5507', '17611110033', NULL, NULL, 'PC001', 1, 1, NULL, '2018-03-22 10:49:21', 'SYSUSER', '2018-03-22 10:49:21', NULL, 0, 1),
	(515, 'MIUB8539523501948555A6E7', '17611110043', 'e185553096e583e84c9a9dff9fa02912', 'df6dd27332491a586bd45fe19a217a4a49afe25c813580d49ba10c3aed4ead6f', '17611110043', NULL, NULL, 'PC001', 1, 1, NULL, '2018-03-22 16:03:17', 'SYSUSER', '2018-03-22 16:03:17', NULL, 0, 1),
	(516, 'MIUB8541119792451517A616', '17611110044', '2882a83e2a9740320dfc79d802c0c58b', 'fe569a4e64f7fbe2e8ac8c1ab4a6094ed9d697585b14805d72551c3cb65d677d', '17611110044', NULL, NULL, 'PC001', 1, 1, NULL, '2018-03-22 16:29:53', 'SYSUSER', '2018-03-22 16:29:53', NULL, 0, 1),
	(517, 'MIUB8542387466929109F4B0', '17611110045', 'a1f095d66b8549418d4df1fb33fa1a75', '0fe01415750e9cdd840098aeecc980f5416f80d2e1c436db879fada14c1a0eda', '17611110045', NULL, NULL, 'PC001', 1, 1, NULL, '2018-03-22 16:51:01', 'SYSUSER', '2018-03-22 16:51:01', NULL, 0, 1),
	(518, 'MIUB85440668891227646217', '17611110046', '1b875f0e513de9ab05f2572b43a18d0d', '9d44068a24c525eac4a01f14d0b0d181df67f2e59a91c231004f60040561e15f', '17611110046', NULL, NULL, 'PC001', 1, 1, NULL, '2018-03-22 17:19:00', 'SYSUSER', '2018-03-22 17:37:47', NULL, 0, 2),
	(519, 'MIUB86163971834838765D5E', 'jinganfangzhen', 'def6b2ea1ba8947d58f46c1e7537898b', '589bf5255ff1acd4143d6f52408c67db8ca9d7bfed035d74842a76858faa7a2b', '17611110049', NULL, NULL, 'PC001', 1, 1, NULL, '2018-03-23 13:24:30', 'MIUB6716224686864175BA7C', '2018-03-23 13:24:30', NULL, 0, 1),
	(520, 'MIUB861648783946477782AF', 'fangzhenjingli', '71f857923c0e8b169d5f7bc707e042db', 'd13c396a4e0b190ea70bcf139fb729932685e192255e35e96859eaa6fb63e7e6', '17611110050', NULL, NULL, 'PC001', 1, 1, NULL, '2018-03-23 13:26:01', 'MIUB6716224686864175BA7C', '2018-03-23 13:26:01', NULL, 0, 1),
	(521, 'MIUB86193381321544696F42', '17611110051', '7252aaddd88435c4dda29893d95f69e2', 'c2cec26deb89155a5fbecdc89c21826fb121d57bfce39ec5a65e377c4243a4f7', '17611110051', NULL, NULL, 'PC001', 1, 1, NULL, '2018-03-23 14:13:31', 'SYSUSER', '2018-03-23 14:13:31', NULL, 0, 1);
/*!40000 ALTER TABLE `mst_inter_user_base` ENABLE KEYS */;

-- 导出  表 yc.mst_inter_user_dtl 结构
DROP TABLE IF EXISTS `mst_inter_user_dtl`;
CREATE TABLE IF NOT EXISTS `mst_inter_user_dtl` (
  `mst_inter_user_dtl_id` int(10) NOT NULL AUTO_INCREMENT COMMENT '业务基础内部用户详细id',
  `inter_user_code` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '内部用户code',
  `user_last_name` varchar(16) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '用户姓氏',
  `user_first_name` varchar(16) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '用户名字',
  `user_nk_name` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '用户昵称',
  `user_sign` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '用户签名',
  `user_dob` int(8) DEFAULT NULL COMMENT '用户生日',
  `gder_flg` tinyint(1) NOT NULL COMMENT '性别flag:{0：女；1：男}',
  `loct_prov_code` varchar(4) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '所在省code',
  `loct_city_code` varchar(4) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '所在市code',
  `loct_addr` varchar(128) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '所在地址',
  `post_no` varchar(8) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '邮政编号',
  `crt_time` datetime NOT NULL COMMENT '创建时间',
  `crt_user_code` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '创建用户code',
  `upd_time` datetime DEFAULT NULL COMMENT '更新时间',
  `upd_user_code` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '更新用户code',
  `del_flg` tinyint(1) NOT NULL COMMENT '删除flag:{0：未删除；1：删除}',
  `ver_num` int(10) NOT NULL COMMENT '版本号码',
  PRIMARY KEY (`mst_inter_user_dtl_id`),
  KEY `unique_mst_inter_user_dtl_code` (`inter_user_code`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=750 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='业务基础－内部用户详细表';

-- 正在导出表  yc.mst_inter_user_dtl 的数据：~21 rows (大约)
DELETE FROM `mst_inter_user_dtl`;
/*!40000 ALTER TABLE `mst_inter_user_dtl` DISABLE KEYS */;
INSERT INTO `mst_inter_user_dtl` (`mst_inter_user_dtl_id`, `inter_user_code`, `user_last_name`, `user_first_name`, `user_nk_name`, `user_sign`, `user_dob`, `gder_flg`, `loct_prov_code`, `loct_city_code`, `loct_addr`, `post_no`, `crt_time`, `crt_user_code`, `upd_time`, `upd_user_code`, `del_flg`, `ver_num`) VALUES
	(575, 'MIUB67278352112296726C74', '销售', '啊', NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, '2018-03-01 16:48:28', 'MIUB6720791486038530946D', '2018-03-01 16:48:28', NULL, 1, 1),
	(576, 'MIUB6727871185664418E096', '销售主管', '啊', NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, '2018-03-01 16:49:04', 'MIUB6720791486038530946D', '2018-03-01 16:49:04', NULL, 1, 1),
	(577, 'MIUB67280978929419618283', '经理', '啊', NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, '2018-03-01 16:52:50', 'MIUB6720791486038530946D', '2018-03-01 16:52:50', NULL, 1, 1),
	(578, 'MIUB672817294973202722F0', '房务主管', '啊', NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, '2018-03-01 16:54:06', 'MIUB6720791486038530946D', '2018-03-01 16:54:06', NULL, 1, 1),
	(579, 'MIUB6728924929993947B3DC', '护士长', '啊', NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, '2018-03-01 17:06:38', 'MIUB6720791486038530946D', '2018-03-01 17:06:38', NULL, 1, 1),
	(580, 'MIUB672899259637671160D9', '护士', '啊', NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, '2018-03-01 17:07:45', 'MIUB6720791486038530946D', '2018-03-01 17:07:45', NULL, 1, 1),
	(657, 'MIUB67278352112296726C74', '销售', '啊', NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, '2018-03-14 13:43:47', 'MIUB6716224686864175BA7C', '2018-03-14 13:43:47', NULL, 0, 1),
	(658, 'MIUB6727871185664418E096', '销售主管', '啊', NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, '2018-03-14 13:44:10', 'MIUB6716224686864175BA7C', '2018-03-14 13:44:10', NULL, 0, 1),
	(659, 'MIUB67280978929419618283', '经理', '啊', NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, '2018-03-14 13:44:21', 'MIUB6716224686864175BA7C', '2018-03-14 13:44:21', NULL, 0, 1),
	(660, 'MIUB672817294973202722F0', '房务主管', '啊', NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, '2018-03-14 13:45:24', 'MIUB6716224686864175BA7C', '2018-03-14 13:45:24', NULL, 0, 1),
	(661, 'MIUB6728924929993947B3DC', '护士长', '啊', NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, '2018-03-14 13:45:34', 'MIUB6716224686864175BA7C', '2018-03-14 13:45:34', NULL, 0, 1),
	(662, 'MIUB672899259637671160D9', '护士', '啊', NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, '2018-03-14 13:45:46', 'MIUB6716224686864175BA7C', '2018-03-14 13:45:46', NULL, 0, 1),
	(740, 'MIUB85206874682164540762', '一呀', '一呀', NULL, NULL, 19930312, 0, NULL, NULL, NULL, NULL, '2018-03-22 10:49:21', 'SYSUSER', '2018-03-22 10:49:21', NULL, 0, 1),
	(741, 'MIUB8539523501948555A6E7', 'uu', 'wsw', NULL, NULL, 19930312, 0, NULL, NULL, NULL, NULL, '2018-03-22 16:03:17', 'SYSUSER', '2018-03-22 16:03:17', NULL, 0, 1),
	(742, 'MIUB8541119792451517A616', '是是是', '订单', NULL, NULL, 19930312, 0, NULL, NULL, NULL, NULL, '2018-03-22 16:29:53', 'SYSUSER', '2018-03-22 16:29:53', NULL, 0, 1),
	(743, 'MIUB8542387466929109F4B0', '是v', '发', NULL, NULL, 19930312, 0, NULL, NULL, NULL, NULL, '2018-03-22 16:51:01', 'SYSUSER', '2018-03-22 16:51:01', NULL, 0, 1),
	(744, 'MIUB85440668891227646217', '余', '加', NULL, NULL, 19930312, 0, NULL, NULL, NULL, NULL, '2018-03-22 17:19:00', 'SYSUSER', '2018-03-22 17:19:00', NULL, 1, 1),
	(745, 'MIUB85440668891227646217', '余', '加', NULL, NULL, 19930312, 0, NULL, NULL, NULL, NULL, '2018-03-22 17:37:47', 'SYSUSER', '2018-03-22 17:37:47', NULL, 0, 1),
	(746, 'MIUB86163971834838765D5E', '静安', '仿真', NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, '2018-03-23 13:24:30', 'MIUB6716224686864175BA7C', '2018-03-23 13:24:30', NULL, 0, 1),
	(747, 'MIUB861648783946477782AF', '仿真', '经理', NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, '2018-03-23 13:26:01', 'MIUB6716224686864175BA7C', '2018-03-23 13:26:01', NULL, 0, 1),
	(748, 'MIUB86193381321544696F42', '顾', '朝霞', NULL, NULL, 19770920, 0, NULL, NULL, NULL, NULL, '2018-03-23 14:13:31', 'SYSUSER', '2018-03-23 14:13:31', NULL, 0, 1);
/*!40000 ALTER TABLE `mst_inter_user_dtl` ENABLE KEYS */;

-- 导出  表 yc.mst_inter_user_roll 结构
DROP TABLE IF EXISTS `mst_inter_user_roll`;
CREATE TABLE IF NOT EXISTS `mst_inter_user_roll` (
  `mst_inter_user_roll_id` int(10) NOT NULL AUTO_INCREMENT COMMENT '业务基础内部用户角色id',
  `inter_user_code` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '内部用户code',
  `subsy_code` varchar(16) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '公司code',
  `roll_code` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '角色code',
  `disp_seq` int(3) DEFAULT NULL COMMENT '显示顺序',
  `crt_time` datetime NOT NULL COMMENT '创建时间',
  `crt_user_code` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '创建用户code',
  `upd_time` datetime DEFAULT NULL COMMENT '更新时间',
  `upd_user_code` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '更新用户code',
  `del_flg` tinyint(1) NOT NULL COMMENT '删除flag:{0：未删除；1：删除}',
  `ver_num` int(10) NOT NULL COMMENT '版本号码',
  PRIMARY KEY (`mst_inter_user_roll_id`),
  KEY `inter_user_code` (`inter_user_code`)
) ENGINE=InnoDB AUTO_INCREMENT=1652 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='业务基础－内部用户角色表';

-- 正在导出表  yc.mst_inter_user_roll 的数据：~262 rows (大约)
DELETE FROM `mst_inter_user_roll`;
/*!40000 ALTER TABLE `mst_inter_user_roll` DISABLE KEYS */;
INSERT INTO `mst_inter_user_roll` (`mst_inter_user_roll_id`, `inter_user_code`, `subsy_code`, `roll_code`, `disp_seq`, `crt_time`, `crt_user_code`, `upd_time`, `upd_user_code`, `del_flg`, `ver_num`) VALUES
	(31, 'admin', 'fangsu', 'admin', NULL, '2017-11-13 09:47:40', 'sysUser', NULL, NULL, 0, 0),
	(32, 'MIUB16259070047001465918', '3130113001', 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', NULL, '2017-12-11 16:59:36', 'admin', NULL, NULL, 0, 1),
	(81, 'MIUB16274398245726528E98', '3130113001', 'MRB17121117150678C2EF4568974563A74912C437A42BE9', NULL, '2017-12-11 17:16:50', 'admin', NULL, NULL, 0, 1),
	(84, 'MIUB234238028012', '3130113001', 'ROLL003', NULL, '2017-12-11 14:23:33', 'root', NULL, NULL, 0, 0),
	(85, 'MIUB234238028013', '3130113001', 'ROLL004', NULL, '2017-12-11 14:23:33', 'root', NULL, NULL, 0, 0),
	(87, 'MIUB234238028015', '3130113001', 'ROLL008', NULL, '2017-12-11 14:23:33', 'root', NULL, NULL, 0, 0),
	(92, 'MIUB234238028020', '3130113001', 'ROLL009', NULL, '2017-12-11 14:23:33', 'root', NULL, NULL, 0, 1),
	(187, 'MIUB234238028010', '3130113001', 'ROLL008', NULL, '2017-12-14 14:28:41', 'root', '2017-12-14 14:28:41', 'root', 0, 0),
	(190, 'MIUB234238028015', '3130113001', 'ROLL006', NULL, '2017-12-14 14:28:41', 'root', '2017-12-14 14:28:41', 'root', 0, 0),
	(205, 'MIUB234238028018', '3130113001', 'ROLL006', NULL, '2017-12-15 11:15:13', 'admin', NULL, NULL, 0, 1),
	(206, 'MIUB234238028018', '3130113001', 'ROLL009', NULL, '2017-12-15 11:15:13', 'admin', NULL, NULL, 0, 1),
	(207, 'MIUB234238028018', '3130113001', 'ROLL010', NULL, '2017-12-15 11:15:13', 'admin', NULL, NULL, 0, 1),
	(208, 'MIUB234238028019', '3130113001', 'ROLL006', NULL, '2017-12-15 11:16:07', 'admin', NULL, NULL, 0, 1),
	(209, 'MIUB234238028019', '3130113001', 'ROLL009', NULL, '2017-12-15 11:16:07', 'admin', NULL, NULL, 0, 1),
	(210, 'MIUB234238028019', '3130113001', 'ROLL010', NULL, '2017-12-15 11:16:07', 'admin', NULL, NULL, 0, 1),
	(214, 'MIUB395618392368737B9EC', '3130113001', 'ROLL007', NULL, '2017-12-18 09:53:20', 'admin', NULL, NULL, 0, 1),
	(216, 'MIUB234238028022', '3130113001', 'ROLL006', NULL, '2017-12-19 16:54:21', 'admin', NULL, NULL, 0, 1),
	(217, 'MIUB234238028025', '3130113001', 'ROLL006', NULL, '2017-12-19 16:54:49', 'admin', NULL, NULL, 0, 1),
	(219, 'MIUB234238028023', '3130113001', 'ROLL006', NULL, '2017-12-19 16:55:20', 'admin', NULL, NULL, 0, 1),
	(220, 'MIUB234238028024', '3130113001', 'ROLL006', NULL, '2017-12-19 16:55:45', 'admin', NULL, NULL, 0, 1),
	(221, 'MIUB234238028026', '3130113001', 'ROLL006', NULL, '2017-12-19 16:56:13', 'admin', NULL, NULL, 0, 1),
	(263, 'MIUB234238028012', '3130117001', 'ROLL003', NULL, '2017-12-25 11:59:17', 'admin', NULL, NULL, 0, 1),
	(265, 'MIUB1013484988818287C5E4', '3130117001', 'ROLL007', NULL, '2017-12-25 13:31:25', 'admin', NULL, NULL, 0, 1),
	(266, 'MIUB10137965911371388DD6', '3130117001', 'ROLL008', NULL, '2017-12-25 13:34:51', 'admin', NULL, NULL, 0, 1),
	(273, 'MIUB1016309369498051B04C', '3130117001', 'ROLL009', NULL, '2017-12-25 14:17:43', 'admin', NULL, NULL, 0, 1),
	(274, 'MIUB1016426874771963CCD0', '3130117001', 'ROLL010', NULL, '2017-12-25 14:18:45', 'admin', NULL, NULL, 0, 1),
	(275, 'MIUB10165012435607543646', '3130117001', 'ROLL010', NULL, '2017-12-25 14:19:55', 'admin', NULL, NULL, 0, 1),
	(276, 'MIUB234238028078', '3130113001', 'ROLL005', NULL, '2017-12-25 14:58:36', 'admin', NULL, NULL, 0, 1),
	(277, 'MIUB234238028078', '3130113001', 'ROLL008', NULL, '2017-12-25 14:58:36', 'admin', NULL, NULL, 0, 1),
	(278, 'MIUB234238028078', '3130113001', 'ROLL009', NULL, '2017-12-25 14:58:36', 'admin', NULL, NULL, 0, 1),
	(295, 'MIUB234238028017', '3130113001', 'ROLL005', NULL, '2017-12-27 15:21:09', 'admin', NULL, NULL, 0, 1),
	(296, 'MIUB234238028017', '3130113001', 'ROLL008', NULL, '2017-12-27 15:21:09', 'admin', NULL, NULL, 0, 1),
	(297, 'MIUB234238028017', '3130113001', 'ROLL009', NULL, '2017-12-27 15:21:09', 'admin', NULL, NULL, 0, 1),
	(298, 'MIUB234238028021', '3130113001', 'ROLL009', NULL, '2017-12-29 11:38:23', 'admin', NULL, NULL, 0, 1),
	(299, 'MIUB17041201357875081561', '3130117001', 'MRB17121117150678C2EF4568974563A74912C437A42BE9', NULL, '2018-01-02 13:20:17', 'admin', NULL, NULL, 0, 1),
	(365, 'MIUB100820716509994853FA', '3130117001', 'ROLL004', NULL, '2018-01-03 10:03:59', 'admin', NULL, NULL, 0, 1),
	(388, 'MIUB10130715387606259B70', '3130117001', 'ROLL005', NULL, '2018-01-03 14:50:23', 'admin', NULL, NULL, 0, 1),
	(389, 'MIUB10130715387606259B70', '3130117001', 'ROLL009', NULL, '2018-01-03 14:50:23', 'admin', NULL, NULL, 0, 1),
	(424, 'MIUB187499660802661532C3', '3130117001', 'ROLL006', NULL, '2018-01-04 12:48:30', 'admin', NULL, NULL, 0, 1),
	(425, 'MIUB1887904483671884CA86', '3130117001', 'ROLL006', NULL, '2018-01-04 16:23:22', 'admin', NULL, NULL, 0, 1),
	(426, 'MIUB1951757690048294592E', '3130117001', 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', NULL, '2018-01-05 10:07:56', 'admin', NULL, NULL, 0, 1),
	(427, 'MIUB19609385440725713D58', '3130113001', 'ROLL006', NULL, '2018-01-05 12:40:35', 'admin', NULL, NULL, 0, 1),
	(484, 'MIUB1014952163016769E11A', '3130117001', 'ROLL006', NULL, '2018-01-12 09:37:12', 'admin', NULL, NULL, 0, 1),
	(485, 'MIUB1014952163016769E11A', '3130117001', 'ROLL010', NULL, '2018-01-12 09:37:12', 'admin', NULL, NULL, 0, 1),
	(486, 'MIUB101390533626813822BD', '3130117001', 'ROLL006', NULL, '2018-01-12 09:45:21', 'admin', NULL, NULL, 0, 1),
	(487, 'MIUB101390533626813822BD', '3130117001', 'ROLL010', NULL, '2018-01-12 09:45:21', 'admin', NULL, NULL, 0, 1),
	(495, 'MIUB256107154933040819F2', '3130318001', 'ROLL008', NULL, '2018-01-12 14:03:07', 'admin', NULL, NULL, 0, 1),
	(504, 'MIUB256279666779040993F6', '3130318001', 'ROLL009', NULL, '2018-01-12 14:06:48', 'admin', NULL, NULL, 0, 1),
	(505, 'MIUB25628690854117316CB3', '3130318001', 'ROLL010', NULL, '2018-01-12 14:08:24', 'admin', NULL, NULL, 0, 1),
	(506, 'MIUB2567204797134052A162', '3130318001', 'ROLL010', NULL, '2018-01-12 14:08:53', 'admin', NULL, NULL, 0, 1),
	(507, 'MIUB25676433694463336A21', '3130318001', 'ROLL010', NULL, '2018-01-12 14:09:08', 'admin', NULL, NULL, 0, 1),
	(629, 'MIUB2831205548616019231C', '3130318001', 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', NULL, '2018-01-15 14:32:00', 'admin', NULL, NULL, 0, 1),
	(630, 'MIUB2831615868063300B4E8', '3130318001', 'MRB17121117150678C2EF4568974563A74912C437A42BE9', NULL, '2018-01-15 14:32:19', 'admin', NULL, NULL, 0, 1),
	(631, 'MIUB628218996418473A55', 'fangsu', 'admin', NULL, '2018-01-15 14:34:26', 'admin', NULL, NULL, 0, 1),
	(635, 'MIUB256117222227469756A5', '3130318001', 'ROLL006', NULL, '2018-01-15 17:09:54', 'MIUB2831205548616019231C', NULL, NULL, 0, 1),
	(636, 'MIUB256117222227469756A5', '3130318001', 'ROLL008', NULL, '2018-01-15 17:09:54', 'MIUB2831205548616019231C', NULL, NULL, 0, 1),
	(637, 'MIUB256117222227469756A5', '3130318001', 'ROLL009', NULL, '2018-01-15 17:09:54', 'MIUB2831205548616019231C', NULL, NULL, 0, 1),
	(638, 'MIUB2561245821884632E152', '3130318001', 'ROLL006', NULL, '2018-01-15 17:10:28', 'MIUB2831205548616019231C', NULL, NULL, 0, 1),
	(639, 'MIUB2561245821884632E152', '3130318001', 'ROLL008', NULL, '2018-01-15 17:10:28', 'MIUB2831205548616019231C', NULL, NULL, 0, 1),
	(640, 'MIUB2561245821884632E152', '3130318001', 'ROLL009', NULL, '2018-01-15 17:10:28', 'MIUB2831205548616019231C', NULL, NULL, 0, 1),
	(641, 'MIUB2840061199982864CD21', '3130318001', 'ROLL006', NULL, '2018-01-15 17:29:55', 'MIUB2831205548616019231C', NULL, NULL, 0, 1),
	(642, 'MIUB283971709410166829C4', '3130318001', 'ROLL006', NULL, '2018-01-15 17:30:33', 'MIUB2831205548616019231C', NULL, NULL, 0, 1),
	(676, 'MIUB2913424780483852F386', '3130113001', 'MRB18011613141033636244F09E43B5A0DC30B5D9C3D807', NULL, '2018-01-16 13:15:20', 'admin', NULL, NULL, 0, 1),
	(677, 'MIUB2913424780483852F386', '3130117001', 'MRB18011613141033636244F09E43B5A0DC30B5D9C3D807', NULL, '2018-01-16 13:15:40', 'admin', NULL, NULL, 0, 1),
	(678, 'MIUB2913424780483852F386', '3130318001', 'MRB18011613141033636244F09E43B5A0DC30B5D9C3D807', NULL, '2018-01-16 13:15:50', 'admin', NULL, NULL, 0, 1),
	(681, 'MIUB628218996418473A55', '3130113001', 'ROLL999', NULL, '2018-01-22 10:27:37', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(682, 'MIUB628218996418473A55', '3130117001', 'ROLL999', NULL, '2018-01-22 10:27:58', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(683, 'MIUB628218996418473A55', '3130318001', 'ROLL999', NULL, '2018-01-22 10:28:45', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(684, 'MIUB5821097285389543571', '3130113001', 'ROLL999', NULL, '2018-01-22 10:29:33', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(685, 'MIUB5821097285389543571', '3130117001', 'ROLL999', NULL, '2018-01-22 10:29:58', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(686, 'MIUB5821097285389543571', '3130318001', 'ROLL999', NULL, '2018-01-22 10:31:30', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(688, 'MIUB234238024307', '3130117001', 'ROLL999', NULL, '2018-01-22 10:34:12', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(689, 'MIUB234238024307', '3130318001', 'ROLL999', NULL, '2018-01-22 10:34:32', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(702, 'MIUB36928213728219740348', '3410118001', 'ROLL010', NULL, '2018-01-25 13:49:30', 'admin', NULL, NULL, 0, 1),
	(703, 'BABYSKYGROUPVSALES1', 'BABYSKYGROUP', 'ROLL008', NULL, '2018-01-23 16:11:53', 'admin', NULL, NULL, 0, 1),
	(704, 'MIUB234238024307', '3410118001', 'ROLL999', NULL, '2018-01-29 10:50:21', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(705, 'MIUB628218996418473A55', '3410118001', 'ROLL999', NULL, '2018-01-29 10:50:37', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(712, 'MIUB234238027008', '3410118001', 'ROLL999', NULL, '2018-01-29 10:52:42', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(713, 'MIUB23336028477579906A02', '3130113001', 'ROLL999', NULL, '2018-01-29 10:53:04', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(714, 'MIUB5821097285389543571', '3410118001', 'ROLL999', NULL, '2018-01-29 10:55:35', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(715, 'MIUB234238027008', '3130318001', 'ROLL999', NULL, '2018-01-29 10:55:53', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(716, 'MIUB234238027008', '3130117001', 'ROLL999', NULL, '2018-01-29 10:56:49', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(717, 'MIUB234238027008', '3130113001', 'ROLL999', NULL, '2018-01-29 10:57:02', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(718, 'inter01', '3130113001', 'ROLL999', NULL, '2018-01-29 10:57:19', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(719, 'inter02', '3130113001', 'ROLL999', NULL, '2018-01-29 10:57:32', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(721, 'inter06', '3130113001', 'ROLL999', NULL, '2018-01-29 10:58:10', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(722, 'inter01', '3130117001', 'ROLL999', NULL, '2018-01-29 11:00:52', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(723, 'inter02', '3130117001', 'ROLL999', NULL, '2018-01-29 11:01:14', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(724, 'inter03', '3130117001', 'ROLL999', NULL, '2018-01-29 11:01:34', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(725, 'inter01', '3130318001', 'ROLL999', NULL, '2018-01-29 11:01:54', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(726, 'inter02', '3130318001', 'ROLL999', NULL, '2018-01-29 11:02:12', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(727, 'inter03', '3130318001', 'ROLL999', NULL, '2018-01-29 11:02:29', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(728, 'inter01', '3410118001', 'ROLL999', NULL, '2018-01-29 11:03:52', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(729, 'inter02', '3410118001', 'ROLL999', NULL, '2018-01-29 11:04:02', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(730, 'inter03', '3410118001', 'ROLL999', NULL, '2018-01-29 11:04:13', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(733, 'MIUB403117516275355537C4', '3410118001', 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', NULL, '2018-01-29 13:19:45', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(734, 'MIUB403117516275355537C4', '3410118001', 'MRB17121117150678C2EF4568974563A74912C437A42BE9', NULL, '2018-01-29 13:19:45', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(735, 'MIUB403117516275355537C4', '3410118001', 'MRB18011613141033636244F09E43B5A0DC30B5D9C3D807', NULL, '2018-01-29 13:19:45', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(743, 'MIUB36927191173640545838', '3410118001', 'ROLL006', NULL, '2018-01-29 14:46:03', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(744, 'MIUB36927191173640545838', '3410118001', 'ROLL008', NULL, '2018-01-29 14:46:03', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(745, 'MIUB36927191173640545838', '3410118001', 'ROLL009', NULL, '2018-01-29 14:46:03', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(771, 'MIUB3692675371830846991F', '3410118001', 'ROLL005', NULL, '2018-01-29 18:04:30', 'MIUB403117516275355537C4', NULL, NULL, 0, 1),
	(772, 'MIUB3692675371830846991F', '3410118001', 'ROLL006', NULL, '2018-01-29 18:04:30', 'MIUB403117516275355537C4', NULL, NULL, 0, 1),
	(773, 'MIUB3692675371830846991F', '3410118001', 'ROLL008', NULL, '2018-01-29 18:04:30', 'MIUB403117516275355537C4', NULL, NULL, 0, 1),
	(774, 'MIUB3692675371830846991F', '3410118001', 'ROLL009', NULL, '2018-01-29 18:04:30', 'MIUB403117516275355537C4', NULL, NULL, 0, 1),
	(840, 'MIUB2560623768707706382C', '3130318001', 'ROLL005', NULL, '2018-01-31 12:32:35', 'MIUB2831205548616019231C', NULL, NULL, 0, 1),
	(841, 'MIUB2560623768707706382C', '3130318001', 'ROLL007', NULL, '2018-01-31 12:32:35', 'MIUB2831205548616019231C', NULL, NULL, 0, 1),
	(842, 'MIUB2560623768707706382C', '3130318001', 'ROLL008', NULL, '2018-01-31 12:32:35', 'MIUB2831205548616019231C', NULL, NULL, 0, 1),
	(843, 'MIUB2560623768707706382C', '3130318001', 'ROLL009', NULL, '2018-01-31 12:32:35', 'MIUB2831205548616019231C', NULL, NULL, 0, 1),
	(845, 'MIUB369059350022738405FB', '3410118001', 'ROLL004', NULL, '2018-01-31 13:11:43', 'MIUB403117516275355537C4', NULL, NULL, 0, 1),
	(846, 'MIUB369059350022738405FB', '3410118001', 'ROLL009', NULL, '2018-01-31 13:11:43', 'MIUB403117516275355537C4', NULL, NULL, 0, 1),
	(847, 'MIUB369059350022738405FB', '3410118001', 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', NULL, '2018-01-31 13:11:43', 'MIUB403117516275355537C4', NULL, NULL, 0, 1),
	(852, 'MIUB3690423435893317A34F', '3410118001', 'ROLL007', NULL, '2018-01-31 13:12:20', 'MIUB403117516275355537C4', NULL, NULL, 0, 1),
	(856, 'MIUB3690423435893317A34F', '3410118001', 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', NULL, '2018-01-31 13:12:20', 'MIUB403117516275355537C4', NULL, NULL, 0, 1),
	(857, 'MIUB3690423435893317A34F', '3410118001', 'MRB18011613141033636244F09E43B5A0DC30B5D9C3D807', NULL, '2018-01-31 13:12:20', 'MIUB403117516275355537C4', NULL, NULL, 0, 1),
	(858, 'MIUB234238024307', '3420218001', 'ROLL999', NULL, '2018-02-01 10:21:24', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(859, 'inter01', '3420218001', 'ROLL999', NULL, '2018-02-01 10:21:41', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(860, 'inter02', '3420218001', 'ROLL999', NULL, '2018-02-01 10:21:53', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(861, 'inter03', '3420218001', 'ROLL999', NULL, '2018-02-01 10:22:04', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(862, 'MIUB234238027008', '3420218001', 'ROLL999', NULL, '2018-02-01 10:22:15', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(863, 'MIUB5821097285389543571', '3420218001', 'ROLL999', NULL, '2018-02-01 10:22:45', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(888, 'MIUB628218996418473A55', '3420218001', 'ROLL999', NULL, '2018-02-01 11:09:01', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(897, 'MIUB428867556207012544C7', '3420218001', 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', NULL, '2018-02-01 11:20:53', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(898, 'MIUB428867556207012544C7', '3420218001', 'MRB17121117150678C2EF4568974563A74912C437A42BE9', NULL, '2018-02-01 11:20:53', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(899, 'MIUB428867556207012544C7', '3420218001', 'MRB18011613141033636244F09E43B5A0DC30B5D9C3D807', NULL, '2018-02-01 11:20:53', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(909, 'MIUB41351524805696592B6D', '3420218001', 'ROLL005', NULL, '2018-02-01 13:36:14', 'MIUB428867556207012544C7', NULL, NULL, 0, 1),
	(910, 'MIUB41351524805696592B6D', '3420218001', 'ROLL006', NULL, '2018-02-01 13:36:14', 'MIUB428867556207012544C7', NULL, NULL, 0, 1),
	(911, 'MIUB41351524805696592B6D', '3420218001', 'ROLL007', NULL, '2018-02-01 13:36:14', 'MIUB428867556207012544C7', NULL, NULL, 0, 1),
	(912, 'MIUB41351524805696592B6D', '3420218001', 'ROLL008', NULL, '2018-02-01 13:36:14', 'MIUB428867556207012544C7', NULL, NULL, 0, 1),
	(913, 'MIUB41351524805696592B6D', '3420218001', 'ROLL009', NULL, '2018-02-01 13:36:14', 'MIUB428867556207012544C7', NULL, NULL, 0, 1),
	(914, 'MIUB41351524805696592B6D', '3420218001', 'MRB17121117150678C2EF4568974563A74912C437A42BE9', NULL, '2018-02-01 13:36:14', 'MIUB428867556207012544C7', NULL, NULL, 0, 1),
	(915, 'MIUB41351524805696592B6D', '3420218001', 'MRB18011613141033636244F09E43B5A0DC30B5D9C3D807', NULL, '2018-02-01 13:36:14', 'MIUB428867556207012544C7', NULL, NULL, 0, 1),
	(916, 'MIUB4135862914740656E946', '3420218001', 'ROLL005', NULL, '2018-02-01 13:36:59', 'MIUB428867556207012544C7', NULL, NULL, 0, 1),
	(917, 'MIUB4135862914740656E946', '3420218001', 'ROLL006', NULL, '2018-02-01 13:36:59', 'MIUB428867556207012544C7', NULL, NULL, 0, 1),
	(918, 'MIUB4135862914740656E946', '3420218001', 'ROLL008', NULL, '2018-02-01 13:36:59', 'MIUB428867556207012544C7', NULL, NULL, 0, 1),
	(919, 'MIUB4135862914740656E946', '3420218001', 'ROLL009', NULL, '2018-02-01 13:36:59', 'MIUB428867556207012544C7', NULL, NULL, 0, 1),
	(920, 'MIUB4135862914740656E946', '3420218001', 'ROLL010', NULL, '2018-02-01 13:36:59', 'MIUB428867556207012544C7', NULL, NULL, 0, 1),
	(921, 'MIUB4135862914740656E946', '3420218001', 'MRB18011613141033636244F09E43B5A0DC30B5D9C3D807', NULL, '2018-02-01 13:36:59', 'MIUB428867556207012544C7', NULL, NULL, 0, 1),
	(922, 'MIUB4135912551742821B21D', '3420218001', 'ROLL005', NULL, '2018-02-01 13:37:16', 'MIUB428867556207012544C7', NULL, NULL, 0, 1),
	(923, 'MIUB4135912551742821B21D', '3420218001', 'ROLL006', NULL, '2018-02-01 13:37:16', 'MIUB428867556207012544C7', NULL, NULL, 0, 1),
	(924, 'MIUB4135912551742821B21D', '3420218001', 'ROLL008', NULL, '2018-02-01 13:37:16', 'MIUB428867556207012544C7', NULL, NULL, 0, 1),
	(925, 'MIUB4135912551742821B21D', '3420218001', 'ROLL009', NULL, '2018-02-01 13:37:16', 'MIUB428867556207012544C7', NULL, NULL, 0, 1),
	(926, 'MIUB4135912551742821B21D', '3420218001', 'ROLL010', NULL, '2018-02-01 13:37:16', 'MIUB428867556207012544C7', NULL, NULL, 0, 1),
	(927, 'MIUB4135912551742821B21D', '3420218001', 'MRB18011613141033636244F09E43B5A0DC30B5D9C3D807', NULL, '2018-02-01 13:37:16', 'MIUB428867556207012544C7', NULL, NULL, 0, 1),
	(932, 'MIUB413596463239476957F2', '3420218001', 'ROLL006', NULL, '2018-02-01 14:19:21', 'MIUB428867556207012544C7', NULL, NULL, 0, 1),
	(933, 'MIUB413596463239476957F2', '3420218001', 'ROLL008', NULL, '2018-02-01 14:19:21', 'MIUB428867556207012544C7', NULL, NULL, 0, 1),
	(934, 'MIUB413596463239476957F2', '3420218001', 'ROLL009', NULL, '2018-02-01 14:19:21', 'MIUB428867556207012544C7', NULL, NULL, 0, 1),
	(955, 'MIUB3692771673345276593A', '3410118001', 'ROLL005', NULL, '2018-02-03 09:35:00', 'MIUB403117516275355537C4', NULL, NULL, 0, 1),
	(956, 'MIUB3692771673345276593A', '3410118001', 'ROLL006', NULL, '2018-02-03 09:35:00', 'MIUB403117516275355537C4', NULL, NULL, 0, 1),
	(957, 'MIUB3692771673345276593A', '3410118001', 'ROLL007', NULL, '2018-02-03 09:35:00', 'MIUB403117516275355537C4', NULL, NULL, 0, 1),
	(958, 'MIUB3692771673345276593A', '3410118001', 'ROLL009', NULL, '2018-02-03 09:35:00', 'MIUB403117516275355537C4', NULL, NULL, 0, 1),
	(973, 'MIUB2560551402405824FC13', '3130318001', 'ROLL003', NULL, '2018-02-09 14:57:46', 'MIUB2831205548616019231C', NULL, NULL, 0, 1),
	(974, 'MIUB2560551402405824FC13', '3130318001', 'ROLL004', NULL, '2018-02-09 14:57:46', 'MIUB2831205548616019231C', NULL, NULL, 0, 1),
	(975, 'MIUB2560551402405824FC13', '3130318001', 'ROLL007', NULL, '2018-02-09 14:57:46', 'MIUB2831205548616019231C', NULL, NULL, 0, 1),
	(977, 'MIUB25603779883634461294', '3130318001', 'ROLL003', NULL, '2018-02-09 14:57:55', 'MIUB2831205548616019231C', NULL, NULL, 0, 1),
	(978, 'MIUB25603779883634461294', '3130318001', 'ROLL004', NULL, '2018-02-09 14:57:55', 'MIUB2831205548616019231C', NULL, NULL, 0, 1),
	(979, 'MIUB25603779883634461294', '3130318001', 'ROLL007', NULL, '2018-02-09 14:57:55', 'MIUB2831205548616019231C', NULL, NULL, 0, 1),
	(991, 'MIUB5339587973440454F0F6', '3140218001', 'ROLL004', NULL, '2018-02-13 15:27:50', 'admin', NULL, NULL, 0, 1),
	(992, 'MIUB53396962127680986FD4', '3140218001', 'ROLL004', NULL, '2018-02-13 15:28:20', 'admin', NULL, NULL, 0, 1),
	(994, 'MIUB53398279861989571DFA', '3140218001', 'ROLL005', NULL, '2018-02-13 15:29:12', 'admin', NULL, NULL, 0, 1),
	(997, 'MIUB53400263022527396F15', '3140218001', 'ROLL009', NULL, '2018-02-13 15:30:12', 'admin', NULL, NULL, 0, 1),
	(998, 'MIUB5340073615517348CE36', '3140218001', 'ROLL010', NULL, '2018-02-13 15:30:26', 'admin', NULL, NULL, 0, 1),
	(999, 'MIUB53401513952506659B64', '3140218001', 'ROLL010', NULL, '2018-02-13 15:30:48', 'admin', NULL, NULL, 0, 1),
	(1012, 'inter03', '3140218001', 'ROLL999', NULL, '2018-02-23 13:59:54', 'admin', NULL, NULL, 0, 1),
	(1013, 'inter01', '3140218001', 'ROLL999', NULL, '2018-02-23 15:02:39', 'admin', NULL, NULL, 0, 1),
	(1015, 'MIUB234238024307', '3140218001', 'ROLL999', NULL, '2018-02-23 15:03:27', 'admin', NULL, NULL, 0, 1),
	(1016, 'MIUB620358108960663100CE', '3140218001', 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', NULL, '2018-02-23 15:12:27', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(1017, 'MIUB620358108960663100CE', '3140218001', 'MRB17121117150678C2EF4568974563A74912C437A42BE9', NULL, '2018-02-23 15:12:27', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(1018, 'MIUB620358108960663100CE', '3140218001', 'MRB18011613141033636244F09E43B5A0DC30B5D9C3D807', NULL, '2018-02-23 15:12:27', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(1019, 'MIUB628218996418473A55', '3140218001', 'ROLL999', NULL, '2018-02-23 15:21:42', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(1036, 'MIUB53399132559120677250', '3140218001', 'ROLL008', NULL, '2018-02-23 16:53:01', 'MIUB620358108960663100CE', NULL, NULL, 0, 1),
	(1037, 'MIUB53399132559120677250', '3140218001', 'ROLL009', NULL, '2018-02-23 16:53:01', 'MIUB620358108960663100CE', NULL, NULL, 0, 1),
	(1038, 'MIUB53399132559120677250', '3140218001', 'MRB17121117150678C2EF4568974563A74912C437A42BE9', NULL, '2018-02-23 16:53:01', 'MIUB620358108960663100CE', NULL, NULL, 0, 1),
	(1051, 'MIUB6277557330204884D9D2', '3130318001', 'ROLL008', NULL, '2018-02-24 11:45:19', 'MIUB2831205548616019231C', NULL, NULL, 0, 1),
	(1052, 'MIUB234238027008', '3140218001', 'ROLL999', NULL, '2018-02-24 12:51:41', 'admin', NULL, NULL, 0, 1),
	(1058, 'MIUB5339971485024086F1AB', '3140218001', 'ROLL005', NULL, '2018-02-24 14:02:04', 'MIUB620358108960663100CE', NULL, NULL, 0, 1),
	(1059, 'MIUB5339971485024086F1AB', '3140218001', 'ROLL006', NULL, '2018-02-24 14:02:04', 'MIUB620358108960663100CE', NULL, NULL, 0, 1),
	(1060, 'MIUB5339971485024086F1AB', '3140218001', 'ROLL008', NULL, '2018-02-24 14:02:04', 'MIUB620358108960663100CE', NULL, NULL, 0, 1),
	(1061, 'MIUB5339971485024086F1AB', '3140218001', 'ROLL009', NULL, '2018-02-24 14:02:04', 'MIUB620358108960663100CE', NULL, NULL, 0, 1),
	(1062, 'MIUB5339971485024086F1AB', '3140218001', 'MRB17121117150678C2EF4568974563A74912C437A42BE9', NULL, '2018-02-24 14:02:04', 'MIUB620358108960663100CE', NULL, NULL, 0, 1),
	(1070, 'MIUB5821097285389543571', '3140218001', 'ROLL999', NULL, '2018-02-24 15:34:14', 'MIUB628218996418473A55', NULL, NULL, 0, 1),
	(1074, 'MIUB1015529207361265D99A', '3130117001', 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', NULL, '2018-02-24 19:45:52', 'admin', NULL, NULL, 0, 1),
	(1087, 'MIUB6288771464466886A945', '3140218001', 'ROLL006', NULL, '2018-02-26 09:27:46', 'MIUB620358108960663100CE', NULL, NULL, 0, 1),
	(1088, 'MIUB6288771464466886A945', '3140218001', 'MRB18011613141033636244F09E43B5A0DC30B5D9C3D807', NULL, '2018-02-26 09:27:46', 'MIUB620358108960663100CE', NULL, NULL, 0, 1),
	(1151, 'MIUB6209105213693768AE74', '3140218001', 'ROLL005', NULL, '2018-02-26 17:37:21', 'MIUB620358108960663100CE', NULL, NULL, 0, 1),
	(1152, 'MIUB6209105213693768AE74', '3140218001', 'ROLL006', NULL, '2018-02-26 17:37:21', 'MIUB620358108960663100CE', NULL, NULL, 0, 1),
	(1153, 'MIUB6209105213693768AE74', '3140218001', 'ROLL007', NULL, '2018-02-26 17:37:21', 'MIUB620358108960663100CE', NULL, NULL, 0, 1),
	(1154, 'MIUB6209105213693768AE74', '3140218001', 'MRB17121117150678C2EF4568974563A74912C437A42BE9', NULL, '2018-02-26 17:37:21', 'MIUB620358108960663100CE', NULL, NULL, 0, 1),
	(1155, 'MIUB6209105213693768AE74', '3140218001', 'MRB18011613141033636244F09E43B5A0DC30B5D9C3D807', NULL, '2018-02-26 17:37:21', 'MIUB620358108960663100CE', NULL, NULL, 0, 1),
	(1237, 'MIUB53397640882888548995', '3140218001', 'ROLL005', NULL, '2018-02-28 14:35:51', 'MIUB620358108960663100CE', NULL, NULL, 0, 1),
	(1238, 'MIUB53397640882888548995', '3140218001', 'ROLL006', NULL, '2018-02-28 14:35:51', 'MIUB620358108960663100CE', NULL, NULL, 0, 1),
	(1239, 'MIUB53397640882888548995', '3140218001', 'ROLL007', NULL, '2018-02-28 14:35:51', 'MIUB620358108960663100CE', NULL, NULL, 0, 1),
	(1240, 'MIUB53397640882888548995', '3140218001', 'ROLL008', NULL, '2018-02-28 14:35:51', 'MIUB620358108960663100CE', NULL, NULL, 0, 1),
	(1241, 'MIUB53397640882888548995', '3140218001', 'ROLL009', NULL, '2018-02-28 14:35:51', 'MIUB620358108960663100CE', NULL, NULL, 0, 1),
	(1242, 'MIUB53397640882888548995', '3140218001', 'MRB17121117150678C2EF4568974563A74912C437A42BE9', NULL, '2018-02-28 14:35:51', 'MIUB620358108960663100CE', NULL, NULL, 0, 1),
	(1363, 'MIUB4135368017221046D9CB', '3420218001', 'ROLL006', NULL, '2018-02-28 17:12:15', 'MIUB428867556207012544C7', NULL, NULL, 0, 1),
	(1364, 'MIUB4135368017221046D9CB', '3420218001', 'ROLL008', NULL, '2018-02-28 17:12:15', 'MIUB428867556207012544C7', NULL, NULL, 0, 1),
	(1365, 'MIUB4135368017221046D9CB', '3420218001', 'ROLL010', NULL, '2018-02-28 17:12:15', 'MIUB428867556207012544C7', NULL, NULL, 0, 1),
	(1366, 'MIUB4135368017221046D9CB', '3420218001', 'MRB17121117150678C2EF4568974563A74912C437A42BE9', NULL, '2018-02-28 17:12:15', 'MIUB428867556207012544C7', NULL, NULL, 0, 1),
	(1367, 'MIUB4135368017221046D9CB', '3420218001', 'MRB18011613141033636244F09E43B5A0DC30B5D9C3D807', NULL, '2018-02-28 17:12:15', 'MIUB428867556207012544C7', NULL, NULL, 0, 1),
	(1381, 'MIUB67160432041447331160', '3130113001', 'admin', NULL, '2018-03-01 13:32:44', 'admin', NULL, NULL, 0, 1),
	(1382, 'MIUB6716224686864175BA7C', '3130113001', 'admin', NULL, '2018-03-01 13:35:17', 'admin', NULL, NULL, 0, 1),
	(1385, 'MIUB6720791486038530946D', '3410118007', 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', NULL, '2018-03-01 14:51:04', 'MIUB67169682475047784BB4', NULL, NULL, 0, 1),
	(1388, 'MIUB6720915126603739B8A1', 'BABYSKYGROUP', 'ROLL999', NULL, '2018-03-01 14:57:29', 'admin', NULL, NULL, 0, 1),
	(1390, 'MIUB67213742101334783870', 'BABYSKYGROUP', 'ROLL999', NULL, '2018-03-01 15:04:12', 'admin', NULL, NULL, 0, 1),
	(1391, 'MIUB6722400082668127E2D4', '3130118007', 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', NULL, '2018-03-01 15:17:53', 'MIUB6720793870139372ECC5', NULL, NULL, 0, 1),
	(1393, 'MIUB6726032659774339C2A8', '3130118007', 'ROLL007', NULL, '2018-03-01 16:23:00', 'MIUB6722400082668127E2D4', NULL, NULL, 0, 1),
	(1395, 'MIUB67261038475327460172', '3130118007', 'ROLL008', NULL, '2018-03-01 16:23:24', 'MIUB6722400082668127E2D4', NULL, NULL, 0, 1),
	(1397, 'MIUB67261857607960078E76', '3130118007', 'ROLL009', NULL, '2018-03-01 16:23:51', 'MIUB6722400082668127E2D4', NULL, NULL, 0, 1),
	(1399, 'MIUB67278352112296726C74', '3410118007', 'ROLL008', NULL, '2018-03-01 17:13:06', 'MIUB6720791486038530946D', NULL, NULL, 0, 1),
	(1400, 'MIUB6727871185664418E096', '3410118007', 'ROLL007', NULL, '2018-03-01 17:13:15', 'MIUB6720791486038530946D', NULL, NULL, 0, 1),
	(1402, 'MIUB672817294973202722F0', '3410118007', 'ROLL009', NULL, '2018-03-01 17:14:08', 'MIUB6720791486038530946D', NULL, NULL, 0, 1),
	(1406, 'MIUB6729048361756846A40F', '3410118007', 'ROLL005', NULL, '2018-03-01 17:22:25', 'MIUB6720791486038530946D', NULL, NULL, 0, 1),
	(1418, 'MIUB672613218552215609BA', '3130118007', 'ROLL005', NULL, '2018-03-02 13:38:31', 'MIUB6722400082668127E2D4', NULL, NULL, 0, 1),
	(1419, 'MIUB672613218552215609BA', '3130118007', 'ROLL009', NULL, '2018-03-02 13:38:31', 'MIUB6722400082668127E2D4', NULL, NULL, 0, 1),
	(1420, 'MIUB6812973064848458F13D', '3410118007', 'ROLL008', NULL, '2018-03-02 16:28:05', 'MIUB6720791486038530946D', NULL, NULL, 0, 1),
	(1426, 'MIUB7050351583035042C84C', '3130113001', 'ROLL008', NULL, '2018-03-05 10:25:50', 'MIUB7049044431774390BC73', NULL, NULL, 0, 1),
	(1430, 'MIUB70722758255162964F5F', '3130113001', 'admin', NULL, '2018-03-05 16:30:21', 'admin', NULL, NULL, 0, 1),
	(1431, 'MIUB7049044431774390BC73', '3130113001', 'admin', NULL, '2018-03-05 16:53:00', 'admin', NULL, NULL, 0, 1),
	(1432, 'MIUB707380849651452769D1', '3130113001', 'admin', NULL, '2018-03-05 16:56:04', 'admin', NULL, NULL, 0, 1),
	(1433, 'MIUB707395343142729961E4', '3130113001', 'ROLL008', NULL, '2018-03-05 16:57:57', 'admin', NULL, NULL, 0, 1),
	(1436, 'MIUB7135370828198705ACB6', '3410118007', 'ROLL005', NULL, '2018-03-06 10:01:31', 'MIUB6716224686864175BA7C', NULL, NULL, 0, 1),
	(1437, 'MIUB7135370828198705ACB6', '3410118007', 'ROLL006', NULL, '2018-03-06 10:01:31', 'MIUB6716224686864175BA7C', NULL, NULL, 0, 1),
	(1438, 'MIUB7135370828198705ACB6', '3410118007', 'ROLL007', NULL, '2018-03-06 10:01:31', 'MIUB6716224686864175BA7C', NULL, NULL, 0, 1),
	(1439, 'MIUB7135370828198705ACB6', '3410118007', 'ROLL008', NULL, '2018-03-06 10:01:31', 'MIUB6716224686864175BA7C', NULL, NULL, 0, 1),
	(1440, 'MIUB7135370828198705ACB6', '3410118007', 'ROLL009', NULL, '2018-03-06 10:01:31', 'MIUB6716224686864175BA7C', NULL, NULL, 0, 1),
	(1441, 'MIUB7135370828198705ACB6', '3410118007', 'ROLL010', NULL, '2018-03-06 10:01:31', 'MIUB6716224686864175BA7C', NULL, NULL, 0, 1),
	(1445, 'MIUB7227095194573661F4F2', '3410118007', 'ROLL008', NULL, '2018-03-07 13:49:44', 'MIUB6720791486038530946D', NULL, NULL, 0, 1),
	(1446, 'MIUB7227095194573661F4F2', '3410118007', 'ROLL009', NULL, '2018-03-07 13:49:44', 'MIUB6720791486038530946D', NULL, NULL, 0, 1),
	(1471, 'MIUB7393096794414848871C', '3410118009', 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', NULL, '2018-03-09 09:36:09', 'MIUB67169682475047784BB4', NULL, NULL, 0, 1),
	(1472, 'MIUB234238028011', '3130113001', 'ROLL006', NULL, '2018-03-09 16:15:34', 'admin', NULL, NULL, 0, 1),
	(1473, 'MIUB234238028011', '3130113001', 'ROLL007', NULL, '2018-03-09 16:15:34', 'admin', NULL, NULL, 0, 1),
	(1474, 'MIUB234238028011', '3130113001', 'ROLL008', NULL, '2018-03-09 16:15:34', 'admin', NULL, NULL, 0, 1),
	(1475, 'MIUB234238028011', '3130113001', 'ROLL009', NULL, '2018-03-09 16:15:34', 'admin', NULL, NULL, 0, 1),
	(1477, 'MIUB74190981518294952816', '3410118009', 'ROLL008', NULL, '2018-03-09 16:49:56', 'MIUB7393096794414848871C', NULL, NULL, 0, 1),
	(1486, 'MIUB234238024307', '3130113001', 'ROLL999', NULL, '2018-03-12 10:26:17', 'admin', NULL, NULL, 0, 1),
	(1503, 'MIUB76807813152398834ADE', '3130113001', 'ROLL008', NULL, '2018-03-12 17:33:44', 'admin', NULL, NULL, 0, 1),
	(1504, 'MIUB76807813152398834ADE', '3130113001', 'ROLL009', NULL, '2018-03-12 17:33:44', 'admin', NULL, NULL, 0, 1),
	(1506, 'MIUB76817529126742939097', '3130113001', 'ROLL007', NULL, '2018-03-12 17:47:55', 'admin', NULL, NULL, 0, 1),
	(1510, 'MIUB7690299939599045F780', 'BABYSKYGROUP', 'MRB_BABYSKYGROUP_FINANCEDIRECTOR', NULL, '2018-03-12 20:10:05', 'MIUB6716224686864175BA7C', NULL, NULL, 0, 1),
	(1511, 'MIUB773902477848399694F7', '3410118011', 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', NULL, '2018-03-13 09:41:37', 'MIUB67169682475047784BB4', NULL, NULL, 0, 1),
	(1512, 'MIUB774023119956447172D2', '3410118011', 'ROLL008', NULL, '2018-03-13 10:02:21', 'MIUB773902477848399694F7', NULL, NULL, 0, 1),
	(1517, 'MIUB7759352423864452F25D', '3130118008', 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', NULL, '2018-03-13 15:20:25', 'MIUB67169682475047784BB4', NULL, NULL, 0, 1),
	(1518, 'MIUB77597197185903838655', '3130118008', 'ROLL008', NULL, '2018-03-13 15:27:19', 'MIUB7759352423864452F25D', NULL, NULL, 0, 1),
	(1520, 'MIUB78319324092402096DD3', '3410118012', 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', NULL, '2018-03-14 11:30:05', 'MIUB67169682475047784BB4', NULL, NULL, 0, 1),
	(1525, 'MIUB67278352112296726C74', '3410118012', 'ROLL008', NULL, '2018-03-14 13:48:26', 'MIUB78319324092402096DD3', NULL, NULL, 0, 1),
	(1526, 'MIUB6727871185664418E096', '3410118012', 'ROLL007', NULL, '2018-03-14 13:48:40', 'MIUB78319324092402096DD3', NULL, NULL, 0, 1),
	(1528, 'MIUB672817294973202722F0', '3410118012', 'ROLL009', NULL, '2018-03-14 13:49:09', 'MIUB78319324092402096DD3', NULL, NULL, 0, 1),
	(1532, 'MIUB6729048361756846A40F', '3410118012', 'ROLL005', NULL, '2018-03-14 13:50:02', 'MIUB78319324092402096DD3', NULL, NULL, 0, 1),
	(1538, 'MIUB78545878775196095B0C', 'BABYSKYGROUP', 'admin', NULL, '2018-03-14 17:48:11', 'admin', NULL, NULL, 0, 1),
	(1539, 'MIUB79141273202042420586', '3410118013', 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', NULL, '2018-03-15 10:20:00', 'MIUB67169682475047784BB4', NULL, NULL, 0, 1),
	(1591, 'MIUB8272572100957880D6FA', '3410118014', 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', NULL, '2018-03-19 13:54:05', 'MIUB67169682475047784BB4', NULL, NULL, 0, 1),
	(1592, 'MIUB827690493486483307CC', '3410118014', 'ROLL008', NULL, '2018-03-19 16:40:30', 'MIUB8272572100957880D6FA', NULL, NULL, 0, 1),
	(1594, 'MIUB8277532501419519A2E7', '3410118014', 'ROLL007', NULL, '2018-03-19 16:40:49', 'MIUB8272572100957880D6FA', NULL, NULL, 0, 1),
	(1596, 'MIUB82794386414569521680', '3410118014', 'ROLL009', NULL, '2018-03-19 16:41:27', 'MIUB8272572100957880D6FA', NULL, NULL, 0, 1),
	(1597, 'MIUB8281188618672645C942', '3410118014', 'ROLL005', NULL, '2018-03-19 16:41:58', 'MIUB8272572100957880D6FA', NULL, NULL, 0, 1),
	(1601, 'MIUB8282051366448017CB65', '3410118014', 'ROLL006', NULL, '2018-03-19 16:42:58', 'MIUB8272572100957880D6FA', NULL, NULL, 0, 1),
	(1606, 'MIUB8346375380145472D6F4', '3410118015', 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', NULL, '2018-03-20 10:24:09', 'MIUB67169682475047784BB4', NULL, NULL, 0, 1),
	(1642, 'MIUB86163971834838765D5E', '3130113001', 'ROLL008', NULL, '2018-03-23 13:25:19', 'MIUB6716224686864175BA7C', NULL, NULL, 0, 1),
	(1645, 'MIUB861648783946477782AF', '3130113001', 'ROLL009', NULL, '2018-03-23 13:26:54', 'MIUB6716224686864175BA7C', NULL, NULL, 0, 1),
	(1648, 'MIUB234238028016', '3130113001', 'ROLL006', NULL, '2018-03-26 15:33:45', 'MIUB6716224686864175BA7C', NULL, NULL, 0, 1),
	(1649, 'MIUB234238028016', '3130113001', 'ROLL008', NULL, '2018-03-26 15:33:45', 'MIUB6716224686864175BA7C', NULL, NULL, 0, 1);
/*!40000 ALTER TABLE `mst_inter_user_roll` ENABLE KEYS */;

-- 导出  表 yc.mst_inter_user_subsy 结构
DROP TABLE IF EXISTS `mst_inter_user_subsy`;
CREATE TABLE IF NOT EXISTS `mst_inter_user_subsy` (
  `mst_inter_user_subsy_id` int(10) NOT NULL AUTO_INCREMENT COMMENT '业务基础内部用户公司id',
  `inter_user_code` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '内部用户code',
  `subsy_code` varchar(16) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '公司code',
  `dflt_subsy_flg` tinyint(1) NOT NULL COMMENT '默认公司flag:{0：非默认公司；1：默认公司}',
  `crt_time` datetime NOT NULL COMMENT '创建时间',
  `crt_user_code` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '创建用户code',
  `upd_time` datetime DEFAULT NULL COMMENT '更新时间',
  `upd_user_code` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '更新用户code',
  `del_flg` tinyint(1) NOT NULL COMMENT '删除flag:{0：未删除；1：删除}',
  `ver_num` int(10) NOT NULL COMMENT '版本号码',
  PRIMARY KEY (`mst_inter_user_subsy_id`),
  UNIQUE KEY `inter_user_code` (`inter_user_code`,`subsy_code`,`del_flg`),
  KEY `subsy_code` (`subsy_code`)
) ENGINE=InnoDB AUTO_INCREMENT=987 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='业务基础－内部用户公司表';

-- 正在导出表  yc.mst_inter_user_subsy 的数据：~591 rows (大约)
DELETE FROM `mst_inter_user_subsy`;
/*!40000 ALTER TABLE `mst_inter_user_subsy` DISABLE KEYS */;
INSERT INTO `mst_inter_user_subsy` (`mst_inter_user_subsy_id`, `inter_user_code`, `subsy_code`, `dflt_subsy_flg`, `crt_time`, `crt_user_code`, `upd_time`, `upd_user_code`, `del_flg`, `ver_num`) VALUES
	(3, 'admin', 'fangsu', 0, '2017-11-10 09:45:56', 'sysuser', NULL, NULL, 0, 0),
	(6, 'MIUB16259070047001465918', '3130113001', 1, '2017-12-11 16:49:20', 'sysuser', NULL, NULL, 0, 1),
	(10, 'MIUB16274398245726528E98', '3130113001', 1, '2017-12-11 17:12:53', 'sysuser', NULL, NULL, 0, 1),
	(12, 'MIUB234238028011', '3130113001', 1, '2017-12-11 14:33:01', 'root', NULL, NULL, 0, 0),
	(14, 'MIUB234238028013', '3130113001', 1, '2017-12-11 14:33:01', 'root', NULL, NULL, 0, 0),
	(16, 'MIUB234238028015', '3130113001', 1, '2017-12-11 14:33:01', 'root', NULL, NULL, 0, 0),
	(17, 'MIUB234238028016', '3130113001', 1, '2017-12-11 14:33:01', 'root', NULL, NULL, 0, 0),
	(18, 'MIUB234238028017', '3130113001', 1, '2017-12-11 14:33:01', 'root', NULL, NULL, 0, 0),
	(19, 'MIUB234238028018', '3130113001', 1, '2017-12-11 14:33:01', 'root', NULL, NULL, 0, 0),
	(20, 'MIUB234238028019', '3130113001', 1, '2017-12-11 14:33:01', 'root', NULL, NULL, 0, 0),
	(21, 'MIUB234238028020', '3130113001', 1, '2017-12-11 14:33:01', 'root', NULL, NULL, 0, 0),
	(22, 'MIUB234238028021', '3130113001', 1, '2017-12-11 14:33:01', 'root', NULL, NULL, 0, 0),
	(23, 'MIUB234238028022', '3130113001', 1, '2017-12-11 14:33:01', 'root', NULL, NULL, 0, 0),
	(24, 'MIUB234238028023', '3130113001', 1, '2017-12-11 14:33:01', 'root', NULL, NULL, 0, 0),
	(25, 'MIUB234238028024', '3130113001', 1, '2017-12-11 14:33:01', 'root', NULL, NULL, 0, 0),
	(26, 'MIUB234238028025', '3130113001', 1, '2017-12-11 14:33:01', 'root', NULL, NULL, 0, 0),
	(27, 'MIUB234238028026', '3130113001', 1, '2017-12-11 14:33:01', 'root', NULL, NULL, 0, 0),
	(28, 'MIUB234238028027', '3130113001', 1, '2017-12-11 14:33:01', 'root', NULL, NULL, 0, 0),
	(29, 'MIUB234238028028', '3130113001', 1, '2017-12-11 14:33:01', 'root', NULL, NULL, 0, 0),
	(30, 'MIUB234238028029', '3130113001', 1, '2017-12-11 14:33:01', 'root', NULL, NULL, 0, 0),
	(31, 'MIUB234238028030', '3130113001', 1, '2017-12-11 14:33:01', 'root', NULL, NULL, 0, 0),
	(32, 'MIUB234238028031', '3130113001', 1, '2017-12-11 14:33:01', 'root', NULL, NULL, 0, 0),
	(33, 'MIUB234238028032', '3130113001', 1, '2017-12-11 14:33:01', 'root', NULL, NULL, 0, 0),
	(34, 'MIUB234238028033', '3130113001', 1, '2017-12-11 14:33:01', 'root', NULL, NULL, 0, 0),
	(35, 'MIUB234238028034', '3130113001', 1, '2017-12-11 14:33:01', 'root', NULL, NULL, 0, 0),
	(36, 'MIUB234238028035', '3130113001', 1, '2017-12-11 14:33:01', 'root', NULL, NULL, 0, 0),
	(38, 'MIUB234238028037', '3130113001', 1, '2017-12-11 14:33:01', 'root', NULL, NULL, 0, 0),
	(39, 'MIUB234238028038', '3130113001', 1, '2017-12-11 14:33:01', 'root', NULL, NULL, 0, 0),
	(40, 'MIUB234238028039', '3130113001', 1, '2017-12-11 14:33:01', 'root', NULL, NULL, 0, 0),
	(41, 'MIUB234238028040', '3130113001', 1, '2017-12-11 14:33:01', 'root', NULL, NULL, 0, 0),
	(42, 'MIUB234238028041', '3130113001', 1, '2017-12-11 14:33:01', 'root', NULL, NULL, 0, 0),
	(43, 'MIUB234238028042', '3130113001', 1, '2017-12-11 14:33:01', 'root', NULL, NULL, 0, 0),
	(44, 'MIUB234238028043', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(46, 'MIUB234238028045', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(47, 'MIUB234238028046', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(48, 'MIUB234238028047', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(49, 'MIUB234238028048', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(50, 'MIUB234238028049', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(51, 'MIUB234238028050', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(52, 'MIUB234238028051', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(53, 'MIUB234238028052', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(54, 'MIUB234238028053', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(55, 'MIUB234238028054', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(56, 'MIUB234238028055', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(57, 'MIUB234238028056', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(58, 'MIUB234238028057', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(59, 'MIUB234238028058', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(60, 'MIUB234238028059', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(61, 'MIUB234238028060', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(62, 'MIUB234238028061', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(63, 'MIUB234238028062', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(64, 'MIUB234238028063', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(65, 'MIUB234238028064', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(66, 'MIUB234238028065', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(67, 'MIUB234238028066', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(68, 'MIUB234238028067', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(69, 'MIUB234238028068', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(70, 'MIUB234238028069', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(71, 'MIUB234238028070', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(72, 'MIUB234238028071', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(73, 'MIUB234238028072', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(74, 'MIUB234238028073', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(75, 'MIUB234238028074', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(77, 'MIUB234238028076', '3130113001', 1, '2017-12-12 15:59:08', 'root', NULL, NULL, 0, 0),
	(78, 'MIUB234238028077', '3130113001', 1, '2017-12-12 16:36:39', 'root', NULL, NULL, 0, 0),
	(82, 'admin', '3130113001', 1, '2017-12-15 14:06:52', 'sysuser', NULL, NULL, 0, 1),
	(84, 'MIUB234238028078', '3130113001', 1, '2017-12-18 14:25:23', 'root', NULL, NULL, 0, 0),
	(85, 'MIUB5761888903459098CD5', '3130113001', 1, '2017-12-20 12:01:03', 'sysuser', NULL, NULL, 0, 1),
	(86, 'MIUB576216866467536E55E', '3130113001', 1, '2017-12-20 12:01:31', 'sysuser', NULL, NULL, 0, 1),
	(87, 'MIUB5762658480101910086', '3130113001', 1, '2017-12-20 12:02:20', 'sysuser', NULL, NULL, 0, 1),
	(88, 'MIUB576308739725948A297', '3130113001', 1, '2017-12-20 12:03:03', 'sysuser', NULL, NULL, 0, 1),
	(89, 'MIUB576359212971049BD39', '3130113001', 1, '2017-12-20 12:03:53', 'sysuser', NULL, NULL, 0, 1),
	(90, 'MIUB576388762741929C806', '3130113001', 1, '2017-12-20 12:04:23', 'sysuser', NULL, NULL, 0, 1),
	(113, 'MIUB234238028010', '3130113001', 1, '2017-12-22 18:22:25', 'sysuser', NULL, NULL, 0, 1),
	(114, 'MIUB234238028010', '3130117001', 0, '2017-12-22 18:22:25', 'sysuser', NULL, NULL, 0, 1),
	(115, 'MIUB395618392368737B9EC', '3130113001', 1, '2017-12-25 09:57:30', 'sysuser', NULL, NULL, 0, 1),
	(116, 'MIUB395618392368737B9EC', '3130117001', 0, '2017-12-25 09:57:30', 'sysuser', NULL, NULL, 0, 1),
	(117, 'MIUB234238028012', '3130113001', 1, '2017-12-25 11:57:48', 'sysuser', NULL, NULL, 0, 1),
	(118, 'MIUB234238028012', '3130117001', 0, '2017-12-25 11:57:48', 'sysuser', NULL, NULL, 0, 1),
	(119, 'MIUB100820716509994853FA', '3130117001', 1, '2017-12-25 12:01:21', 'sysuser', NULL, NULL, 0, 1),
	(123, 'MIUB10130715387606259B70', '3130117001', 1, '2017-12-25 13:22:26', 'sysuser', NULL, NULL, 0, 1),
	(124, 'MIUB1013484988818287C5E4', '3130117001', 1, '2017-12-25 13:29:19', 'sysuser', NULL, NULL, 0, 1),
	(125, 'MIUB10137965911371388DD6', '3130117001', 1, '2017-12-25 13:34:31', 'sysuser', NULL, NULL, 0, 1),
	(126, 'MIUB101390533626813822BD', '3130117001', 1, '2017-12-25 13:36:20', 'sysuser', NULL, NULL, 0, 1),
	(127, 'MIUB1014952163016769E11A', '3130117001', 1, '2017-12-25 13:53:46', 'sysuser', NULL, NULL, 0, 1),
	(128, 'MIUB10152086036205914CA6', '3130117001', 1, '2017-12-25 13:58:03', 'sysuser', NULL, NULL, 0, 1),
	(129, 'MIUB1015529207361265D99A', '3130117001', 1, '2017-12-25 14:03:23', 'sysuser', NULL, NULL, 0, 1),
	(130, 'MIUB10156651345344015032', '3130117001', 1, '2017-12-25 14:05:39', 'sysuser', NULL, NULL, 0, 1),
	(131, 'MIUB10157645769176550FB4', '3130117001', 1, '2017-12-25 14:07:19', 'sysuser', NULL, NULL, 0, 1),
	(132, 'MIUB1016309369498051B04C', '3130117001', 1, '2017-12-25 14:16:24', 'sysuser', NULL, NULL, 0, 1),
	(133, 'MIUB1016426874771963CCD0', '3130117001', 1, '2017-12-25 14:18:21', 'sysuser', NULL, NULL, 0, 1),
	(134, 'MIUB10165012435607543646', '3130117001', 1, '2017-12-25 14:19:36', 'sysuser', NULL, NULL, 0, 1),
	(135, 'inter06', '3130113001', 1, '2017-12-27 10:31:54', 'root', NULL, NULL, 0, 1),
	(136, 'MIUB17041201357875081561', '3130117001', 1, '2018-01-02 13:19:54', 'sysuser', NULL, NULL, 0, 1),
	(145, 'MIUB1779143353607232E0D7', '3130117001', 1, '2018-01-03 10:10:18', 'sysuser', NULL, NULL, 0, 1),
	(146, 'MIUB17792219773157882466', '3130117001', 1, '2018-01-03 10:11:36', 'sysuser', NULL, NULL, 0, 1),
	(151, 'MIUB1808984050940375303E', '3130117001', 1, '2018-01-03 18:27:38', 'sysuser', NULL, NULL, 0, 1),
	(152, 'MIUB1809020892468827176D', '3130117001', 1, '2018-01-03 18:28:15', 'sysuser', NULL, NULL, 0, 1),
	(153, 'MIUB18090549592239096694', '3130117001', 1, '2018-01-03 18:28:49', 'sysuser', NULL, NULL, 0, 1),
	(155, 'MIUB1809131400951241CC50', '3130117001', 1, '2018-01-03 18:30:06', 'sysuser', NULL, NULL, 0, 1),
	(156, 'MIUB1809164209948524156D', '3130117001', 1, '2018-01-03 18:30:38', 'sysuser', NULL, NULL, 0, 1),
	(157, 'MIUB1809194082424007B970', '3130117001', 1, '2018-01-03 18:31:08', 'sysuser', NULL, NULL, 0, 1),
	(158, 'MIUB18092259282112218A4A', '3130117001', 1, '2018-01-03 18:31:40', 'sysuser', NULL, NULL, 0, 1),
	(160, 'MIUB1809294499936842BDA8', '3130117001', 1, '2018-01-03 18:32:49', 'sysuser', NULL, NULL, 0, 1),
	(162, 'MIUB1809421851302561A4C5', '3130117001', 1, '2018-01-03 18:34:56', 'sysuser', NULL, NULL, 0, 1),
	(165, 'MIUB180975001606183940D1', '3130117001', 1, '2018-01-03 18:40:24', 'sysuser', NULL, NULL, 0, 1),
	(166, 'MIUB18098299739206981036', '3130117001', 1, '2018-01-03 18:41:44', 'sysuser', NULL, NULL, 0, 1),
	(167, 'MIUB1809886241640922AD2A', '3130117001', 1, '2018-01-03 18:42:41', 'sysuser', NULL, NULL, 0, 1),
	(168, 'MIUB18099317208538492B9F', '3130117001', 1, '2018-01-03 18:43:26', 'sysuser', NULL, NULL, 0, 1),
	(169, 'MIUB1810030377805680D89D', '3130117001', 1, '2018-01-03 18:45:05', 'sysuser', NULL, NULL, 0, 1),
	(170, 'MIUB234238028075', '3130113001', 1, '2018-01-04 11:31:43', 'sysuser', NULL, NULL, 0, 1),
	(171, 'MIUB234238028075', '3130117001', 0, '2018-01-04 11:31:43', 'sysuser', NULL, NULL, 0, 1),
	(172, 'MIUB187499660802661532C3', '3130117001', 1, '2018-01-04 12:47:51', 'sysuser', NULL, NULL, 0, 1),
	(173, 'MIUB1887904483671884CA86', '3130117001', 1, '2018-01-04 16:22:59', 'sysuser', NULL, NULL, 0, 1),
	(174, 'MIUB1951757690048294592E', '3130117001', 1, '2018-01-05 10:07:12', 'sysuser', NULL, NULL, 0, 1),
	(175, 'MIUB19609385440725713D58', '3130113001', 1, '2018-01-05 12:40:13', 'sysuser', NULL, NULL, 0, 1),
	(176, 'MIUB19663230822673210A6F', '3130117001', 1, '2018-01-05 14:09:57', 'sysuser', NULL, NULL, 0, 1),
	(177, 'MIUB196636227149593251E2', '3130117001', 1, '2018-01-05 14:10:37', 'sysuser', NULL, NULL, 0, 1),
	(180, 'MIUB23336028477579906A02', '3130113001', 1, '2018-01-09 20:11:17', 'sysuser', NULL, NULL, 0, 1),
	(181, 'MIUB2470748017733308CEA4', '3130113001', 1, '2018-01-11 10:17:02', 'sysuser', NULL, NULL, 0, 1),
	(182, 'MIUB2471066570491654BE1F', '3130113001', 1, '2018-01-11 10:22:21', 'sysuser', NULL, NULL, 0, 1),
	(183, 'MIUB24711088125380936D1F', '3130113001', 1, '2018-01-11 10:23:03', 'sysuser', NULL, NULL, 0, 1),
	(184, 'MIUB24711634252627856E78', '3130113001', 1, '2018-01-11 10:23:58', 'sysuser', NULL, NULL, 0, 1),
	(186, 'MIUB256031299741967719DD', '3130318001', 1, '2018-01-12 11:09:47', 'sysuser', NULL, NULL, 0, 1),
	(187, 'MIUB25603779883634461294', '3130318001', 1, '2018-01-12 11:10:52', 'sysuser', NULL, NULL, 0, 1),
	(188, 'MIUB2560551402405824FC13', '3130318001', 1, '2018-01-12 11:13:46', 'sysuser', NULL, NULL, 0, 1),
	(189, 'MIUB2560623768707706382C', '3130318001', 1, '2018-01-12 11:14:58', 'sysuser', NULL, NULL, 0, 1),
	(190, 'MIUB2560685843634115E5F6', '3130318001', 1, '2018-01-12 11:16:00', 'sysuser', NULL, NULL, 0, 1),
	(191, 'MIUB256107154933040819F2', '3130318001', 1, '2018-01-12 11:22:26', 'sysuser', NULL, NULL, 0, 1),
	(192, 'MIUB256117222227469756A5', '3130318001', 1, '2018-01-12 11:24:07', 'sysuser', NULL, NULL, 0, 1),
	(193, 'MIUB2561245821884632E152', '3130318001', 1, '2018-01-12 11:25:20', 'sysuser', NULL, NULL, 0, 1),
	(194, 'MIUB234238028036', '3130113001', 1, '2018-01-12 11:26:11', 'sysuser', NULL, NULL, 0, 1),
	(195, 'MIUB234238028036', '3130318001', 0, '2018-01-12 11:26:11', 'sysuser', NULL, NULL, 0, 1),
	(196, 'MIUB2561647840409555010E', '3130318001', 1, '2018-01-12 11:32:02', 'sysuser', NULL, NULL, 0, 1),
	(197, 'MIUB2562348564198430EE67', '3130318001', 1, '2018-01-12 11:43:43', 'sysuser', NULL, NULL, 0, 1),
	(198, 'MIUB2562420735097926C9E4', '3130318001', 1, '2018-01-12 11:44:55', 'sysuser', NULL, NULL, 0, 1),
	(199, 'MIUB2562585402764924E0E0', '3130318001', 1, '2018-01-12 11:47:40', 'sysuser', NULL, NULL, 0, 1),
	(200, 'MIUB256271680458011391BA', '3130318001', 1, '2018-01-12 11:49:51', 'sysuser', NULL, NULL, 0, 1),
	(201, 'MIUB256279666779040993F6', '3130318001', 1, '2018-01-12 11:51:11', 'sysuser', NULL, NULL, 0, 1),
	(202, 'MIUB25628690854117316CB3', '3130318001', 1, '2018-01-12 11:52:23', 'sysuser', NULL, NULL, 0, 1),
	(203, 'MIUB2567204797134052A162', '3130318001', 1, '2018-01-12 13:04:39', 'sysuser', NULL, NULL, 0, 1),
	(204, 'MIUB25676433694463336A21', '3130318001', 1, '2018-01-12 13:11:58', 'sysuser', NULL, NULL, 0, 1),
	(205, 'MIUB25681674140189688518', '3130117001', 1, '2018-01-12 13:20:42', 'sysuser', NULL, NULL, 0, 1),
	(206, 'MIUB25684852689056884140', '3130117001', 1, '2018-01-12 13:26:00', 'sysuser', NULL, NULL, 0, 1),
	(228, 'MIUB25795749284245168101', '3130318001', 1, '2018-01-12 16:30:49', 'sysuser', NULL, NULL, 0, 1),
	(250, 'MIUB2831205548616019231C', '3130318001', 1, '2018-01-15 14:24:40', 'sysuser', NULL, NULL, 0, 1),
	(251, 'MIUB2831615868063300B4E8', '3130318001', 1, '2018-01-15 14:31:30', 'sysuser', NULL, NULL, 0, 1),
	(253, 'MIUB283971709410166829C4', '3130318001', 1, '2018-01-15 16:46:31', 'sysuser', NULL, NULL, 0, 1),
	(254, 'MIUB2840061199982864CD21', '3130318001', 1, '2018-01-15 16:52:15', 'sysuser', NULL, NULL, 0, 1),
	(255, 'MIUB2913424780483852F386', '3130113001', 1, '2018-01-16 13:14:59', 'sysuser', NULL, NULL, 0, 1),
	(256, 'MIUB2913424780483852F386', '3130117001', 0, '2018-01-16 13:14:59', 'sysuser', NULL, NULL, 0, 1),
	(257, 'MIUB2913424780483852F386', '3130318001', 0, '2018-01-16 13:14:59', 'sysuser', NULL, NULL, 0, 1),
	(258, 'MIUB31751456844894185F06', '3130117001', 1, '2018-01-19 13:57:00', 'sysuser', NULL, NULL, 0, 1),
	(259, 'MIUB2481513190822551FD82', '3130117001', 1, '2018-01-19 15:57:10', 'sysuser', NULL, NULL, 0, 1),
	(264, 'MIUB3690360951867183693B', '3410118001', 1, '2018-01-25 13:03:55', 'sysuser', NULL, NULL, 0, 1),
	(265, 'MIUB3690423435893317A34F', '3410118001', 1, '2018-01-25 13:04:58', 'sysuser', NULL, NULL, 0, 1),
	(266, 'MIUB369059350022738405FB', '3410118001', 1, '2018-01-25 13:07:48', 'sysuser', NULL, NULL, 0, 1),
	(268, 'MIUB3691298519022160BD96', '3410118001', 1, '2018-01-25 13:19:33', 'sysuser', NULL, NULL, 0, 1),
	(269, 'MIUB36914620565539792AFF', '3410118001', 1, '2018-01-25 13:22:16', 'sysuser', NULL, NULL, 0, 1),
	(270, 'MIUB36923651116004257610', '3410118001', 1, '2018-01-25 13:37:19', 'sysuser', NULL, NULL, 0, 1),
	(271, 'MIUB36924199200023564741', '3410118001', 1, '2018-01-25 13:38:14', 'sysuser', NULL, NULL, 0, 1),
	(272, 'MIUB369260884142402253D2', '3410118001', 1, '2018-01-25 13:41:23', 'sysuser', NULL, NULL, 0, 1),
	(273, 'MIUB3692675371830846991F', '3410118001', 1, '2018-01-25 13:42:30', 'sysuser', NULL, NULL, 0, 1),
	(274, 'MIUB36927191173640545838', '3410118001', 1, '2018-01-25 13:43:13', 'sysuser', NULL, NULL, 0, 1),
	(275, 'MIUB3692771673345276593A', '3410118001', 1, '2018-01-25 13:44:06', 'sysuser', NULL, NULL, 0, 1),
	(276, 'MIUB36928213728219740348', '3410118001', 1, '2018-01-25 13:44:56', 'sysuser', NULL, NULL, 0, 1),
	(277, 'BABYSKYGROUPVSALES1', 'BABYSKYGROUP', 1, '2018-01-23 16:08:48', 'sysuser', NULL, NULL, 0, 1),
	(308, 'MIUB403117516275355537C4', '3410118001', 1, '2018-01-29 11:44:09', 'sysuser', NULL, NULL, 0, 1),
	(310, 'MIUB4043833235947291D314', '3410118001', 1, '2018-01-29 15:15:08', 'sysuser', NULL, NULL, 0, 1),
	(311, 'MIUB40440307348940838FE4', '3410118001', 1, '2018-01-29 15:18:25', 'sysuser', NULL, NULL, 0, 1),
	(312, 'MIUB4044083133699694AF59', '3410118001', 1, '2018-01-29 15:19:17', 'sysuser', NULL, NULL, 0, 1),
	(313, 'MIUB404412270910967312A4', '3410118001', 1, '2018-01-29 15:19:57', 'sysuser', NULL, NULL, 0, 1),
	(314, 'MIUB404424715322442548E8', '3410118001', 1, '2018-01-29 15:22:01', 'sysuser', NULL, NULL, 0, 1),
	(315, 'MIUB40445033588982679AE5', '3410118001', 1, '2018-01-29 15:26:18', 'sysuser', NULL, NULL, 0, 1),
	(316, 'MIUB4044696316574198E42D', '3410118001', 1, '2018-01-29 15:29:31', 'sysuser', NULL, NULL, 0, 1),
	(318, 'MIUB40448212019179616A01', '3410118001', 1, '2018-01-29 15:31:35', 'sysuser', NULL, NULL, 0, 1),
	(319, 'MIUB40448962207722665F11', '3410118001', 1, '2018-01-29 15:32:50', 'sysuser', NULL, NULL, 0, 1),
	(320, 'MIUB4044934849873875C7B6', '3410118001', 1, '2018-01-29 15:33:29', 'sysuser', NULL, NULL, 0, 1),
	(321, 'MIUB40450039878012616199', '3410118001', 1, '2018-01-29 15:34:38', 'sysuser', NULL, NULL, 0, 1),
	(322, 'MIUB4045046628833535C5F8', '3410118001', 1, '2018-01-29 15:35:21', 'sysuser', NULL, NULL, 0, 1),
	(323, 'MIUB404509238077498606D9', '3410118001', 1, '2018-01-29 15:36:07', 'sysuser', NULL, NULL, 0, 1),
	(324, 'MIUB4045120472251369FC42', '3410118001', 1, '2018-01-29 15:36:35', 'sysuser', NULL, NULL, 0, 1),
	(325, 'MIUB4045149419913951E007', '3410118001', 1, '2018-01-29 15:37:04', 'sysuser', NULL, NULL, 0, 1),
	(326, 'MIUB4045178152971589EB80', '3410118001', 1, '2018-01-29 15:37:32', 'sysuser', NULL, NULL, 0, 1),
	(327, 'MIUB40452236721924456009', '3410118001', 1, '2018-01-29 15:38:18', 'sysuser', NULL, NULL, 0, 1),
	(328, 'MIUB404524974845829198AD', '3410118001', 1, '2018-01-29 15:38:44', 'sysuser', NULL, NULL, 0, 1),
	(329, 'MIUB40452893432788127779', '3410118001', 1, '2018-01-29 15:39:24', 'sysuser', NULL, NULL, 0, 1),
	(330, 'MIUB3691098332505334B657', '3410118001', 1, '2018-01-29 17:06:57', 'sysuser', NULL, NULL, 0, 1),
	(334, 'MIUB41350502739979257F33', '3420218001', 1, '2018-01-30 16:35:25', 'sysuser', NULL, NULL, 0, 1),
	(337, 'MIUB41357383539173644C61', '3420218001', 1, '2018-01-30 16:46:53', 'sysuser', NULL, NULL, 0, 1),
	(340, 'MIUB413596463239476957F2', '3420218001', 1, '2018-01-30 16:50:39', 'sysuser', NULL, NULL, 0, 1),
	(341, 'MIUB4136025506443690968A', '3420218001', 1, '2018-01-30 16:51:40', 'sysuser', NULL, NULL, 0, 1),
	(342, 'MIUB4136101179641122F134', '3420218001', 1, '2018-01-30 16:52:55', 'sysuser', NULL, NULL, 0, 1),
	(344, 'MIUB4136204501997198AEA1', '3420218001', 1, '2018-01-30 16:54:39', 'sysuser', NULL, NULL, 0, 1),
	(345, 'MIUB413625072430683182C7', '3420218001', 1, '2018-01-30 16:55:25', 'sysuser', NULL, NULL, 0, 1),
	(348, 'MIUB4137630628901016A416', '3420218001', 1, '2018-01-30 17:18:25', 'sysuser', NULL, NULL, 0, 1),
	(349, 'MIUB41376862530746657206', '3420218001', 1, '2018-01-30 17:19:21', 'sysuser', NULL, NULL, 0, 1),
	(352, 'MIUB41378306872220154CA1', '3420218001', 1, '2018-01-30 17:21:45', 'sysuser', NULL, NULL, 0, 1),
	(354, 'MIUB4128853893519356CFE2', '3410118001', 1, '2018-01-30 17:26:33', 'sysuser', NULL, NULL, 0, 1),
	(355, 'MIUB4128853893519356CFE2', '3420218001', 0, '2018-01-30 17:26:33', 'sysuser', NULL, NULL, 0, 1),
	(356, 'MIUB4138175038269739CEF1', '3420218001', 1, '2018-01-30 17:27:29', 'sysuser', NULL, NULL, 0, 1),
	(357, 'MIUB413823566859817059C4', '3420218001', 1, '2018-01-30 17:28:30', 'sysuser', NULL, NULL, 0, 1),
	(358, 'MIUB4138288970067574C92D', '3420218001', 1, '2018-01-30 17:29:23', 'sysuser', NULL, NULL, 0, 1),
	(360, 'MIUB413841242830050732C4', '3420218001', 1, '2018-01-30 17:31:27', 'sysuser', NULL, NULL, 0, 1),
	(364, 'MIUB4138598873911830C968', '3420218001', 1, '2018-01-30 17:34:33', 'sysuser', NULL, NULL, 0, 1),
	(366, 'MIUB4138708031267424CF5C', '3420218001', 1, '2018-01-30 17:36:22', 'sysuser', NULL, NULL, 0, 1),
	(369, 'MIUB41389065176056380130', '3420218001', 1, '2018-01-30 17:39:41', 'sysuser', NULL, NULL, 0, 1),
	(370, 'MIUB41389674122881628B3F', '3420218001', 1, '2018-01-30 17:40:42', 'sysuser', NULL, NULL, 0, 1),
	(371, 'MIUB413912175373861748BC', '3420218001', 1, '2018-01-30 17:43:16', 'sysuser', NULL, NULL, 0, 1),
	(372, 'MIUB413054048899827523D2', '3410118001', 1, '2018-01-30 17:44:04', 'sysuser', NULL, NULL, 0, 1),
	(373, 'MIUB413054048899827523D2', '3420218001', 0, '2018-01-30 17:44:04', 'sysuser', NULL, NULL, 0, 1),
	(374, 'MIUB41392730095144260700', '3420218001', 1, '2018-01-30 17:45:47', 'sysuser', NULL, NULL, 0, 1),
	(375, 'MIUB4139342163275371A92A', '3420218001', 1, '2018-01-30 17:46:56', 'sysuser', NULL, NULL, 0, 1),
	(376, 'MIUB41393898026773406C7B', '3420218001', 1, '2018-01-30 17:47:44', 'sysuser', NULL, NULL, 0, 1),
	(377, 'MIUB4139482252628042A1E7', '3420218001', 1, '2018-01-30 17:49:17', 'sysuser', NULL, NULL, 0, 1),
	(378, 'MIUB41395379880626008269', '3420218001', 1, '2018-01-30 17:50:12', 'sysuser', NULL, NULL, 0, 1),
	(380, 'MIUB41396651288752833970', '3420218001', 1, '2018-01-30 17:52:19', 'sysuser', NULL, NULL, 0, 1),
	(382, 'MIUB41397373451925539583', '3420218001', 1, '2018-01-30 17:53:32', 'sysuser', NULL, NULL, 0, 1),
	(384, 'MIUB41398226135689700884', '3420218001', 1, '2018-01-30 17:54:57', 'sysuser', NULL, NULL, 0, 1),
	(385, 'MIUB4139856360048208C665', '3420218001', 1, '2018-01-30 17:55:31', 'sysuser', NULL, NULL, 0, 1),
	(386, 'MIUB41398922365717526FD1', '3420218001', 1, '2018-01-30 17:56:07', 'sysuser', NULL, NULL, 0, 1),
	(387, 'MIUB41399640192048044783', '3420218001', 1, '2018-01-30 17:57:18', 'sysuser', NULL, NULL, 0, 1),
	(390, 'MIUB414014805471041534A2', '3420218001', 1, '2018-01-30 18:00:22', 'sysuser', NULL, NULL, 0, 1),
	(392, 'MIUB41402647139047157AED', '3420218001', 1, '2018-01-30 18:02:19', 'sysuser', NULL, NULL, 0, 1),
	(431, 'MIUB41351524805696592B6D', '3420218001', 1, '2018-02-01 10:23:59', 'sysuser', NULL, NULL, 0, 1),
	(432, 'MIUB4135862914740656E946', '3420218001', 1, '2018-02-01 10:34:46', 'sysuser', NULL, NULL, 0, 1),
	(433, 'MIUB4135912551742821B21D', '3420218001', 1, '2018-02-01 10:35:11', 'sysuser', NULL, NULL, 0, 1),
	(434, 'MIUB41361417827700034044', '3420218001', 1, '2018-02-01 10:35:43', 'sysuser', NULL, NULL, 0, 1),
	(436, 'MIUB428867556207012544C7', '3420218001', 1, '2018-02-01 11:15:51', 'sysuser', NULL, NULL, 0, 1),
	(437, 'MIUB4044764224930490A9DB', '3410118001', 1, '2018-02-01 11:49:35', 'sysuser', NULL, NULL, 0, 1),
	(438, 'MIUB4288119153836358F200', '3410118001', 1, '2018-02-01 11:49:59', 'sysuser', NULL, NULL, 0, 1),
	(440, 'MIUB42986828433210602027', '3420218001', 1, '2018-02-01 14:02:39', 'sysuser', NULL, NULL, 0, 1),
	(441, 'MIUB42987408546244677A30', '3420218001', 1, '2018-02-01 14:03:37', 'sysuser', NULL, NULL, 0, 1),
	(442, 'MIUB4137788797648498F1E7', '3420218001', 1, '2018-02-01 15:06:49', 'sysuser', NULL, NULL, 0, 1),
	(443, 'MIUB4302535431988109A609', '3130117001', 1, '2018-02-01 15:06:51', 'sysuser', NULL, NULL, 0, 1),
	(444, 'MIUB4304793182994186B9D6', '3420218001', 1, '2018-02-01 15:44:29', 'sysuser', NULL, NULL, 0, 1),
	(445, 'MIUB414007113938493751D3', '3420218001', 1, '2018-02-01 16:05:56', 'sysuser', NULL, NULL, 0, 1),
	(446, 'MIUB43067129951013975A6B', '3420218001', 1, '2018-02-01 16:16:29', 'sysuser', NULL, NULL, 0, 1),
	(448, 'MIUB41378925000898861007', '3420218001', 1, '2018-02-02 18:01:49', 'sysuser', NULL, NULL, 0, 1),
	(450, 'MIUB499907266699759468DB', '3130318001', 1, '2018-02-09 16:35:49', 'sysuser', NULL, NULL, 0, 1),
	(451, 'MIUB4999118804310261D708', '3130318001', 1, '2018-02-09 16:36:35', 'sysuser', NULL, NULL, 0, 1),
	(452, 'MIUB4999164569188756C2A8', '3130318001', 1, '2018-02-09 16:37:20', 'sysuser', NULL, NULL, 0, 1),
	(453, 'MIUB4999207878466284EAE4', '3130318001', 1, '2018-02-09 16:38:04', 'sysuser', NULL, NULL, 0, 1),
	(457, 'MIUB5241866655080902D95A', '3130318001', 1, '2018-02-12 12:02:24', 'sysuser', NULL, NULL, 0, 1),
	(458, 'MIUB5241919216476141FA0E', '3130318001', 1, '2018-02-12 12:03:16', 'sysuser', NULL, NULL, 0, 1),
	(459, 'MIUB5339459492342018ED25', '3140218001', 1, '2018-02-13 15:08:58', 'sysuser', NULL, NULL, 0, 1),
	(460, 'MIUB5339525610027248FC40', '3140218001', 1, '2018-02-13 15:10:04', 'sysuser', NULL, NULL, 0, 1),
	(461, 'MIUB5339587973440454F0F6', '3140218001', 1, '2018-02-13 15:11:07', 'sysuser', NULL, NULL, 0, 1),
	(462, 'MIUB53396962127680986FD4', '3140218001', 1, '2018-02-13 15:12:55', 'sysuser', NULL, NULL, 0, 1),
	(463, 'MIUB53397640882888548995', '3140218001', 1, '2018-02-13 15:14:03', 'sysuser', NULL, NULL, 0, 1),
	(464, 'MIUB53398279861989571DFA', '3140218001', 1, '2018-02-13 15:15:07', 'sysuser', NULL, NULL, 0, 1),
	(465, 'MIUB53399132559120677250', '3140218001', 1, '2018-02-13 15:16:32', 'sysuser', NULL, NULL, 0, 1),
	(466, 'MIUB5339971485024086F1AB', '3140218001', 1, '2018-02-13 15:17:30', 'sysuser', NULL, NULL, 0, 1),
	(467, 'MIUB53400263022527396F15', '3140218001', 1, '2018-02-13 15:18:25', 'sysuser', NULL, NULL, 0, 1),
	(468, 'MIUB5340073615517348CE36', '3140218001', 1, '2018-02-13 15:19:12', 'sysuser', NULL, NULL, 0, 1),
	(469, 'MIUB53401513952506659B64', '3140218001', 1, '2018-02-13 15:20:30', 'sysuser', NULL, NULL, 0, 1),
	(470, 'MIUB5340201095275964BF62', '3140218001', 1, '2018-02-13 15:21:20', 'sysuser', NULL, NULL, 0, 1),
	(471, 'MIUB534025032523033007A4', '3140218001', 1, '2018-02-13 15:22:09', 'sysuser', NULL, NULL, 0, 1),
	(472, 'MIUB53403023175198134022', '3140218001', 1, '2018-02-13 15:23:01', 'sysuser', NULL, NULL, 0, 1),
	(473, 'MIUB534037251165456365A0', '3140218001', 1, '2018-02-13 15:24:11', 'sysuser', NULL, NULL, 0, 1),
	(474, 'MIUB5340419099293539F89C', '3140218001', 1, '2018-02-13 15:24:58', 'sysuser', NULL, NULL, 0, 1),
	(475, 'MIUB5340485522638059E9FE', '3140218001', 1, '2018-02-13 15:26:04', 'sysuser', NULL, NULL, 0, 1),
	(477, 'MIUB5957530522349347CBB6', '3130318001', 1, '2018-02-20 18:50:09', 'sysuser', NULL, NULL, 0, 1),
	(479, 'MIUB59576162462057854D97', '3130318001', 1, '2018-02-20 18:51:35', 'sysuser', NULL, NULL, 0, 1),
	(482, 'MIUB6109596855585643B3DC', '3130318001', 1, '2018-02-22 13:04:35', 'sysuser', NULL, NULL, 0, 1),
	(489, 'inter02', '3130113001', 1, '2018-02-23 13:57:23', 'sysuser', NULL, NULL, 0, 1),
	(490, 'inter02', '3130117001', 0, '2018-02-23 13:57:23', 'sysuser', NULL, NULL, 0, 1),
	(491, 'inter02', '3130318001', 0, '2018-02-23 13:57:23', 'sysuser', NULL, NULL, 0, 1),
	(492, 'inter02', '3410118001', 0, '2018-02-23 13:57:23', 'sysuser', NULL, NULL, 0, 1),
	(493, 'inter02', '3420218001', 0, '2018-02-23 13:57:23', 'sysuser', NULL, NULL, 0, 1),
	(494, 'inter02', '3140218001', 0, '2018-02-23 13:57:23', 'sysuser', NULL, NULL, 0, 1),
	(495, 'inter01', '3130113001', 1, '2018-02-23 13:57:30', 'sysuser', NULL, NULL, 0, 1),
	(496, 'inter01', '3130117001', 0, '2018-02-23 13:57:30', 'sysuser', NULL, NULL, 0, 1),
	(497, 'inter01', '3130318001', 0, '2018-02-23 13:57:30', 'sysuser', NULL, NULL, 0, 1),
	(498, 'inter01', '3410118001', 0, '2018-02-23 13:57:30', 'sysuser', NULL, NULL, 0, 1),
	(499, 'inter01', '3420218001', 0, '2018-02-23 13:57:30', 'sysuser', NULL, NULL, 0, 1),
	(500, 'inter01', '3140218001', 0, '2018-02-23 13:57:30', 'sysuser', NULL, NULL, 0, 1),
	(501, 'MIUB234238024307', '3130113001', 1, '2018-02-23 15:03:14', 'sysuser', NULL, NULL, 0, 1),
	(502, 'MIUB234238024307', '3130117001', 0, '2018-02-23 15:03:14', 'sysuser', NULL, NULL, 0, 1),
	(503, 'MIUB234238024307', '3130318001', 0, '2018-02-23 15:03:14', 'sysuser', NULL, NULL, 0, 1),
	(504, 'MIUB234238024307', '3410118001', 0, '2018-02-23 15:03:14', 'sysuser', NULL, NULL, 0, 1),
	(505, 'MIUB234238024307', '3420218001', 0, '2018-02-23 15:03:14', 'sysuser', NULL, NULL, 0, 1),
	(506, 'MIUB234238024307', '3140218001', 0, '2018-02-23 15:03:14', 'sysuser', NULL, NULL, 0, 1),
	(507, 'MIUB620358108960663100CE', '3140218001', 1, '2018-02-23 15:11:00', 'sysuser', NULL, NULL, 0, 1),
	(521, 'MIUB62182411587124520340', '3140218001', 1, '2018-02-23 19:15:20', 'sysuser', NULL, NULL, 0, 1),
	(522, 'MIUB62184081610454209E1F', '3140218001', 1, '2018-02-23 19:18:07', 'sysuser', NULL, NULL, 0, 1),
	(523, 'MIUB62185582670864406F66', '3140218001', 1, '2018-02-23 19:20:37', 'sysuser', NULL, NULL, 0, 1),
	(524, 'MIUB62188209030284906BAC', '3140218001', 1, '2018-02-23 19:25:00', 'sysuser', NULL, NULL, 0, 1),
	(525, 'MIUB6218945061253792FE6B', '3140218001', 1, '2018-02-23 19:27:04', 'sysuser', NULL, NULL, 0, 1),
	(526, 'MIUB6219061210103216BD9C', '3140218001', 1, '2018-02-23 19:29:00', 'sysuser', NULL, NULL, 0, 1),
	(527, 'MIUB6277557330204884D9D2', '3130318001', 1, '2018-02-24 11:43:56', 'sysuser', NULL, NULL, 0, 1),
	(528, 'MIUB234238027008', '3130113001', 1, '2018-02-24 12:21:25', 'sysuser', NULL, NULL, 0, 1),
	(529, 'MIUB234238027008', '3130117001', 0, '2018-02-24 12:21:25', 'sysuser', NULL, NULL, 0, 1),
	(530, 'MIUB234238027008', '3130318001', 0, '2018-02-24 12:21:25', 'sysuser', NULL, NULL, 0, 1),
	(531, 'MIUB234238027008', '3410118001', 0, '2018-02-24 12:21:25', 'sysuser', NULL, NULL, 0, 1),
	(532, 'MIUB234238027008', '3420218001', 0, '2018-02-24 12:21:25', 'sysuser', NULL, NULL, 0, 1),
	(533, 'MIUB234238027008', '3140218001', 0, '2018-02-24 12:21:25', 'sysuser', NULL, NULL, 0, 1),
	(534, 'MIUB628218996418473A55', 'fangsu', 0, '2018-02-24 13:18:45', 'root', NULL, NULL, 0, 1),
	(535, 'MIUB6286371005178157B3F6', '3140218001', 1, '2018-02-24 14:10:50', 'sysuser', NULL, NULL, 0, 1),
	(536, 'MIUB6286465502872231CE96', '3140218001', 1, '2018-02-24 14:12:24', 'sysuser', NULL, NULL, 0, 1),
	(538, 'MIUB62889266570232398D61', '3140218001', 1, '2018-02-24 14:53:25', 'sysuser', NULL, NULL, 0, 1),
	(539, 'MIUB5821097285389543571', '3130113001', 1, '2018-02-24 15:20:11', 'sysuser', NULL, NULL, 0, 1),
	(540, 'MIUB5821097285389543571', '3130117001', 0, '2018-02-24 15:20:11', 'sysuser', NULL, NULL, 0, 1),
	(541, 'MIUB5821097285389543571', '3130318001', 0, '2018-02-24 15:20:11', 'sysuser', NULL, NULL, 0, 1),
	(542, 'MIUB5821097285389543571', '3410118001', 0, '2018-02-24 15:20:11', 'sysuser', NULL, NULL, 0, 1),
	(543, 'MIUB5821097285389543571', '3420218001', 0, '2018-02-24 15:20:11', 'sysuser', NULL, NULL, 0, 1),
	(544, 'MIUB5821097285389543571', '3140218001', 0, '2018-02-24 15:20:11', 'sysuser', NULL, NULL, 0, 1),
	(551, 'MIUB6370082392138776F2AE', '3420218001', 1, '2018-02-25 13:26:01', 'sysuser', NULL, NULL, 0, 1),
	(553, 'MIUB41395957351028339C15', '3420218001', 1, '2018-02-25 14:58:25', 'sysuser', NULL, NULL, 0, 1),
	(554, 'MIUB4139770830009062A7DA', '3420218001', 1, '2018-02-25 15:13:51', 'sysuser', NULL, NULL, 0, 1),
	(555, 'MIUB6288771464466886A945', '3140218001', 1, '2018-02-26 09:26:01', 'sysuser', NULL, NULL, 0, 1),
	(556, 'MIUB413881073709115043FD', '3420218001', 1, '2018-02-26 10:17:11', 'sysuser', NULL, NULL, 0, 1),
	(557, 'MIUB64459468537352314EB0', '3420218001', 1, '2018-02-26 10:30:25', 'sysuser', NULL, NULL, 0, 1),
	(558, 'MIUB4140195044760881B48A', '3420218001', 1, '2018-02-26 10:47:12', 'sysuser', NULL, NULL, 0, 1),
	(559, 'MIUB413833936980804888C7', '3420218001', 1, '2018-02-26 11:03:22', 'sysuser', NULL, NULL, 0, 1),
	(560, 'MIUB6448306184803108843F', '3420218001', 1, '2018-02-26 11:09:45', 'sysuser', NULL, NULL, 0, 1),
	(561, 'MIUB6448978691957614CBDE', '3420218001', 1, '2018-02-26 11:20:57', 'sysuser', NULL, NULL, 0, 1),
	(562, 'MIUB41384706001172892A7E', '3420218001', 1, '2018-02-26 11:21:50', 'sysuser', NULL, NULL, 0, 1),
	(563, 'MIUB4137581489524302249E', '3420218001', 1, '2018-02-26 11:23:48', 'sysuser', NULL, NULL, 0, 1),
	(565, 'MIUB41387694909516435492', '3420218001', 1, '2018-02-26 11:40:15', 'sysuser', NULL, NULL, 0, 1),
	(566, 'MIUB64504241166441423018', '3420218001', 1, '2018-02-26 11:45:03', 'sysuser', NULL, NULL, 0, 1),
	(570, 'MIUB4138667529862541472B', '3420218001', 1, '2018-02-26 13:14:01', 'sysuser', NULL, NULL, 0, 1),
	(571, 'MIUB413856082705612666C7', '3420218001', 1, '2018-02-26 13:18:27', 'sysuser', NULL, NULL, 0, 1),
	(573, 'MIUB4139999077795619A8BC', '3420218001', 1, '2018-02-26 13:32:59', 'sysuser', NULL, NULL, 0, 1),
	(574, 'MIUB4137537860411073EDC7', '3420218001', 1, '2018-02-26 13:36:41', 'sysuser', NULL, NULL, 0, 1),
	(575, 'MIUB64626621468886074AB2', '3420218001', 1, '2018-02-26 15:09:01', 'sysuser', NULL, NULL, 0, 1),
	(576, 'MIUB18089430857106351C13', '3130117001', 1, '2018-02-26 16:31:04', 'sysuser', NULL, NULL, 0, 1),
	(577, 'MIUB18088923083526621EF5', '3130117001', 1, '2018-02-26 16:32:53', 'sysuser', NULL, NULL, 0, 1),
	(579, 'MIUB180950568829526020B9', '3130117001', 1, '2018-02-26 16:33:58', 'sysuser', NULL, NULL, 0, 1),
	(583, 'MIUB1809259764840264E777', '3130117001', 1, '2018-02-26 16:41:19', 'sysuser', NULL, NULL, 0, 1),
	(586, 'MIUB180938967652847368F9', '3130117001', 1, '2018-02-26 17:18:22', 'sysuser', NULL, NULL, 0, 1),
	(589, 'MIUB6209105213693768AE74', '3140218001', 1, '2018-02-26 17:36:23', 'sysuser', NULL, NULL, 0, 1),
	(592, 'MIUB51453154644050530B71', '3420218001', 1, '2018-02-26 17:59:13', 'sysuser', NULL, NULL, 0, 1),
	(601, 'MIUB6456543769150809F58E', '3420218001', 1, '2018-02-27 12:36:58', 'sysuser', NULL, NULL, 0, 1),
	(602, 'MIUB18090910139319645B7D', '3130117001', 1, '2018-02-27 14:40:07', 'sysuser', NULL, NULL, 0, 1),
	(631, 'MIUB3421576621786902CFA7', '3130318001', 1, '2018-02-28 14:29:20', 'sysuser', NULL, NULL, 0, 1),
	(639, 'MIUB5957576379556853664A', '3130318001', 1, '2018-02-28 16:15:41', 'sysuser', NULL, NULL, 0, 1),
	(640, 'MIUB5957471325413207A522', '3130318001', 1, '2018-02-28 16:15:59', 'sysuser', NULL, NULL, 0, 1),
	(641, 'MIUB52418129818116340A30', '3130318001', 1, '2018-02-28 16:16:18', 'sysuser', NULL, NULL, 0, 1),
	(642, 'MIUB66345346575959148E26', '3130318001', 1, '2018-02-28 16:16:48', 'sysuser', NULL, NULL, 0, 1),
	(643, 'MIUB663411150454043421B4', '3130318001', 1, '2018-02-28 16:17:08', 'sysuser', NULL, NULL, 0, 1),
	(644, 'MIUB25783222643172190D0E', '3130318001', 1, '2018-02-28 16:17:25', 'sysuser', NULL, NULL, 0, 1),
	(645, 'MIUB2579355075484012C371', '3130318001', 1, '2018-02-28 16:19:55', 'sysuser', NULL, NULL, 0, 1),
	(646, 'MIUB2579046506434286142A', '3130318001', 1, '2018-02-28 16:20:21', 'sysuser', NULL, NULL, 0, 1),
	(647, 'MIUB2579521625367017137E', '3130318001', 1, '2018-02-28 16:20:41', 'sysuser', NULL, NULL, 0, 1),
	(648, 'MIUB25793099614724119FE7', '3130318001', 1, '2018-02-28 16:21:14', 'sysuser', NULL, NULL, 0, 1),
	(649, 'MIUB2578999302488661B15A', '3130318001', 1, '2018-02-28 16:21:38', 'sysuser', NULL, NULL, 0, 1),
	(650, 'MIUB2579610754170537748D', '3130318001', 1, '2018-02-28 16:21:59', 'sysuser', NULL, NULL, 0, 1),
	(651, 'MIUB2579737451627568C5E0', '3130318001', 1, '2018-02-28 16:22:26', 'sysuser', NULL, NULL, 0, 1),
	(669, 'MIUB49990304666784446589', '3130318001', 1, '2018-02-28 16:38:28', 'sysuser', NULL, NULL, 0, 1),
	(670, 'MIUB25792597627330595BA1', '3130318001', 1, '2018-02-28 16:40:27', 'sysuser', NULL, NULL, 0, 1),
	(671, 'MIUB2573795175548222FC6B', '3130318001', 1, '2018-02-28 16:41:33', 'sysuser', NULL, NULL, 0, 1),
	(672, 'MIUB2578773596962286E3EC', '3130318001', 1, '2018-02-28 16:41:48', 'sysuser', NULL, NULL, 0, 1),
	(673, 'MIUB2578168979315999F288', '3130318001', 1, '2018-02-28 16:42:18', 'sysuser', NULL, NULL, 0, 1),
	(674, 'MIUB2578816521085444B7D5', '3130318001', 1, '2018-02-28 16:42:43', 'sysuser', NULL, NULL, 0, 1),
	(675, 'MIUB25786742596405831647', '3130318001', 1, '2018-02-28 16:43:12', 'sysuser', NULL, NULL, 0, 1),
	(676, 'MIUB2578937408813938EC78', '3130318001', 1, '2018-02-28 16:43:41', 'sysuser', NULL, NULL, 0, 1),
	(677, 'MIUB2575745792741202E783', '3130318001', 1, '2018-02-28 16:44:02', 'sysuser', NULL, NULL, 0, 1),
	(678, 'MIUB25788620474117948080', '3130318001', 1, '2018-02-28 16:44:23', 'sysuser', NULL, NULL, 0, 1),
	(679, 'MIUB25780580525517996D58', '3130318001', 1, '2018-02-28 16:44:44', 'sysuser', NULL, NULL, 0, 1),
	(680, 'MIUB2577307861557447B7AF', '3130318001', 1, '2018-02-28 16:45:11', 'sysuser', NULL, NULL, 0, 1),
	(681, 'MIUB25791324222045230637', '3130318001', 1, '2018-02-28 16:45:33', 'sysuser', NULL, NULL, 0, 1),
	(682, 'MIUB65762400892724003B96', '3130318001', 1, '2018-02-28 16:45:54', 'sysuser', NULL, NULL, 0, 1),
	(683, 'MIUB25737414258502187345', '3130318001', 1, '2018-02-28 16:46:20', 'sysuser', NULL, NULL, 0, 1),
	(684, 'MIUB25796828456832320EA5', '3130318001', 1, '2018-02-28 16:46:51', 'sysuser', NULL, NULL, 0, 1),
	(685, 'MIUB2579437245659006D8C9', '3130318001', 1, '2018-02-28 16:47:24', 'sysuser', NULL, NULL, 0, 1),
	(686, 'MIUB2578385939976805BC98', '3130318001', 1, '2018-02-28 16:47:45', 'sysuser', NULL, NULL, 0, 1),
	(687, 'MIUB413852471599288163FF', '3420218001', 1, '2018-02-28 16:52:43', 'sysuser', NULL, NULL, 0, 1),
	(688, 'MIUB4135368017221046D9CB', '3420218001', 1, '2018-02-28 17:10:54', 'sysuser', NULL, NULL, 0, 1),
	(689, 'MIUB6646116771969696DE56', 'YUEYUEMANHOME', 1, '2018-02-28 18:06:35', 'sysuser', NULL, NULL, 0, 1),
	(690, 'MIUB66461446214163905771', 'YUEYUEMANHOME', 1, '2018-02-28 18:07:03', 'sysuser', NULL, NULL, 0, 1),
	(691, 'MIUB40437841382921682094', '3420218001', 1, '2018-02-28 18:14:39', 'sysuser', NULL, NULL, 0, 1),
	(692, 'MIUB4139700378849610AE1A', '3420218001', 1, '2018-02-28 18:18:47', 'sysuser', NULL, NULL, 0, 1),
	(693, 'MIUB4137739597063414FADB', '3420218001', 1, '2018-02-28 18:30:17', 'sysuser', NULL, NULL, 0, 1),
	(697, 'MIUB1809459400722683F30B', '3130117001', 1, '2018-02-28 19:04:23', 'sysuser', NULL, NULL, 0, 1),
	(708, 'MIUB6716921237844999826F', 'BABYSKYGROUP', 1, '2018-03-01 13:46:34', 'sysuser', NULL, NULL, 0, 1),
	(709, 'MIUB67169682475047784BB4', 'BABYSKYGROUP', 1, '2018-03-01 13:47:21', 'sysuser', NULL, NULL, 0, 1),
	(710, 'MIUB6720738080706649D873', 'BABYSKYGROUP', 1, '2018-03-01 14:50:11', 'sysuser', NULL, NULL, 0, 1),
	(711, 'MIUB6720791486038530946D', '3410118007', 1, '2018-03-01 14:51:04', 'sysuser', NULL, NULL, 0, 1),
	(712, 'MIUB6720793870139372ECC5', 'BABYSKYGROUP', 1, '2018-03-01 14:51:06', 'sysuser', NULL, NULL, 0, 1),
	(713, 'MIUB6720915126603739B8A1', 'BABYSKYGROUP', 1, '2018-03-01 14:53:08', 'sysuser', NULL, NULL, 0, 1),
	(714, 'MIUB67213742101334783870', 'BABYSKYGROUP', 1, '2018-03-01 15:00:47', 'sysuser', NULL, NULL, 0, 1),
	(716, 'MIUB6722400082668127E2D4', '3130118007', 1, '2018-03-01 15:19:05', 'sysuser', NULL, NULL, 0, 1),
	(717, 'MIUB67259947694806416883', '3130118007', 1, '2018-03-01 16:17:47', 'sysuser', NULL, NULL, 0, 1),
	(718, 'MIUB6726032659774339C2A8', '3130118007', 1, '2018-03-01 16:18:25', 'sysuser', NULL, NULL, 0, 1),
	(719, 'MIUB67260677338125276613', '3130118007', 1, '2018-03-01 16:19:00', 'sysuser', NULL, NULL, 0, 1),
	(720, 'MIUB67261038475327460172', '3130118007', 1, '2018-03-01 16:19:36', 'sysuser', NULL, NULL, 0, 1),
	(721, 'MIUB672613218552215609BA', '3130118007', 1, '2018-03-01 16:20:05', 'sysuser', NULL, NULL, 0, 1),
	(722, 'MIUB67261857607960078E76', '3130118007', 1, '2018-03-01 16:20:58', 'sysuser', NULL, NULL, 0, 1),
	(723, 'MIUB6726253282442745C85B', '3130118007', 1, '2018-03-01 16:22:06', 'sysuser', NULL, NULL, 0, 1),
	(743, 'MIUB67918040009273575EF6', '3410118007', 1, '2018-03-02 10:34:37', 'sysuser', NULL, NULL, 0, 1),
	(744, 'MIUB6791960904817657AA48', '3410118007', 1, '2018-03-02 10:37:13', 'sysuser', NULL, NULL, 0, 1),
	(745, 'MIUB6792185971955423441D', '3410118007', 1, '2018-03-02 10:40:59', 'sysuser', NULL, NULL, 0, 1),
	(746, 'MIUB67922076276068473AD7', '3410118007', 1, '2018-03-02 10:41:20', 'sysuser', NULL, NULL, 0, 1),
	(747, 'MIUB67922135337419489865', '3410118007', 1, '2018-03-02 10:41:26', 'sysuser', NULL, NULL, 0, 1),
	(748, 'MIUB6793667748483838B2B6', '3130118007', 1, '2018-03-02 11:05:40', 'sysuser', NULL, NULL, 0, 1),
	(749, 'MIUB6794513423885990B905', '3410118007', 1, '2018-03-02 11:19:46', 'sysuser', NULL, NULL, 0, 1),
	(750, 'MIUB6812973064848458F13D', '3410118007', 1, '2018-03-02 16:27:26', 'sysuser', NULL, NULL, 0, 1),
	(758, 'MIUB628218996418473A55', '3130113001', 1, '2018-03-02 17:34:20', 'sysuser', NULL, NULL, 0, 1),
	(759, 'MIUB628218996418473A55', '3130117001', 0, '2018-03-02 17:34:20', 'sysuser', NULL, NULL, 0, 1),
	(760, 'MIUB628218996418473A55', '3130318001', 0, '2018-03-02 17:34:20', 'sysuser', NULL, NULL, 0, 1),
	(761, 'MIUB628218996418473A55', '3410118001', 0, '2018-03-02 17:34:20', 'sysuser', NULL, NULL, 0, 1),
	(762, 'MIUB628218996418473A55', 'BABYSKYGROUP', 0, '2018-03-02 17:34:20', 'sysuser', NULL, NULL, 0, 1),
	(763, 'MIUB628218996418473A55', '3420218001', 0, '2018-03-02 17:34:20', 'sysuser', NULL, NULL, 0, 1),
	(764, 'MIUB628218996418473A55', '3140218001', 0, '2018-03-02 17:34:20', 'sysuser', NULL, NULL, 0, 1),
	(765, 'MIUB7049044431774390BC73', '3130113001', 1, '2018-03-05 10:01:57', 'sysuser', NULL, NULL, 0, 1),
	(766, 'MIUB7049044431774390BC73', '3130117001', 0, '2018-03-05 10:01:57', 'sysuser', NULL, NULL, 0, 1),
	(767, 'MIUB7049044431774390BC73', '3130318001', 0, '2018-03-05 10:01:57', 'sysuser', NULL, NULL, 0, 1),
	(768, 'MIUB7049044431774390BC73', '3410118001', 0, '2018-03-05 10:01:57', 'sysuser', NULL, NULL, 0, 1),
	(769, 'MIUB7049044431774390BC73', 'BABYSKYGROUP', 0, '2018-03-05 10:01:57', 'sysuser', NULL, NULL, 0, 1),
	(770, 'MIUB7049044431774390BC73', '3420218001', 0, '2018-03-05 10:01:57', 'sysuser', NULL, NULL, 0, 1),
	(771, 'MIUB7049044431774390BC73', '3140218001', 0, '2018-03-05 10:01:57', 'sysuser', NULL, NULL, 0, 1),
	(772, 'MIUB7049044431774390BC73', 'YUEYUEMANHOME', 0, '2018-03-05 10:01:57', 'sysuser', NULL, NULL, 0, 1),
	(773, 'MIUB7049044431774390BC73', '3410118007', 0, '2018-03-05 10:01:57', 'sysuser', NULL, NULL, 0, 1),
	(774, 'MIUB7049044431774390BC73', '3130118007', 0, '2018-03-05 10:01:57', 'sysuser', NULL, NULL, 0, 1),
	(775, 'MIUB70499682338329252113', '3130113001', 1, '2018-03-05 10:17:21', 'sysuser', NULL, NULL, 0, 1),
	(776, 'MIUB7050351583035042C84C', '3130113001', 1, '2018-03-05 10:23:44', 'sysuser', NULL, NULL, 0, 1),
	(777, 'MIUB7050351583035042C84C', '3130117001', 0, '2018-03-05 10:23:44', 'sysuser', NULL, NULL, 0, 1),
	(778, 'MIUB7050351583035042C84C', '3130318001', 0, '2018-03-05 10:23:44', 'sysuser', NULL, NULL, 0, 1),
	(779, 'MIUB7050351583035042C84C', '3410118001', 0, '2018-03-05 10:23:44', 'sysuser', NULL, NULL, 0, 1),
	(780, 'MIUB7050351583035042C84C', '3420218001', 0, '2018-03-05 10:23:44', 'sysuser', NULL, NULL, 0, 1),
	(781, 'MIUB7050351583035042C84C', '3140218001', 0, '2018-03-05 10:23:44', 'sysuser', NULL, NULL, 0, 1),
	(782, 'MIUB7065544977675540B983', '3130113001', 1, '2018-03-05 14:36:58', 'sysuser', NULL, NULL, 0, 1),
	(797, 'MIUB70722758255162964F5F', '3130113001', 1, '2018-03-05 16:34:32', 'sysuser', NULL, NULL, 0, 1),
	(798, 'MIUB70722758255162964F5F', '3130117001', 0, '2018-03-05 16:34:32', 'sysuser', NULL, NULL, 0, 1),
	(799, 'MIUB70722758255162964F5F', '3130318001', 0, '2018-03-05 16:34:32', 'sysuser', NULL, NULL, 0, 1),
	(800, 'MIUB70722758255162964F5F', '3410118001', 0, '2018-03-05 16:34:32', 'sysuser', NULL, NULL, 0, 1),
	(801, 'MIUB70722758255162964F5F', 'BABYSKYGROUP', 0, '2018-03-05 16:34:32', 'sysuser', NULL, NULL, 0, 1),
	(802, 'MIUB70722758255162964F5F', '3420218001', 0, '2018-03-05 16:34:32', 'sysuser', NULL, NULL, 0, 1),
	(803, 'MIUB70722758255162964F5F', '3140218001', 0, '2018-03-05 16:34:32', 'sysuser', NULL, NULL, 0, 1),
	(804, 'MIUB70722758255162964F5F', 'YUEYUEMANHOME', 0, '2018-03-05 16:34:32', 'sysuser', NULL, NULL, 0, 1),
	(805, 'MIUB707380849651452769D1', '3130113001', 1, '2018-03-05 16:54:41', 'sysuser', NULL, NULL, 0, 1),
	(806, 'MIUB7073848795271250F35C', '3130113001', 1, '2018-03-05 16:55:21', 'sysuser', NULL, NULL, 0, 1),
	(807, 'MIUB707395343142729961E4', '3130113001', 1, '2018-03-05 16:57:06', 'sysuser', NULL, NULL, 0, 1),
	(808, 'MIUB67160432041447331160', '3130113001', 1, '2018-03-05 17:13:26', 'sysuser', NULL, NULL, 0, 1),
	(809, 'MIUB67160432041447331160', '3410118007', 0, '2018-03-05 17:13:26', 'sysuser', NULL, NULL, 0, 1),
	(810, 'MIUB7135370828198705ACB6', '3410118007', 1, '2018-03-06 10:00:43', 'sysuser', NULL, NULL, 0, 1),
	(811, 'MIUB7227095194573661F4F2', '3410118007', 1, '2018-03-07 11:29:28', 'sysuser', NULL, NULL, 0, 1),
	(812, 'MIUB72387756496884436021', '3410118007', 1, '2018-03-07 14:44:08', 'sysuser', NULL, NULL, 0, 1),
	(813, 'MIUB7238857340625145BE12', '3410118007', 1, '2018-03-07 14:45:30', 'sysuser', NULL, NULL, 0, 1),
	(814, 'MIUB723895518051219278B2', '3130117001', 1, '2018-03-07 14:47:08', 'sysuser', NULL, NULL, 0, 1),
	(815, 'MIUB724311226866007241A5', '3410118007', 1, '2018-03-07 15:56:25', 'sysuser', NULL, NULL, 0, 1),
	(817, 'MIUB72432368323600575ED8', '3410118007', 1, '2018-03-07 15:58:43', 'sysuser', NULL, NULL, 0, 1),
	(818, 'MIUB724546692547709045B1', '3410118007', 1, '2018-03-07 16:35:40', 'sysuser', NULL, NULL, 0, 1),
	(819, 'MIUB72456681651289247DCC', '3410118007', 1, '2018-03-07 16:39:01', 'sysuser', NULL, NULL, 0, 1),
	(820, 'MIUB72617527470962153F27', '3410118007', 1, '2018-03-07 21:07:05', 'sysuser', NULL, NULL, 0, 1),
	(821, 'MIUB731488556683961683DF', '3410118007', 1, '2018-03-08 11:52:38', 'sysuser', NULL, NULL, 0, 1),
	(822, 'MIUB7315159634806904B3E0', '3410118007', 1, '2018-03-08 11:57:12', 'sysuser', NULL, NULL, 0, 1),
	(823, 'MIUB7315263192721360696D', '3410118007', 1, '2018-03-08 11:58:56', 'sysuser', NULL, NULL, 0, 1),
	(824, 'MIUB73153740050128783C39', '3410118007', 1, '2018-03-08 12:00:47', 'sysuser', NULL, NULL, 0, 1),
	(825, 'MIUB731548289210218892C9', '3410118007', 1, '2018-03-08 12:02:35', 'sysuser', NULL, NULL, 0, 1),
	(826, 'MIUB7323347049926120B2CA', '3410118007', 1, '2018-03-08 14:13:40', 'sysuser', NULL, NULL, 0, 1),
	(827, 'MIUB7328841659580729F631', '3410118007', 1, '2018-03-08 15:45:14', 'sysuser', NULL, NULL, 0, 1),
	(828, 'MIUB73289472416697026D78', '3410118007', 1, '2018-03-08 15:47:00', 'sysuser', NULL, NULL, 0, 1),
	(829, 'MIUB73290775299587357569', '3410118007', 1, '2018-03-08 15:49:10', 'sysuser', NULL, NULL, 0, 1),
	(830, 'MIUB73292375379180928E78', '3410118007', 1, '2018-03-08 15:51:50', 'sysuser', NULL, NULL, 0, 1),
	(831, 'MIUB73293343325746904346', '3410118007', 1, '2018-03-08 15:53:27', 'sysuser', NULL, NULL, 0, 1),
	(832, 'MIUB7393096794414848871C', '3410118009', 1, '2018-03-09 09:36:09', 'sysuser', NULL, NULL, 0, 1),
	(833, 'MIUB74190981518294952816', '3410118009', 1, '2018-03-09 16:49:31', 'sysuser', NULL, NULL, 0, 1),
	(835, 'MIUB7657126885810217CB82', '3410118009', 1, '2018-03-12 10:56:39', 'sysuser', NULL, NULL, 0, 1),
	(836, 'MIUB76572708002045134B8C', '3410118009', 1, '2018-03-12 10:59:03', 'sysuser', NULL, NULL, 0, 1),
	(837, 'MIUB74191877635882677B51', '3410118009', 1, '2018-03-12 11:00:11', 'sysuser', NULL, NULL, 0, 1),
	(841, 'MIUB7657804421958352DB38', '3130113001', 1, '2018-03-12 15:42:43', 'sysuser', NULL, NULL, 0, 1),
	(842, 'MIUB76791504872421041E9B', 'YUEYUEMANHOME', 1, '2018-03-12 17:03:43', 'sysuser', NULL, NULL, 0, 1),
	(843, 'MIUB76807813152398834ADE', '3130113001', 1, '2018-03-12 17:30:54', 'sysuser', NULL, NULL, 0, 1),
	(844, 'MIUB76817529126742939097', '3130113001', 1, '2018-03-12 17:47:05', 'sysuser', NULL, NULL, 0, 1),
	(845, 'MIUB76828627359810083CD7', 'YUEYUEMANHOME', 1, '2018-03-12 18:05:35', 'sysuser', NULL, NULL, 0, 1),
	(846, 'MIUB7690274315493997AF7F', 'BABYSKYGROUP', 1, '2018-03-12 20:09:07', 'sysuser', NULL, NULL, 0, 1),
	(847, 'MIUB7690299939599045F780', 'BABYSKYGROUP', 1, '2018-03-12 20:09:33', 'sysuser', NULL, NULL, 0, 1),
	(848, 'MIUB773902477848399694F7', '3410118011', 1, '2018-03-13 09:41:37', 'sysuser', NULL, NULL, 0, 1),
	(849, 'MIUB774023119956447172D2', '3410118011', 1, '2018-03-13 10:01:44', 'sysuser', NULL, NULL, 0, 1),
	(850, 'MIUB774025777499439407BB', '3410118011', 1, '2018-03-13 10:02:10', 'sysuser', NULL, NULL, 0, 1),
	(851, 'MIUB77439115208355238883', 'BABYSKYGROUP', 1, '2018-03-13 11:03:04', 'sysuser', NULL, NULL, 0, 1),
	(852, 'MIUB77439539265491537FD3', 'BABYSKYGROUP', 1, '2018-03-13 11:03:47', 'sysuser', NULL, NULL, 0, 1),
	(853, 'MIUB7754817150506696189D', '3130113001', 1, '2018-03-13 14:04:50', 'sysuser', NULL, NULL, 0, 1),
	(854, 'MIUB7754817150506696189D', '3130117001', 0, '2018-03-13 14:04:50', 'sysuser', NULL, NULL, 0, 1),
	(855, 'MIUB7754817150506696189D', '3130318001', 0, '2018-03-13 14:04:50', 'sysuser', NULL, NULL, 0, 1),
	(856, 'MIUB7754817150506696189D', '3410118001', 0, '2018-03-13 14:04:50', 'sysuser', NULL, NULL, 0, 1),
	(857, 'MIUB7754817150506696189D', '3420218001', 0, '2018-03-13 14:04:50', 'sysuser', NULL, NULL, 0, 1),
	(858, 'MIUB7754817150506696189D', '3140218001', 0, '2018-03-13 14:04:50', 'sysuser', NULL, NULL, 0, 1),
	(859, 'MIUB7754817150506696189D', '3410118007', 0, '2018-03-13 14:04:50', 'sysuser', NULL, NULL, 0, 1),
	(860, 'MIUB7754817150506696189D', '3130118007', 0, '2018-03-13 14:04:50', 'sysuser', NULL, NULL, 0, 1),
	(861, 'MIUB7759352423864452F25D', '3130118008', 1, '2018-03-13 15:20:25', 'sysuser', NULL, NULL, 0, 1),
	(862, 'MIUB77597197185903838655', '3130118008', 1, '2018-03-13 15:26:32', 'sysuser', NULL, NULL, 0, 1),
	(863, 'MIUB775975322574641332B9', '3130118008', 1, '2018-03-13 15:27:06', 'sysuser', NULL, NULL, 0, 1),
	(864, 'MIUB78319324092402096DD3', '3410118012', 1, '2018-03-14 11:30:05', 'sysuser', NULL, NULL, 0, 1),
	(865, 'MIUB78390261515615566104', '3130113001', 1, '2018-03-14 13:28:19', 'sysuser', NULL, NULL, 0, 1),
	(866, 'MIUB7839094736523052CE3D', '3130113001', 1, '2018-03-14 13:29:27', 'sysuser', NULL, NULL, 0, 1),
	(867, 'MIUB6716224686864175BA7C', '3130113001', 1, '2018-03-14 13:43:10', 'sysuser', NULL, NULL, 0, 1),
	(868, 'MIUB6716224686864175BA7C', '3130117001', 0, '2018-03-14 13:43:10', 'sysuser', NULL, NULL, 0, 1),
	(869, 'MIUB6716224686864175BA7C', '3130318001', 0, '2018-03-14 13:43:10', 'sysuser', NULL, NULL, 0, 1),
	(870, 'MIUB6716224686864175BA7C', '3410118001', 0, '2018-03-14 13:43:10', 'sysuser', NULL, NULL, 0, 1),
	(871, 'MIUB6716224686864175BA7C', 'BABYSKYGROUP', 0, '2018-03-14 13:43:10', 'sysuser', NULL, NULL, 0, 1),
	(872, 'MIUB6716224686864175BA7C', '3420218001', 0, '2018-03-14 13:43:10', 'sysuser', NULL, NULL, 0, 1),
	(873, 'MIUB6716224686864175BA7C', '3140218001', 0, '2018-03-14 13:43:10', 'sysuser', NULL, NULL, 0, 1),
	(874, 'MIUB6716224686864175BA7C', 'YUEYUEMANHOME', 0, '2018-03-14 13:43:10', 'sysuser', NULL, NULL, 0, 1),
	(875, 'MIUB6716224686864175BA7C', '3410118007', 0, '2018-03-14 13:43:10', 'sysuser', NULL, NULL, 0, 1),
	(876, 'MIUB6716224686864175BA7C', '3130118007', 0, '2018-03-14 13:43:10', 'sysuser', NULL, NULL, 0, 1),
	(877, 'MIUB6716224686864175BA7C', '3410118009', 0, '2018-03-14 13:43:10', 'sysuser', NULL, NULL, 0, 1),
	(878, 'MIUB6716224686864175BA7C', '3410118011', 0, '2018-03-14 13:43:10', 'sysuser', NULL, NULL, 0, 1),
	(879, 'MIUB6716224686864175BA7C', '3130118008', 0, '2018-03-14 13:43:10', 'sysuser', NULL, NULL, 0, 1),
	(880, 'MIUB6716224686864175BA7C', '3410118012', 0, '2018-03-14 13:43:10', 'sysuser', NULL, NULL, 0, 1),
	(881, 'MIUB67278352112296726C74', '3410118007', 1, '2018-03-14 13:43:47', 'sysuser', NULL, NULL, 0, 1),
	(882, 'MIUB67278352112296726C74', '3410118012', 0, '2018-03-14 13:43:47', 'sysuser', NULL, NULL, 0, 1),
	(883, 'MIUB6727871185664418E096', '3410118007', 1, '2018-03-14 13:44:10', 'sysuser', NULL, NULL, 0, 1),
	(884, 'MIUB6727871185664418E096', '3410118012', 0, '2018-03-14 13:44:10', 'sysuser', NULL, NULL, 0, 1),
	(885, 'MIUB67280978929419618283', '3410118007', 1, '2018-03-14 13:44:21', 'sysuser', NULL, NULL, 0, 1),
	(886, 'MIUB67280978929419618283', '3410118012', 0, '2018-03-14 13:44:21', 'sysuser', NULL, NULL, 0, 1),
	(887, 'MIUB672817294973202722F0', '3410118007', 1, '2018-03-14 13:45:24', 'sysuser', NULL, NULL, 0, 1),
	(888, 'MIUB672817294973202722F0', '3410118012', 0, '2018-03-14 13:45:24', 'sysuser', NULL, NULL, 0, 1),
	(889, 'MIUB6728924929993947B3DC', '3410118007', 1, '2018-03-14 13:45:34', 'sysuser', NULL, NULL, 0, 1),
	(890, 'MIUB6728924929993947B3DC', '3410118012', 0, '2018-03-14 13:45:34', 'sysuser', NULL, NULL, 0, 1),
	(891, 'MIUB672899259637671160D9', '3410118007', 1, '2018-03-14 13:45:46', 'sysuser', NULL, NULL, 0, 1),
	(892, 'MIUB672899259637671160D9', '3410118012', 0, '2018-03-14 13:45:46', 'sysuser', NULL, NULL, 0, 1),
	(893, 'MIUB6729018345415892DD32', '3410118007', 1, '2018-03-14 13:45:58', 'sysuser', NULL, NULL, 0, 1),
	(894, 'MIUB6729018345415892DD32', '3410118012', 0, '2018-03-14 13:45:58', 'sysuser', NULL, NULL, 0, 1),
	(895, 'MIUB6729048361756846A40F', '3410118007', 1, '2018-03-14 13:46:09', 'sysuser', NULL, NULL, 0, 1),
	(896, 'MIUB6729048361756846A40F', '3410118012', 0, '2018-03-14 13:46:09', 'sysuser', NULL, NULL, 0, 1),
	(897, 'MIUB67290991998185688EB3', '3410118007', 1, '2018-03-14 13:46:19', 'sysuser', NULL, NULL, 0, 1),
	(898, 'MIUB67290991998185688EB3', '3410118012', 0, '2018-03-14 13:46:19', 'sysuser', NULL, NULL, 0, 1),
	(899, 'MIUB78498931701498277BE9', '3410118012', 1, '2018-03-14 16:29:26', 'sysuser', NULL, NULL, 0, 1),
	(900, 'MIUB784998818499703565FD', '3410118012', 1, '2018-03-14 16:31:01', 'sysuser', NULL, NULL, 0, 1),
	(901, 'MIUB78545878775196095B0C', 'BABYSKYGROUP', 1, '2018-03-14 17:47:40', 'sysuser', NULL, NULL, 0, 1),
	(902, 'MIUB79141273202042420586', '3410118013', 1, '2018-03-15 10:20:00', 'sysuser', NULL, NULL, 0, 1),
	(911, 'MIUB7933565796682386B92C', 'YUEYUEMANHOME', 1, '2018-03-15 15:43:58', 'sysuser', NULL, NULL, 0, 1),
	(912, 'MIUB7934217917299329527C', 'YUEYUEMANHOME', 1, '2018-03-15 15:54:50', 'sysuser', NULL, NULL, 0, 1),
	(913, 'MIUB79342284115311074C04', 'YUEYUEMANHOME', 1, '2018-03-15 15:55:01', 'sysuser', NULL, NULL, 0, 1),
	(915, 'MIUB793548783886564462B5', 'YUEYUEMANHOME', 1, '2018-03-15 16:16:00', 'sysuser', NULL, NULL, 0, 1),
	(918, 'MIUB793692159889674546EE', '3130117001', 1, '2018-03-15 16:39:54', 'sysuser', NULL, NULL, 0, 1),
	(919, 'MIUB79369289970719983C73', '3130117001', 1, '2018-03-15 16:40:02', 'sysuser', NULL, NULL, 0, 1),
	(920, 'MIUB79369352549967311CCB', '3130117001', 1, '2018-03-15 16:40:08', 'sysuser', NULL, NULL, 0, 1),
	(921, 'MIUB7937438755880446514F', '3130113001', 1, '2018-03-15 16:48:31', 'sysuser', NULL, NULL, 0, 1),
	(922, 'MIUB7937627712705108B8C2', '3130113001', 1, '2018-03-15 16:51:40', 'sysuser', NULL, NULL, 0, 1),
	(924, 'MIUB79381012758294691B55', '3130113001', 1, '2018-03-15 16:59:34', 'sysuser', NULL, NULL, 0, 1),
	(925, 'MIUB79384120171395739403', '3130113001', 1, '2018-03-15 17:04:45', 'sysuser', NULL, NULL, 0, 1),
	(927, 'MIUB7999621827440209CE88', '3130113001', 1, '2018-03-16 10:04:55', 'sysuser', NULL, NULL, 0, 1),
	(928, 'MIUB8015543697919543E8D8', '3130113001', 1, '2018-03-16 14:30:17', 'sysuser', NULL, NULL, 0, 1),
	(929, 'MIUB801586056049600967BF', '3130113001', 1, '2018-03-16 14:35:34', 'sysuser', NULL, NULL, 0, 1),
	(930, 'MIUB8015933789393083F372', '3130113001', 1, '2018-03-16 14:36:47', 'sysuser', NULL, NULL, 0, 1),
	(931, 'MIUB7997936221606570665F', '3130113001', 1, '2018-03-16 14:37:09', 'sysuser', NULL, NULL, 0, 1),
	(932, 'MIUB7937918507225663B9C7', '3130113001', 1, '2018-03-16 14:37:24', 'sysuser', NULL, NULL, 0, 1),
	(933, 'MIUB79369127828699950F38', '3130117001', 1, '2018-03-16 14:39:07', 'sysuser', NULL, NULL, 0, 1),
	(934, 'MIUB79355208482223044476', '3130117001', 1, '2018-03-16 14:39:16', 'sysuser', NULL, NULL, 0, 1),
	(935, 'MIUB793265596570313503F2', '3130113001', 1, '2018-03-16 14:39:30', 'sysuser', NULL, NULL, 0, 1),
	(936, 'MIUB7932487778536937B2E9', '3130113001', 1, '2018-03-16 14:39:41', 'sysuser', NULL, NULL, 0, 1),
	(937, 'MIUB7931980507297599A80B', '3130113001', 1, '2018-03-16 14:39:52', 'sysuser', NULL, NULL, 0, 1),
	(938, 'MIUB793187064507200735C7', '3130113001', 1, '2018-03-16 14:40:04', 'sysuser', NULL, NULL, 0, 1),
	(939, 'MIUB7931696933311174BB08', '3130113001', 1, '2018-03-16 14:40:12', 'sysuser', NULL, NULL, 0, 1),
	(940, 'MIUB8272572100957880D6FA', '3410118014', 1, '2018-03-19 13:54:05', 'sysuser', NULL, NULL, 0, 1),
	(941, 'MIUB827690493486483307CC', '3410118014', 1, '2018-03-19 15:06:18', 'sysuser', NULL, NULL, 0, 1),
	(942, 'MIUB82774848884597491B91', '3410118014', 1, '2018-03-19 15:15:58', 'sysuser', NULL, NULL, 0, 1),
	(943, 'MIUB8277532501419519A2E7', '3410118014', 1, '2018-03-19 15:16:46', 'sysuser', NULL, NULL, 0, 1),
	(944, 'MIUB8279027551656333961E', '3410118014', 1, '2018-03-19 15:41:41', 'sysuser', NULL, NULL, 0, 1),
	(945, 'MIUB82794386414569521680', '3410118014', 1, '2018-03-19 15:48:32', 'sysuser', NULL, NULL, 0, 1),
	(946, 'MIUB8281188618672645C942', '3410118014', 1, '2018-03-19 16:17:42', 'sysuser', NULL, NULL, 0, 1),
	(947, 'MIUB8281861849731678B6CE', '3410118014', 1, '2018-03-19 16:28:55', 'sysuser', NULL, NULL, 0, 1),
	(948, 'MIUB8281911471081510A8EA', '3410118014', 1, '2018-03-19 16:29:45', 'sysuser', NULL, NULL, 0, 1),
	(949, 'MIUB82819405103372580F93', '3410118014', 1, '2018-03-19 16:30:14', 'sysuser', NULL, NULL, 0, 1),
	(950, 'MIUB8282051366448017CB65', '3410118014', 1, '2018-03-19 16:32:05', 'sysuser', NULL, NULL, 0, 1),
	(951, 'MIUB8283821050536855B2A2', '3410118014', 1, '2018-03-19 17:01:34', 'sysuser', NULL, NULL, 0, 1),
	(952, 'MIUB8287658296723012703E', '3130113001', 1, '2018-03-19 18:05:31', 'sysuser', NULL, NULL, 0, 1),
	(953, 'MIUB8346375380145472D6F4', '3410118015', 1, '2018-03-20 10:24:09', 'sysuser', NULL, NULL, 0, 1),
	(954, 'MIUB83482941642981352D2D', '3130113001', 1, '2018-03-20 10:56:07', 'sysuser', NULL, NULL, 0, 1),
	(955, 'MIUB83487232331340691E71', '3130113001', 1, '2018-03-20 11:03:16', 'sysuser', NULL, NULL, 0, 1),
	(956, 'MIUB83488061567130621A31', '3130113001', 1, '2018-03-20 11:04:39', 'sysuser', NULL, NULL, 0, 1),
	(957, 'MIUB83666187975466953239', 'YUEYUEMANHOME', 1, '2018-03-20 16:01:32', 'sysuser', NULL, NULL, 0, 1),
	(958, 'MIUB8366645674004147EB26', 'YUEYUEMANHOME', 1, '2018-03-20 16:01:59', 'sysuser', NULL, NULL, 0, 1),
	(959, 'MIUB793483806673016165B4', 'YUEYUEMANHOME', 1, '2018-03-20 17:35:54', 'sysuser', NULL, NULL, 0, 1),
	(960, 'MIUB83756829677259809F22', 'YUEYUEMANHOME', 1, '2018-03-20 18:32:36', 'sysuser', NULL, NULL, 0, 1),
	(962, 'MIUB8431422086968255CF46', 'YUEYUEMANHOME', 1, '2018-03-21 11:04:38', 'sysuser', NULL, NULL, 0, 1),
	(965, 'MIUB844775467187170028AF', 'YUEYUEMANHOME', 1, '2018-03-21 15:18:08', 'sysuser', NULL, NULL, 0, 1),
	(966, 'MIUB8450718647305499E719', 'YUEYUEMANHOME', 1, '2018-03-21 15:23:12', 'sysuser', NULL, NULL, 0, 1),
	(967, 'MIUB85205033573510854F4B', '3130113001', 1, '2018-03-22 10:46:17', 'sysuser', NULL, NULL, 0, 1),
	(968, 'MIUB8520639230076062C404', '3130117001', 1, '2018-03-22 10:48:32', 'sysuser', NULL, NULL, 0, 1),
	(969, 'MIUB85206497486797866609', '3130113001', 1, '2018-03-22 10:48:43', 'sysuser', NULL, NULL, 0, 1),
	(970, 'MIUB8520661839797243F56D', '3130113001', 1, '2018-03-22 10:48:55', 'sysuser', NULL, NULL, 0, 1),
	(971, 'MIUB8520669896951315ECB9', 'YUEYUEMANHOME', 1, '2018-03-22 10:49:03', 'sysuser', NULL, NULL, 0, 1),
	(972, 'MIUB8520677645197163374D', 'YUEYUEMANHOME', 1, '2018-03-22 10:49:11', 'sysuser', NULL, NULL, 0, 1),
	(973, 'MIUB85206874682164540762', 'YUEYUEMANHOME', 1, '2018-03-22 10:49:21', 'sysuser', NULL, NULL, 0, 1),
	(974, 'MIUB8539523501948555A6E7', '3130113001', 1, '2018-03-22 16:03:17', 'sysuser', NULL, NULL, 0, 1),
	(975, 'MIUB8541119792451517A616', '3130113001', 1, '2018-03-22 16:29:53', 'sysuser', NULL, NULL, 0, 1),
	(976, 'MIUB8542387466929109F4B0', '3130113001', 1, '2018-03-22 16:51:01', 'sysuser', NULL, NULL, 0, 1),
	(978, 'MIUB85440668891227646217', '3130113001', 1, '2018-03-22 17:37:47', 'sysuser', NULL, NULL, 0, 1),
	(979, 'MIUB86163971834838765D5E', '3130113001', 1, '2018-03-23 13:24:30', 'sysuser', NULL, NULL, 0, 1),
	(980, 'MIUB861648783946477782AF', '3130113001', 1, '2018-03-23 13:26:01', 'sysuser', NULL, NULL, 0, 1),
	(981, 'MIUB86193381321544696F42', 'YUEYUEMANHOME', 1, '2018-03-23 14:13:31', 'sysuser', NULL, NULL, 0, 1),
	(982, 'inter03', '3130117001', 1, '2018-03-24 21:53:12', 'sysuser', NULL, NULL, 0, 1),
	(983, 'inter03', '3130318001', 0, '2018-03-24 21:53:12', 'sysuser', NULL, NULL, 0, 1),
	(984, 'inter03', '3410118001', 0, '2018-03-24 21:53:12', 'sysuser', NULL, NULL, 0, 1),
	(985, 'inter03', '3420218001', 0, '2018-03-24 21:53:12', 'sysuser', NULL, NULL, 0, 1),
	(986, 'inter03', '3140218001', 0, '2018-03-24 21:53:12', 'sysuser', NULL, NULL, 0, 1);
/*!40000 ALTER TABLE `mst_inter_user_subsy` ENABLE KEYS */;

-- 导出  表 yc.mst_roll_base 结构
DROP TABLE IF EXISTS `mst_roll_base`;
CREATE TABLE IF NOT EXISTS `mst_roll_base` (
  `mst_roll_base_id` int(10) NOT NULL AUTO_INCREMENT COMMENT '业务基础角色基本id',
  `roll_code` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '角色code',
  `roll_name` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '角色名称',
  `roll_desc` varchar(512) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '角色描述',
  `roll_permis` varchar(4) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '角色权限',
  `crt_time` datetime NOT NULL COMMENT '创建时间',
  `crt_user_code` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '创建用户code',
  `upd_time` datetime DEFAULT NULL COMMENT '更新时间',
  `upd_user_code` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '更新用户code',
  `del_flg` tinyint(1) NOT NULL COMMENT '删除flag:{0：未删除；1：删除}',
  `ver_num` int(10) NOT NULL COMMENT '版本号码',
  PRIMARY KEY (`mst_roll_base_id`)
) ENGINE=InnoDB AUTO_INCREMENT=38 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='业务基础－角色基本表';

-- 正在导出表  yc.mst_roll_base 的数据：~14 rows (大约)
DELETE FROM `mst_roll_base`;
/*!40000 ALTER TABLE `mst_roll_base` DISABLE KEYS */;
INSERT INTO `mst_roll_base` (`mst_roll_base_id`, `roll_code`, `roll_name`, `roll_desc`, `roll_permis`, `crt_time`, `crt_user_code`, `upd_time`, `upd_user_code`, `del_flg`, `ver_num`) VALUES
	(3, 'ROLL003', '财务主管', '1、APP销售订单审批  2、后台财务报表查看（仅限本公司）', '011', '2017-09-19 17:19:51', 'admin', '2018-07-25 15:44:01', 'admin', 0, 3),
	(4, 'ROLL004', '财务人员', '1、后台财务报表查看（仅限本公司）', '001', '2017-09-19 17:19:51', 'MIUB628218996418473A55', '2018-02-27 16:18:29', 'MIUB628218996418473A55', 1, 1),
	(5, 'ROLL005', '客服主管', '1、APP客服模块  2、后台客服报表（仅限本公司）3、服务4、投诉', '011', '2017-09-19 17:19:51', 'admin', '2018-02-27 17:02:07', 'admin', 1, 2),
	(6, 'ROLL006', '客服专员', '1、APP客服模块（仅限本公司）', '001', '2017-09-19 17:19:51', 'MIUB628218996418473A55', '2018-02-27 16:19:30', 'MIUB628218996418473A55', 1, 1),
	(7, 'ROLL007', '销售主管', '1、APP销售模块  2、后台销售报表（仅限本公司）3、后台销售参数设置', '011', '2017-09-19 17:19:51', 'admin', '2018-07-25 15:44:30', 'admin', 0, 4),
	(8, 'ROLL008', '销售顾问', '1、APP销售模块（仅限本公司）', '001', '2017-09-19 17:19:51', 'MIUB628218996418473A55', '2018-02-27 16:20:01', 'MIUB628218996418473A55', 1, 1),
	(9, 'ROLL009', '房务主管', '1、APP房务模块  2、后台房务报表（仅限本公司）', '011', '2017-09-19 17:19:51', 'admin', '2018-02-27 17:02:38', 'admin', 1, 2),
	(10, 'ROLL010', '客房服务员', '1、APP房务模块（仅限本公司）', '001', '2017-09-19 17:19:51', 'MIUB628218996418473A55', '2018-02-27 16:20:47', 'MIUB628218996418473A55', 1, 1),
	(17, 'admin', '超级管理员', '超级管理员（所有权限、所有公司）', '111', '2017-09-19 17:19:51', 'admin', '2018-03-06 19:36:48', 'admin', 0, 10),
	(18, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '公司管理员', '1、增加公司用户（除师）2、相关用户授权（仅限本公司）3、公司产品填写 4、公司师填写', NULL, '2017-12-11 16:44:27', 'MIUB628218996418473A55', '2018-02-27 16:25:52', 'MIUB628218996418473A55', 0, 4),
	(19, 'MRB17121117150678C2EF4568974563A74912C437A42BE9', '后台专员', '1、打印条形码（仅限本公司）', NULL, '2017-12-11 17:15:06', 'MIUB628218996418473A55', '2018-02-27 16:26:17', 'MIUB628218996418473A55', 1, 4),
	(20, 'MRB18011613141033636244F09E43B5A0DC30B5D9C3D807', '活动发布专员', '1、后台活动发布（仅限本公司）', NULL, '2018-01-16 13:14:10', 'MIUB628218996418473A55', '2018-02-27 16:26:34', 'MIUB628218996418473A55', 1, 2),
	(21, 'ROLL999', '集团管理员', '集团总部管理，拥有APP和后台（除了菜单配置、角色管理、缓存管理）', '111', '2018-01-19 10:27:17', 'MIUB628218996418473A55', '2018-03-02 17:32:48', 'MIUB628218996418473A55', 1, 4),
	(32, 'MRB_BABYSKYGROUP_FINANCEDIRECTOR', '集团财务', '审核公司关闭流程', NULL, '2018-02-27 16:47:40', 'admin', '2018-03-12 18:05:14', 'admin', 1, 3);
/*!40000 ALTER TABLE `mst_roll_base` ENABLE KEYS */;

-- 导出  表 yc.mst_roll_reso_oper 结构
DROP TABLE IF EXISTS `mst_roll_reso_oper`;
CREATE TABLE IF NOT EXISTS `mst_roll_reso_oper` (
  `mst_roll_reso_id` int(10) NOT NULL AUTO_INCREMENT COMMENT '业务基础角色资源id',
  `roll_code` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '角色code',
  `reso_code` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '资源code',
  `reso_oper_code` varchar(8) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '资源操作code:{mst_gen：类型0006}',
  `black_list_flg` tinyint(1) DEFAULT NULL COMMENT '黑名单flag（0：白名单；1：黑名单）',
  `crt_time` datetime NOT NULL COMMENT '创建时间',
  `crt_user_code` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '创建用户code',
  `upd_time` datetime DEFAULT NULL COMMENT '更新时间',
  `upd_user_code` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '更新用户code',
  `del_flg` tinyint(1) NOT NULL COMMENT '删除flag:{0：未删除；1：删除}',
  `ver_num` int(10) NOT NULL COMMENT '版本号码',
  PRIMARY KEY (`mst_roll_reso_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2678 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='业务基础－角色资源操作表';

-- 正在导出表  yc.mst_roll_reso_oper 的数据：~1,150 rows (大约)
DELETE FROM `mst_roll_reso_oper`;
/*!40000 ALTER TABLE `mst_roll_reso_oper` DISABLE KEYS */;
INSERT INTO `mst_roll_reso_oper` (`mst_roll_reso_id`, `roll_code`, `reso_code`, `reso_oper_code`, `black_list_flg`, `crt_time`, `crt_user_code`, `upd_time`, `upd_user_code`, `del_flg`, `ver_num`) VALUES
	(1, 'ROLL001', 'FBB0005', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(2, 'ROLL001', 'FBB0006', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(3, 'ROLL001', 'FBB0004', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(4, 'ROLL001', 'FBB0002', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 1, 0),
	(5, 'ROLL002', 'FBB0005', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(6, 'ROLL002', 'FBB0006', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(7, 'ROLL002', 'FBB0004', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(8, 'ROLL002', 'FBB0002', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 1, 0),
	(9, 'ROLL003', 'FBB0005', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(10, 'ROLL003', 'FBB0006', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(11, 'ROLL003', 'FBB0004', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(12, 'ROLL003', 'FBB0002', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(13, 'ROLL004', 'FBB0005', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(14, 'ROLL004', 'FBB0006', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(15, 'ROLL004', 'FBB0004', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(16, 'ROLL004', 'FBB0002', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(17, 'ROLL005', 'PB0007B', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(18, 'ROLL005', 'FBB0005', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(19, 'ROLL005', 'FBB0006', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(20, 'ROLL005', 'FBB0004', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(21, 'ROLL005', 'FBB0001', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(22, 'ROLL005', 'FBB0002', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(23, 'ROLL005', 'FBB0003', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(24, 'ROLL005', 'FBB0026', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(25, 'ROLL006', 'PB0007B', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(26, 'ROLL006', 'FBB0005', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(27, 'ROLL006', 'FBB0006', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(28, 'ROLL006', 'FBB0004', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(29, 'ROLL006', 'FBB0001', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(30, 'ROLL006', 'FBB0002', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(31, 'ROLL006', 'FBB0003', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(32, 'ROLL006', 'FBB0026', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(33, 'ROLL009', 'PB0007B', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(34, 'ROLL009', 'FBB0005', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(35, 'ROLL009', 'FBB0006', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(36, 'ROLL009', 'FBB0004', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(37, 'ROLL009', 'FBB0001', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(38, 'ROLL009', 'FBB0002', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(39, 'ROLL009', 'FBB0003', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(40, 'ROLL009', 'FBB0026', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(41, 'ROLL010', 'PB0007B', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(42, 'ROLL010', 'FBB0005', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(43, 'ROLL010', 'FBB0006', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(44, 'ROLL010', 'FBB0004', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(45, 'ROLL010', 'FBB0001', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(46, 'ROLL010', 'FBB0002', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(47, 'ROLL010', 'FBB0003', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(48, 'ROLL010', 'FBB0026', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(49, 'ROLL011', 'PB0007B', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(50, 'ROLL011', 'FBB0005', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(51, 'ROLL011', 'FBB0006', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(52, 'ROLL011', 'FBB0004', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(53, 'ROLL011', 'FBB0001', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(54, 'ROLL011', 'FBB0002', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(55, 'ROLL011', 'FBB0003', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(56, 'ROLL011', 'FBB0026', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(57, 'ROLL012', 'PB0007B', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(58, 'ROLL012', 'FBB0005', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(59, 'ROLL012', 'FBB0006', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(60, 'ROLL012', 'FBB0004', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(61, 'ROLL012', 'FBB0001', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(62, 'ROLL012', 'FBB0002', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(63, 'ROLL012', 'FBB0003', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(64, 'ROLL012', 'FBB0026', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(65, 'ROLL013', 'PB0007B', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(66, 'ROLL013', 'FBB0005', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(67, 'ROLL013', 'FBB0006', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(68, 'ROLL013', 'FBB0004', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(69, 'ROLL013', 'FBB0001', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(70, 'ROLL013', 'FBB0002', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(71, 'ROLL013', 'FBB0003', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(72, 'ROLL013', 'FBB0026', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(73, 'ROLL014', 'PB0007B', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(74, 'ROLL014', 'FBB0005', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(75, 'ROLL014', 'FBB0006', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(76, 'ROLL014', 'FBB0004', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(77, 'ROLL014', 'FBB0001', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(78, 'ROLL014', 'FBB0002', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(79, 'ROLL014', 'FBB0003', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(80, 'ROLL014', 'FBB0026', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(81, 'ROLL015', 'PB0007B', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(82, 'ROLL015', 'FBB0005', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(83, 'ROLL015', 'FBB0006', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(84, 'ROLL015', 'FBB0004', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(85, 'ROLL015', 'FBB0001', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(86, 'ROLL015', 'FBB0002', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(87, 'ROLL015', 'FBB0003', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(88, 'ROLL015', 'FBB0026', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(89, 'ROLL016', 'PB0007B', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(90, 'ROLL016', 'FBB0005', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(91, 'ROLL016', 'FBB0006', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(92, 'ROLL016', 'FBB0004', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(93, 'ROLL016', 'FBB0001', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(94, 'ROLL016', 'FBB0002', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(95, 'ROLL016', 'FBB0003', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(96, 'ROLL016', 'FBB0026', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(97, 'ROLL001', 'FBB0008', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(98, 'ROLL001', 'FBB0009', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(99, 'ROLL001', 'FBB0010', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(100, 'ROLL001', 'FBB0011', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(101, 'ROLL001', 'FBB0012', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(102, 'ROLL002', 'FBB0008', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(103, 'ROLL002', 'FBB0009', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(104, 'ROLL002', 'FBB0010', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(105, 'ROLL002', 'FBB0011', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(106, 'ROLL002', 'FBB0012', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(107, 'ROLL003', 'PB0007E', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(108, 'ROLL003', 'FBB0007', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(109, 'ROLL003', 'FBB0008', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(110, 'ROLL003', 'FBB0009', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(111, 'ROLL003', 'FBB0010', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(112, 'ROLL003', 'FBB0011', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(113, 'ROLL003', 'FBB0012', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(114, 'ROLL004', 'PB0007E', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(115, 'ROLL004', 'FBB0007', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(116, 'ROLL004', 'FBB0008', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(117, 'ROLL004', 'FBB0009', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(118, 'ROLL004', 'FBB0010', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(119, 'ROLL004', 'FBB0011', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(120, 'ROLL004', 'FBB0012', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(121, 'ROLL005', 'PB0007E', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(122, 'ROLL005', 'FBB0007', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(123, 'ROLL005', 'FBB0008', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(124, 'ROLL005', 'FBB0009', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(125, 'ROLL005', 'FBB0010', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(126, 'ROLL005', 'FBB0011', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(127, 'ROLL005', 'FBB0012', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(128, 'ROLL006', 'PB0007E', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(129, 'ROLL006', 'FBB0007', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(130, 'ROLL006', 'FBB0008', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(131, 'ROLL006', 'FBB0009', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(132, 'ROLL006', 'FBB0010', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(133, 'ROLL006', 'FBB0011', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(134, 'ROLL006', 'FBB0012', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(135, 'ROLL007', 'PB0007E', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(136, 'ROLL007', 'FBB0007', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(137, 'ROLL007', 'FBB0008', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(138, 'ROLL007', 'FBB0009', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(139, 'ROLL007', 'FBB0010', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(140, 'ROLL007', 'FBB0011', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(141, 'ROLL007', 'FBB0012', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(142, 'ROLL008', 'PB0007E', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(143, 'ROLL008', 'FBB0007', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(144, 'ROLL008', 'FBB0008', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(145, 'ROLL008', 'FBB0009', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(146, 'ROLL008', 'FBB0010', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(147, 'ROLL008', 'FBB0011', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(148, 'ROLL008', 'FBB0012', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(149, 'ROLL009', 'PB0007E', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(150, 'ROLL009', 'FBB0007', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(151, 'ROLL009', 'FBB0008', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(152, 'ROLL009', 'FBB0009', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(153, 'ROLL009', 'FBB0010', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(154, 'ROLL009', 'FBB0011', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(155, 'ROLL009', 'FBB0012', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(156, 'ROLL010', 'PB0007E', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(157, 'ROLL010', 'FBB0007', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(158, 'ROLL010', 'FBB0008', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(159, 'ROLL010', 'FBB0009', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(160, 'ROLL010', 'FBB0010', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(161, 'ROLL010', 'FBB0011', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(162, 'ROLL010', 'FBB0012', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(163, 'ROLL012', 'FBB0007', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(164, 'ROLL012', 'FBB0011', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(165, 'ROLL012', 'FBB0012', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(166, 'ROLL013', 'FBB0007', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(167, 'ROLL013', 'FBB0008', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(168, 'ROLL013', 'FBB0009', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(169, 'ROLL013', 'FBB0010', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(170, 'ROLL013', 'FBB0011', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(171, 'ROLL014', 'FBB0007', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(172, 'ROLL014', 'FBB0008', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(173, 'ROLL014', 'FBB0009', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(174, 'ROLL014', 'FBB0010', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(175, 'ROLL014', 'FBB0012', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(176, 'ROLL015', 'PB0007E', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(177, 'ROLL015', 'FBB0007', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(178, 'ROLL015', 'FBB0008', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(179, 'ROLL015', 'FBB0009', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(180, 'ROLL015', 'FBB0010', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(181, 'ROLL015', 'FBB0011', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(182, 'ROLL015', 'FBB0012', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(183, 'ROLL016', 'PB0007E', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(184, 'ROLL016', 'FBB0007', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(185, 'ROLL016', 'FBB0008', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(186, 'ROLL016', 'FBB0009', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(187, 'ROLL016', 'FBB0010', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(188, 'ROLL016', 'FBB0011', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(189, 'ROLL016', 'FBB0012', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(190, 'ROLL001', 'FBB0023', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(191, 'ROLL001', 'FBB0027', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(192, 'ROLL001', 'FBB0028', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(193, 'ROLL001', 'FBB0029', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(194, 'ROLL002', 'FBB0023', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(195, 'ROLL002', 'FBB0027', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(196, 'ROLL002', 'FBB0028', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(197, 'ROLL002', 'FBB0029', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(198, 'ROLL003', 'PB0007D', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(199, 'ROLL003', 'FBB0013', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(200, 'ROLL003', 'FBB0023', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(201, 'ROLL003', 'FBB0027', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(202, 'ROLL003', 'FBB0028', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(203, 'ROLL003', 'FBB0029', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(204, 'ROLL003', 'PB0007C', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(205, 'ROLL004', 'PB0007D', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(206, 'ROLL004', 'FBB0013', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(207, 'ROLL004', 'FBB0023', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(208, 'ROLL004', 'FBB0027', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(209, 'ROLL004', 'FBB0028', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(210, 'ROLL004', 'FBB0029', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(211, 'ROLL004', 'PB0007C', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(212, 'ROLL006', 'FBB0013', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(213, 'ROLL006', 'PB0007C', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(214, 'ROLL007', 'FBB0023', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(215, 'ROLL007', 'FBB0027', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(216, 'ROLL007', 'FBB0028', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(217, 'ROLL007', 'FBB0029', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(218, 'ROLL008', 'PB0007D', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(219, 'ROLL008', 'FBB0013', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(220, 'ROLL008', 'FBB0023', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(221, 'ROLL008', 'FBB0027', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(222, 'ROLL008', 'FBB0028', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(223, 'ROLL008', 'FBB0029', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(224, 'ROLL008', 'PB0007C', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(225, 'ROLL009', 'FBB0023', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(226, 'ROLL009', 'FBB0027', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(227, 'ROLL009', 'FBB0028', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(228, 'ROLL009', 'FBB0029', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(229, 'ROLL010', 'PB0007D', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(230, 'ROLL010', 'FBB0013', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(231, 'ROLL010', 'FBB0023', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(232, 'ROLL010', 'FBB0027', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(233, 'ROLL010', 'FBB0028', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(234, 'ROLL010', 'FBB0029', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(235, 'ROLL010', 'PB0007C', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(236, 'ROLL011', 'FBB0023', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(237, 'ROLL011', 'FBB0027', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(238, 'ROLL011', 'FBB0028', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(239, 'ROLL011', 'FBB0029', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(240, 'ROLL012', 'PB0007D', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(241, 'ROLL012', 'FBB0013', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(242, 'ROLL012', 'FBB0023', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(243, 'ROLL012', 'FBB0027', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(244, 'ROLL012', 'FBB0028', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(245, 'ROLL012', 'FBB0029', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(246, 'ROLL012', 'PB0007C', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(247, 'ROLL013', 'PB0007D', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(248, 'ROLL013', 'FBB0013', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(249, 'ROLL013', 'FBB0023', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(250, 'ROLL013', 'FBB0027', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(251, 'ROLL013', 'FBB0028', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(252, 'ROLL013', 'FBB0029', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(253, 'ROLL013', 'PB0007C', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(254, 'ROLL014', 'PB0007D', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(255, 'ROLL014', 'FBB0013', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(256, 'ROLL014', 'FBB0023', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(257, 'ROLL014', 'FBB0027', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(258, 'ROLL014', 'FBB0028', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(259, 'ROLL014', 'FBB0029', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(260, 'ROLL014', 'PB0007C', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(261, 'ROLL015', 'FBB0023', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(262, 'ROLL015', 'FBB0027', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(263, 'ROLL015', 'FBB0028', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(264, 'ROLL015', 'FBB0029', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(265, 'ROLL016', 'PB0007D', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(266, 'ROLL016', 'FBB0013', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(267, 'ROLL016', 'FBB0023', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(268, 'ROLL016', 'FBB0027', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(269, 'ROLL016', 'FBB0028', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(270, 'ROLL016', 'FBB0029', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(271, 'ROLL016', 'PB0007C', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(272, 'ROLL001', 'FBB0017', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(273, 'ROLL001', 'FBB0018', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(274, 'ROLL001', 'FBB0019', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(275, 'ROLL002', 'FBB0017', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(276, 'ROLL002', 'FBB0018', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(277, 'ROLL002', 'FBB0019', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(278, 'ROLL003', 'PB0007F', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(279, 'ROLL003', 'FBB0017', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(280, 'ROLL003', 'FBB0018', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(281, 'ROLL003', 'FBB0019', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(282, 'ROLL004', 'PB0007F', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(283, 'ROLL004', 'FBB0017', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(284, 'ROLL004', 'FBB0018', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(285, 'ROLL004', 'FBB0019', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(286, 'ROLL005', 'PB0007F', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(287, 'ROLL005', 'FBB0017', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(288, 'ROLL005', 'FBB0018', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(289, 'ROLL005', 'FBB0019', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(290, 'ROLL006', 'PB0007F', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(291, 'ROLL006', 'FBB0017', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(292, 'ROLL006', 'FBB0018', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(293, 'ROLL006', 'FBB0019', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(294, 'ROLL007', 'PB0007F', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(295, 'ROLL007', 'FBB0017', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(296, 'ROLL007', 'FBB0018', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(297, 'ROLL007', 'FBB0019', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(298, 'ROLL008', 'PB0007F', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(299, 'ROLL008', 'FBB0017', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(300, 'ROLL008', 'FBB0018', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(301, 'ROLL008', 'FBB0019', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(302, 'ROLL011', 'PB0007F', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(303, 'ROLL011', 'FBB0017', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(304, 'ROLL011', 'FBB0018', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(305, 'ROLL011', 'FBB0019', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(306, 'ROLL012', 'PB0007F', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(307, 'ROLL012', 'FBB0017', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(308, 'ROLL012', 'FBB0018', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(309, 'ROLL012', 'FBB0019', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(310, 'ROLL013', 'PB0007F', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(311, 'ROLL013', 'FBB0017', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(312, 'ROLL013', 'FBB0018', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(313, 'ROLL013', 'FBB0019', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(314, 'ROLL014', 'PB0007F', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(315, 'ROLL014', 'FBB0017', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(316, 'ROLL014', 'FBB0018', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(317, 'ROLL014', 'FBB0019', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(318, 'ROLL015', 'PB0007F', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(319, 'ROLL015', 'FBB0017', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(320, 'ROLL015', 'FBB0018', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(321, 'ROLL015', 'FBB0019', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(322, 'ROLL016', 'PB0007F', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(323, 'ROLL016', 'FBB0017', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(324, 'ROLL016', 'FBB0018', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(325, 'ROLL016', 'FBB0019', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(326, 'ROLL003', 'PB0007A', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(327, 'ROLL004', 'PB0007A', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(328, 'ROLL005', 'PB0007A', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(329, 'ROLL006', 'PB0007A', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(330, 'ROLL007', 'PB0007A', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(331, 'ROLL008', 'PB0007A', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(332, 'ROLL009', 'PB0007A', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(333, 'ROLL010', 'PB0007A', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(334, 'ROLL011', 'PB0007A', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(335, 'ROLL012', 'PB0007A', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(336, 'ROLL013', 'PB0007A', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(337, 'ROLL014', 'PB0007A', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(338, 'ROLL015', 'PB0007A', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(339, 'ROLL016', 'PB0007A', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(343, 'ROLL012', 'FBB0009', '00050001', 0, '2017-11-11 17:19:51', 'sys001', '2017-11-11 17:19:51', 'sys001', 0, 0),
	(481, 'ROLL001', 'PB0007B', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(482, 'ROLL001', 'FBB0001', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(483, 'ROLL001', 'FBB0002', '00050001', 1, '2017-09-19 17:19:51', 'sys001', '2017-12-29 11:27:57', 'wt', 0, 0),
	(484, 'ROLL001', 'FBB0003', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(485, 'ROLL001', 'FBB0026', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(486, 'ROLL002', 'PB0007B', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(487, 'ROLL002', 'FBB0001', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(488, 'ROLL002', 'FBB0002', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(489, 'ROLL002', 'FBB0003', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(490, 'ROLL002', 'FBB0026', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(491, 'ROLL003', 'PB0007B', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(492, 'ROLL003', 'FBB0001', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(493, 'ROLL003', 'FBB0003', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(494, 'ROLL003', 'FBB0026', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(495, 'ROLL004', 'PB0007B', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(496, 'ROLL004', 'FBB0001', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(497, 'ROLL004', 'FBB0003', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(498, 'ROLL004', 'FBB0026', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(499, 'ROLL007', 'PB0007B', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(500, 'ROLL007', 'FBB0005', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(501, 'ROLL007', 'FBB0006', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(502, 'ROLL007', 'FBB0004', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(503, 'ROLL007', 'FBB0001', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(504, 'ROLL007', 'FBB0002', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(505, 'ROLL007', 'FBB0003', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(506, 'ROLL007', 'FBB0026', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(507, 'ROLL008', 'PB0007B', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(508, 'ROLL008', 'FBB0005', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(509, 'ROLL008', 'FBB0006', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(510, 'ROLL008', 'FBB0004', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(511, 'ROLL008', 'FBB0001', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(512, 'ROLL008', 'FBB0002', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(513, 'ROLL008', 'FBB0003', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(514, 'ROLL008', 'FBB0026', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(515, 'ROLL001', 'PB0007E', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(516, 'ROLL001', 'FBB0007', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(517, 'ROLL002', 'PB0007E', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(518, 'ROLL002', 'FBB0007', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(519, 'ROLL011', 'PB0007E', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(520, 'ROLL011', 'FBB0007', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(521, 'ROLL011', 'FBB0008', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(522, 'ROLL011', 'FBB0009', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(523, 'ROLL011', 'FBB0010', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(524, 'ROLL011', 'FBB0011', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(525, 'ROLL011', 'FBB0012', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(526, 'ROLL012', 'PB0007E', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(527, 'ROLL012', 'FBB0008', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(528, 'ROLL012', 'FBB0010', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(529, 'ROLL013', 'PB0007E', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(530, 'ROLL013', 'FBB0012', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(531, 'ROLL014', 'PB0007E', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(532, 'ROLL014', 'FBB0011', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(533, 'ROLL001', 'PB0007D', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(534, 'ROLL001', 'FBB0013', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(535, 'ROLL001', 'PB0007C', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(536, 'ROLL001', 'PB0007G', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(537, 'ROLL002', 'PB0007D', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(538, 'ROLL002', 'FBB0013', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(539, 'ROLL002', 'PB0007C', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(540, 'ROLL002', 'PB0007G', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(541, 'ROLL005', 'PB0007D', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(542, 'ROLL005', 'FBB0013', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(543, 'ROLL005', 'FBB0023', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(544, 'ROLL005', 'FBB0027', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(545, 'ROLL005', 'FBB0028', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(546, 'ROLL005', 'FBB0029', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(547, 'ROLL005', 'PB0007C', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(548, 'ROLL005', 'PB0007G', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(549, 'ROLL006', 'PB0007D', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(550, 'ROLL006', 'FBB0023', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(551, 'ROLL006', 'FBB0027', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(552, 'ROLL006', 'FBB0028', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(553, 'ROLL006', 'FBB0029', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(554, 'ROLL007', 'PB0007D', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(555, 'ROLL007', 'FBB0013', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(556, 'ROLL007', 'PB0007C', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(557, 'ROLL007', 'PB0007G', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(558, 'ROLL009', 'PB0007D', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(559, 'ROLL009', 'FBB0013', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(560, 'ROLL009', 'PB0007C', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(561, 'ROLL009', 'PB0007G', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(562, 'ROLL011', 'PB0007D', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(563, 'ROLL011', 'FBB0013', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(564, 'ROLL011', 'PB0007C', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(565, 'ROLL011', 'PB0007G', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(566, 'ROLL015', 'PB0007D', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(567, 'ROLL015', 'FBB0013', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(568, 'ROLL015', 'PB0007C', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(569, 'ROLL015', 'PB0007G', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(570, 'ROLL001', 'PB0007F', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(571, 'ROLL001', 'FBB0015', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(572, 'ROLL001', 'FBB0016', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(573, 'ROLL002', 'PB0007F', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(574, 'ROLL002', 'FBB0015', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(575, 'ROLL002', 'FBB0016', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(576, 'ROLL009', 'PB0007F', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(577, 'ROLL009', 'FBB0015', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(578, 'ROLL009', 'FBB0016', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(579, 'ROLL009', 'FBB0017', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(580, 'ROLL009', 'FBB0018', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(581, 'ROLL009', 'FBB0019', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(582, 'ROLL010', 'PB0007F', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(583, 'ROLL010', 'FBB0015', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(584, 'ROLL010', 'FBB0016', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(585, 'ROLL010', 'FBB0017', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(586, 'ROLL010', 'FBB0018', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(587, 'ROLL010', 'FBB0019', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(588, 'ROLL001', 'PB0007A', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(589, 'ROLL002', 'PB0007A', '00050001', 0, '2017-09-19 17:19:51', 'sys001', '2017-09-19 17:19:51', 'sys001', 0, 0),
	(735, 'ROLL999', 'PB0007B', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(736, 'ROLL999', 'PB0007E', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(737, 'ROLL999', 'PB0007C', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(738, 'ROLL999', 'PB0007D', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(739, 'ROLL999', 'PB0007G', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(740, 'ROLL999', 'PB0007F', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(741, 'ROLL999', 'PB0007A', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(742, 'ROLL999', 'FBB0007', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(743, 'ROLL999', 'FBB0008', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(744, 'ROLL999', 'FBB0009', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(745, 'ROLL999', 'FBB0010', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(746, 'ROLL999', 'FBB0011', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(747, 'ROLL999', 'FBB0012', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(748, 'ROLL999', 'FBB0013', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(749, 'ROLL999', 'FBB0017', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(750, 'ROLL999', 'FBB0018', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(751, 'ROLL999', 'FBB0019', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(752, 'ROLL999', 'FBB0001', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(753, 'ROLL999', 'FBB0002', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(754, 'ROLL999', 'FBB0003', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(755, 'ROLL999', 'FBB0004', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(756, 'ROLL999', 'FBB0005', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(757, 'ROLL999', 'FBB0006', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(758, 'ROLL999', 'FBB0020', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(759, 'ROLL999', 'FBB0021', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(760, 'ROLL999', 'FBB0022', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(761, 'ROLL999', 'FBB0023', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(762, 'ROLL999', 'FBB0024', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(763, 'ROLL999', 'FBB0025', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(764, 'ROLL999', 'FBB0026', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(765, 'ROLL999', 'FBB0027', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(766, 'ROLL999', 'FBB0028', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(767, 'ROLL999', 'FBB0029', '00050001', 0, '2018-01-19 10:22:49', 'root', NULL, NULL, 0, 0),
	(880, 'ROLL001', 'FBB0030', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(881, 'ROLL002', 'FBB0030', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(882, 'ROLL003', 'FBB0030', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(883, 'ROLL004', 'FBB0030', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(884, 'ROLL005', 'FBB0030', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(885, 'ROLL006', 'FBB0030', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(886, 'ROLL007', 'FBB0030', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(887, 'ROLL008', 'FBB0030', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(888, 'ROLL009', 'FBB0030', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(889, 'ROLL010', 'FBB0030', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(890, 'ROLL011', 'FBB0030', '00050001', 0, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(891, 'ROLL012', 'FBB0030', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(892, 'ROLL013', 'FBB0030', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(893, 'ROLL014', 'FBB0030', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(894, 'ROLL015', 'FBB0030', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(895, 'ROLL016', 'FBB0030', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(896, 'ROLL999', 'FBB0030', '00050001', 0, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(911, 'ROLL001', 'FBB0031', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(912, 'ROLL002', 'FBB0031', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(913, 'ROLL003', 'FBB0031', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(914, 'ROLL004', 'FBB0031', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(915, 'ROLL005', 'FBB0031', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(916, 'ROLL006', 'FBB0031', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(917, 'ROLL007', 'FBB0031', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(918, 'ROLL008', 'FBB0031', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(919, 'ROLL009', 'FBB0031', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(920, 'ROLL010', 'FBB0031', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(921, 'ROLL011', 'FBB0031', '00050001', 0, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(922, 'ROLL012', 'FBB0031', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(923, 'ROLL013', 'FBB0031', '00050001', 0, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(924, 'ROLL014', 'FBB0031', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(925, 'ROLL015', 'FBB0031', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(926, 'ROLL016', 'FBB0031', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(927, 'ROLL999', 'FBB0031', '00050001', 0, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(942, 'ROLL001', 'FBB0032', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(943, 'ROLL002', 'FBB0032', '00050001', 0, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(944, 'ROLL003', 'FBB0032', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(945, 'ROLL004', 'FBB0032', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(946, 'ROLL005', 'FBB0032', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(947, 'ROLL006', 'FBB0032', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(948, 'ROLL007', 'FBB0032', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(949, 'ROLL008', 'FBB0032', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(950, 'ROLL009', 'FBB0032', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(951, 'ROLL010', 'FBB0032', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(952, 'ROLL011', 'FBB0032', '00050001', 0, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(953, 'ROLL012', 'FBB0032', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(954, 'ROLL013', 'FBB0032', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(955, 'ROLL014', 'FBB0032', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(956, 'ROLL015', 'FBB0032', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(957, 'ROLL016', 'FBB0032', '00050001', 1, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(958, 'ROLL999', 'FBB0032', '00050001', 0, '2018-02-08 11:16:07', 'root', NULL, NULL, 0, 0),
	(973, 'ROLL017', 'PB0007B', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(974, 'ROLL017', 'PB0007E', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(975, 'ROLL017', 'PB0007C', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(976, 'ROLL017', 'PB0007D', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(977, 'ROLL017', 'PB0007G', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(978, 'ROLL017', 'PB0007F', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(979, 'ROLL017', 'PB0007A', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(980, 'ROLL017', 'FBB0007', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(981, 'ROLL017', 'FBB0008', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(982, 'ROLL017', 'FBB0009', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(983, 'ROLL017', 'FBB0010', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(984, 'ROLL017', 'FBB0011', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(985, 'ROLL017', 'FBB0012', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(986, 'ROLL017', 'FBB0013', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(987, 'ROLL017', 'FBB0017', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(988, 'ROLL017', 'FBB0018', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(989, 'ROLL017', 'FBB0019', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(990, 'ROLL017', 'FBB0001', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(991, 'ROLL017', 'FBB0002', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(992, 'ROLL017', 'FBB0003', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(993, 'ROLL017', 'FBB0004', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(994, 'ROLL017', 'FBB0005', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(995, 'ROLL017', 'FBB0006', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(996, 'ROLL017', 'FBB0020', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(997, 'ROLL017', 'FBB0021', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(998, 'ROLL017', 'FBB0022', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(999, 'ROLL017', 'FBB0023', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1000, 'ROLL017', 'FBB0024', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1001, 'ROLL017', 'FBB0025', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1002, 'ROLL017', 'FBB0026', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1003, 'ROLL017', 'FBB0027', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1004, 'ROLL017', 'FBB0028', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1005, 'ROLL017', 'FBB0029', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1006, 'ROLL017', 'FBB0030', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1007, 'ROLL017', 'FBB0031', '00050001', 0, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1008, 'ROLL017', 'FBB0032', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1009, 'ROLL017', 'FBB0034', '00050001', 0, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1010, 'ROLL017', 'FBB0033', '00050001', 0, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1011, 'ROLL017', 'PB0007H', '00050001', 0, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1036, 'ROLL001', 'FBB0034', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1037, 'ROLL002', 'FBB0034', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1038, 'ROLL003', 'FBB0034', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1039, 'ROLL004', 'FBB0034', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1040, 'ROLL005', 'FBB0034', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1041, 'ROLL006', 'FBB0034', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1042, 'ROLL007', 'FBB0034', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1043, 'ROLL008', 'FBB0034', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1044, 'ROLL009', 'FBB0034', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1045, 'ROLL010', 'FBB0034', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1046, 'ROLL011', 'FBB0034', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1047, 'ROLL012', 'FBB0034', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1048, 'ROLL013', 'FBB0034', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1049, 'ROLL014', 'FBB0034', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1050, 'ROLL015', 'FBB0034', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1051, 'ROLL016', 'FBB0034', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1052, 'ROLL999', 'FBB0034', '00050001', 0, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1067, 'ROLL001', 'FBB0033', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1068, 'ROLL002', 'FBB0033', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1069, 'ROLL003', 'FBB0033', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1070, 'ROLL004', 'FBB0033', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1071, 'ROLL005', 'FBB0033', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1072, 'ROLL006', 'FBB0033', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1073, 'ROLL007', 'FBB0033', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1074, 'ROLL008', 'FBB0033', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1075, 'ROLL009', 'FBB0033', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1076, 'ROLL010', 'FBB0033', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1077, 'ROLL011', 'FBB0033', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1078, 'ROLL012', 'FBB0033', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1079, 'ROLL013', 'FBB0033', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1080, 'ROLL014', 'FBB0033', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1081, 'ROLL015', 'FBB0033', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1082, 'ROLL016', 'FBB0033', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1083, 'ROLL999', 'FBB0033', '00050001', 0, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1098, 'ROLL001', 'PB0007H', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1099, 'ROLL002', 'PB0007H', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1100, 'ROLL003', 'PB0007H', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1101, 'ROLL004', 'PB0007H', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1102, 'ROLL005', 'PB0007H', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1103, 'ROLL006', 'PB0007H', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1104, 'ROLL007', 'PB0007H', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1105, 'ROLL008', 'PB0007H', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1106, 'ROLL009', 'PB0007H', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1107, 'ROLL010', 'PB0007H', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1108, 'ROLL011', 'PB0007H', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1109, 'ROLL012', 'PB0007H', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1110, 'ROLL013', 'PB0007H', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1111, 'ROLL014', 'PB0007H', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1112, 'ROLL015', 'PB0007H', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1113, 'ROLL016', 'PB0007H', '00050001', 1, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1114, 'ROLL999', 'PB0007H', '00050001', 0, '2018-02-22 20:42:21', 'root', NULL, NULL, 0, 0),
	(1437, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '190', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1438, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '191', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1439, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '192', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(1440, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '171', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(1441, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '193', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(1442, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '194', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1443, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '195', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(1444, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '196', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(1445, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '175', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1446, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '197', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1447, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '176', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1448, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '198', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1449, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '178', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1450, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '211', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(1451, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '212', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1452, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '213', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(1453, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '214', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1454, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '215', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1455, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '216', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1456, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '217', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(1457, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '218', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1458, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '219', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1459, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '181', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1460, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '182', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1461, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '241', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(1462, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '220', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1463, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '242', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(1464, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '188', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1465, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '243', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1466, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '189', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1467, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '244', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1468, 'MRB17121116442776C48064D4D74A9A94462BF9B8456DAC', '82', '00050003', NULL, '2018-02-27 16:25:52', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1469, 'MRB17121117150678C2EF4568974563A74912C437A42BE9', '192', '00050003', NULL, '2018-02-27 16:26:17', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(1470, 'MRB17121117150678C2EF4568974563A74912C437A42BE9', '171', '00050003', NULL, '2018-02-27 16:26:17', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(1471, 'MRB17121117150678C2EF4568974563A74912C437A42BE9', '193', '00050003', NULL, '2018-02-27 16:26:17', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(1472, 'MRB17121117150678C2EF4568974563A74912C437A42BE9', '194', '00050003', NULL, '2018-02-27 16:26:17', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1473, 'MRB18011613141033636244F09E43B5A0DC30B5D9C3D807', '198', '00050003', NULL, '2018-02-27 16:26:34', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1474, 'MRB18011613141033636244F09E43B5A0DC30B5D9C3D807', '171', '00050003', NULL, '2018-02-27 16:26:34', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(1475, 'MRB18011613141033636244F09E43B5A0DC30B5D9C3D807', '195', '00050003', NULL, '2018-02-27 16:26:34', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(1476, 'MRB18011613141033636244F09E43B5A0DC30B5D9C3D807', '196', '00050003', NULL, '2018-02-27 16:26:34', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(1477, 'MRB18011613141033636244F09E43B5A0DC30B5D9C3D807', '197', '00050003', NULL, '2018-02-27 16:26:34', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1703, 'ROLL003', '275', '00050003', NULL, '2018-02-27 17:01:41', 'admin', NULL, NULL, 0, 0),
	(1704, 'ROLL003', '267', '00050003', NULL, '2018-02-27 17:01:41', 'admin', NULL, NULL, 0, 0),
	(1705, 'ROLL003', '257', '00050003', NULL, '2018-02-27 17:01:41', 'admin', NULL, NULL, 0, 0),
	(1706, 'ROLL003', '247', '00050003', NULL, '2018-02-27 17:01:41', 'admin', NULL, NULL, 1, 0),
	(1707, 'ROLL003', '258', '00050003', NULL, '2018-02-27 17:01:41', 'admin', NULL, NULL, 0, 0),
	(1708, 'ROLL003', '259', '00050003', NULL, '2018-02-27 17:01:41', 'admin', NULL, NULL, 0, 0),
	(1709, 'ROLL003', '260', '00050003', NULL, '2018-02-27 17:01:41', 'admin', NULL, NULL, 0, 0),
	(1710, 'ROLL003', '250', '00050003', NULL, '2018-02-27 17:01:41', 'admin', NULL, NULL, 1, 0),
	(1711, 'ROLL003', '261', '00050003', NULL, '2018-02-27 17:01:41', 'admin', NULL, NULL, 0, 0),
	(1712, 'ROLL003', '272', '00050003', NULL, '2018-02-27 17:01:41', 'admin', NULL, NULL, 0, 0),
	(1713, 'ROLL003', '273', '00050003', NULL, '2018-02-27 17:01:41', 'admin', NULL, NULL, 0, 0),
	(1714, 'ROLL003', '252', '00050003', NULL, '2018-02-27 17:01:41', 'admin', NULL, NULL, 1, 0),
	(1715, 'ROLL005', '171', '00050003', NULL, '2018-02-27 17:02:07', 'admin', NULL, NULL, 1, 0),
	(1716, 'ROLL005', '240', '00050003', NULL, '2018-02-27 17:02:07', 'admin', NULL, NULL, 1, 0),
	(1717, 'ROLL005', '230', '00050003', NULL, '2018-02-27 17:02:07', 'admin', NULL, NULL, 0, 0),
	(1718, 'ROLL005', '231', '00050003', NULL, '2018-02-27 17:02:07', 'admin', NULL, NULL, 1, 0),
	(1719, 'ROLL005', '253', '00050003', NULL, '2018-02-27 17:02:07', 'admin', NULL, NULL, 0, 0),
	(1720, 'ROLL005', '232', '00050003', NULL, '2018-02-27 17:02:07', 'admin', NULL, NULL, 1, 0),
	(1721, 'ROLL005', '254', '00050003', NULL, '2018-02-27 17:02:07', 'admin', NULL, NULL, 0, 0),
	(1722, 'ROLL005', '233', '00050003', NULL, '2018-02-27 17:02:07', 'admin', NULL, NULL, 0, 0),
	(1723, 'ROLL005', '255', '00050003', NULL, '2018-02-27 17:02:07', 'admin', NULL, NULL, 0, 0),
	(1724, 'ROLL005', '234', '00050003', NULL, '2018-02-27 17:02:07', 'admin', NULL, NULL, 0, 0),
	(1725, 'ROLL005', '256', '00050003', NULL, '2018-02-27 17:02:07', 'admin', NULL, NULL, 0, 0),
	(1726, 'ROLL005', '235', '00050003', NULL, '2018-02-27 17:02:07', 'admin', NULL, NULL, 1, 0),
	(1727, 'ROLL005', '236', '00050003', NULL, '2018-02-27 17:02:07', 'admin', NULL, NULL, 1, 0),
	(1728, 'ROLL005', '247', '00050003', NULL, '2018-02-27 17:02:07', 'admin', NULL, NULL, 1, 0),
	(1729, 'ROLL005', '237', '00050003', NULL, '2018-02-27 17:02:07', 'admin', NULL, NULL, 1, 0),
	(1730, 'ROLL005', '227', '00050003', NULL, '2018-02-27 17:02:07', 'admin', NULL, NULL, 1, 0),
	(1731, 'ROLL005', '238', '00050003', NULL, '2018-02-27 17:02:07', 'admin', NULL, NULL, 1, 0),
	(1732, 'ROLL005', '249', '00050003', NULL, '2018-02-27 17:02:07', 'admin', NULL, NULL, 1, 0),
	(1733, 'ROLL005', '228', '00050003', NULL, '2018-02-27 17:02:07', 'admin', NULL, NULL, 1, 0),
	(1734, 'ROLL005', '239', '00050003', NULL, '2018-02-27 17:02:07', 'admin', NULL, NULL, 1, 0),
	(1735, 'ROLL005', '229', '00050003', NULL, '2018-02-27 17:02:07', 'admin', NULL, NULL, 0, 0),
	(1747, 'ROLL009', '253', '00050003', NULL, '2018-02-27 17:02:38', 'admin', NULL, NULL, 0, 0),
	(1748, 'ROLL009', '254', '00050003', NULL, '2018-02-27 17:02:38', 'admin', NULL, NULL, 0, 0),
	(1749, 'ROLL009', '255', '00050003', NULL, '2018-02-27 17:02:38', 'admin', NULL, NULL, 0, 0),
	(1750, 'ROLL009', '256', '00050003', NULL, '2018-02-27 17:02:38', 'admin', NULL, NULL, 0, 0),
	(1751, 'ROLL009', '247', '00050003', NULL, '2018-02-27 17:02:38', 'admin', NULL, NULL, 1, 0),
	(1752, 'ROLL009', '249', '00050003', NULL, '2018-02-27 17:02:38', 'admin', NULL, NULL, 1, 0),
	(1985, 'ROLL007', '224', '00050003', NULL, '2018-03-01 09:36:37', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(1986, 'ROLL007', '257', '00050003', NULL, '2018-03-01 09:36:37', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1987, 'ROLL007', '225', '00050003', NULL, '2018-03-01 09:36:37', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(1988, 'ROLL007', '247', '00050003', NULL, '2018-03-01 09:36:37', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(1989, 'ROLL007', '258', '00050003', NULL, '2018-03-01 09:36:37', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1990, 'ROLL007', '259', '00050003', NULL, '2018-03-01 09:36:37', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1991, 'ROLL007', '171', '00050003', NULL, '2018-03-01 09:36:37', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(1992, 'ROLL007', '260', '00050003', NULL, '2018-03-01 09:36:37', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1993, 'ROLL007', '250', '00050003', NULL, '2018-03-01 09:36:37', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(1994, 'ROLL007', '261', '00050003', NULL, '2018-03-01 09:36:37', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1995, 'MRB_BABYSKYGROUP_FINANCEDIRECTOR', '192', '00050003', NULL, '2018-03-01 16:40:16', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(1996, 'MRB_BABYSKYGROUP_FINANCEDIRECTOR', '171', '00050003', NULL, '2018-03-01 16:40:16', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(1997, 'MRB_BABYSKYGROUP_FINANCEDIRECTOR', '260', '00050003', NULL, '2018-03-01 16:40:16', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1998, 'MRB_BABYSKYGROUP_FINANCEDIRECTOR', '261', '00050003', NULL, '2018-03-01 16:40:16', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(1999, 'MRB_BABYSKYGROUP_FINANCEDIRECTOR', '250', '00050003', NULL, '2018-03-01 16:40:16', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2000, 'MRB_BABYSKYGROUP_FINANCEDIRECTOR', '272', '00050003', NULL, '2018-03-01 16:40:16', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2001, 'MRB_BABYSKYGROUP_FINANCEDIRECTOR', '273', '00050003', NULL, '2018-03-01 16:40:16', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2002, 'MRB_BABYSKYGROUP_FINANCEDIRECTOR', '274', '00050003', NULL, '2018-03-01 16:40:16', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2003, 'MRB_BABYSKYGROUP_FINANCEDIRECTOR', '252', '00050003', NULL, '2018-03-01 16:40:16', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2004, 'MRB_BABYSKYGROUP_FINANCEDIRECTOR', '257', '00050003', NULL, '2018-03-01 16:40:16', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2005, 'MRB_BABYSKYGROUP_FINANCEDIRECTOR', '247', '00050003', NULL, '2018-03-01 16:40:16', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2006, 'MRB_BABYSKYGROUP_FINANCEDIRECTOR', '258', '00050003', NULL, '2018-03-01 16:40:16', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2007, 'MRB_BABYSKYGROUP_FINANCEDIRECTOR', '248', '00050003', NULL, '2018-03-01 16:40:16', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2008, 'MRB_BABYSKYGROUP_FINANCEDIRECTOR', '259', '00050003', NULL, '2018-03-01 16:40:16', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2078, 'admin', '190', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2079, 'admin', '191', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2080, 'admin', '192', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2081, 'admin', '193', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2082, 'admin', '270', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2083, 'admin', '194', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2084, 'admin', '271', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2085, 'admin', '195', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2086, 'admin', '272', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2087, 'admin', '196', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2088, 'admin', '273', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2089, 'admin', '197', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2090, 'admin', '230', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2091, 'admin', '274', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2092, 'admin', '198', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2093, 'admin', '231', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2094, 'admin', '275', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2095, 'admin', '199', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2096, 'admin', '232', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2097, 'admin', '233', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2098, 'admin', '234', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2099, 'admin', '235', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2100, 'admin', '236', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2101, 'admin', '237', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2102, 'admin', '238', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2103, 'admin', '239', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2104, 'admin', '240', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2105, 'admin', '241', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2106, 'admin', '242', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2107, 'admin', '243', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2108, 'admin', '244', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2109, 'admin', '245', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2110, 'admin', '246', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2111, 'admin', '203', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2112, 'admin', '247', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2113, 'admin', '204', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2114, 'admin', '205', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2115, 'admin', '249', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2116, 'admin', '171', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2117, 'admin', '250', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2118, 'admin', '251', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2119, 'admin', '175', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2120, 'admin', '252', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2121, 'admin', '176', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2122, 'admin', '253', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2123, 'admin', '177', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2124, 'admin', '254', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2125, 'admin', '178', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2126, 'admin', '211', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2127, 'admin', '255', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2128, 'admin', '179', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2129, 'admin', '212', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2130, 'admin', '256', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2131, 'admin', '213', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2132, 'admin', '257', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2133, 'admin', '214', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2134, 'admin', '258', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2135, 'admin', '215', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2136, 'admin', '259', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2137, 'admin', '216', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2138, 'admin', '217', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2139, 'admin', '218', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2140, 'admin', '219', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2141, 'admin', '180', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2142, 'admin', '181', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2143, 'admin', '182', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2144, 'admin', '183', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2145, 'admin', '260', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2146, 'admin', '184', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2147, 'admin', '261', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2148, 'admin', '185', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2149, 'admin', '262', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2150, 'admin', '186', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2151, 'admin', '263', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2152, 'admin', '187', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2153, 'admin', '220', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2154, 'admin', '264', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2155, 'admin', '188', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2156, 'admin', '221', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2157, 'admin', '265', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2158, 'admin', '189', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2159, 'admin', '222', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2160, 'admin', '266', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2161, 'admin', '223', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2162, 'admin', '267', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2163, 'admin', '224', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2164, 'admin', '268', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2165, 'admin', '225', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2166, 'admin', '269', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2167, 'admin', '226', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2168, 'admin', '227', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2169, 'admin', '228', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2170, 'admin', '229', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2171, 'admin', '82', '00050003', NULL, '2018-03-02 17:30:42', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2174, 'ROLL999', '192', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2175, 'ROLL999', '193', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2176, 'ROLL999', '270', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2177, 'ROLL999', '194', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2178, 'ROLL999', '271', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2179, 'ROLL999', '195', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2180, 'ROLL999', '272', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2181, 'ROLL999', '196', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2182, 'ROLL999', '273', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2183, 'ROLL999', '197', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2184, 'ROLL999', '230', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2185, 'ROLL999', '274', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2186, 'ROLL999', '198', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2187, 'ROLL999', '231', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2188, 'ROLL999', '275', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2189, 'ROLL999', '199', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2190, 'ROLL999', '232', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2191, 'ROLL999', '233', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2192, 'ROLL999', '234', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2193, 'ROLL999', '235', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2194, 'ROLL999', '236', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2195, 'ROLL999', '237', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2196, 'ROLL999', '238', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2197, 'ROLL999', '239', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2198, 'ROLL999', '240', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2199, 'ROLL999', '241', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2200, 'ROLL999', '242', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2201, 'ROLL999', '243', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2202, 'ROLL999', '244', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2203, 'ROLL999', '245', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2204, 'ROLL999', '246', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2205, 'ROLL999', '247', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2206, 'ROLL999', '249', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2207, 'ROLL999', '171', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2208, 'ROLL999', '250', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2209, 'ROLL999', '251', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2211, 'ROLL999', '252', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2213, 'ROLL999', '253', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2214, 'ROLL999', '254', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2216, 'ROLL999', '211', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2217, 'ROLL999', '255', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2218, 'ROLL999', '212', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2219, 'ROLL999', '256', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2220, 'ROLL999', '213', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2221, 'ROLL999', '257', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2222, 'ROLL999', '214', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2223, 'ROLL999', '258', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2224, 'ROLL999', '215', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2225, 'ROLL999', '259', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2226, 'ROLL999', '216', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2227, 'ROLL999', '217', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2228, 'ROLL999', '218', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2229, 'ROLL999', '219', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2232, 'ROLL999', '260', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2233, 'ROLL999', '261', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2234, 'ROLL999', '262', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2235, 'ROLL999', '263', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2236, 'ROLL999', '220', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2237, 'ROLL999', '264', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2239, 'ROLL999', '221', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2240, 'ROLL999', '265', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2242, 'ROLL999', '222', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2243, 'ROLL999', '266', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2244, 'ROLL999', '223', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2245, 'ROLL999', '267', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2246, 'ROLL999', '224', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2247, 'ROLL999', '268', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2248, 'ROLL999', '225', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2249, 'ROLL999', '269', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2250, 'ROLL999', '226', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2251, 'ROLL999', '227', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2252, 'ROLL999', '228', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 1, 0),
	(2253, 'ROLL999', '229', '00050003', NULL, '2018-03-02 17:31:14', 'MIUB628218996418473A55', NULL, NULL, 0, 0),
	(2290, 'ROLL001', 'PB0007I', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2291, 'ROLL002', 'PB0007I', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2292, 'ROLL003', 'PB0007I', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2293, 'ROLL004', 'PB0007I', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2294, 'ROLL005', 'PB0007I', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2295, 'ROLL006', 'PB0007I', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2296, 'ROLL007', 'PB0007I', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2297, 'ROLL008', 'PB0007I', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2298, 'ROLL009', 'PB0007I', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2299, 'ROLL010', 'PB0007I', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2300, 'ROLL011', 'PB0007I', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2301, 'ROLL012', 'PB0007I', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2302, 'ROLL013', 'PB0007I', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2303, 'ROLL014', 'PB0007I', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2304, 'ROLL015', 'PB0007I', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2305, 'ROLL016', 'PB0007I', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2306, 'ROLL999', 'PB0007I', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2307, 'ROLL017', 'PB0007I', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2321, 'ROLL001', 'FB00035', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2322, 'ROLL002', 'FB00035', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2323, 'ROLL003', 'FB00035', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2324, 'ROLL004', 'FB00035', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2325, 'ROLL005', 'FB00035', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2326, 'ROLL006', 'FB00035', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2327, 'ROLL007', 'FB00035', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2328, 'ROLL008', 'FB00035', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2329, 'ROLL009', 'FB00035', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2330, 'ROLL010', 'FB00035', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2331, 'ROLL011', 'FB00035', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2332, 'ROLL012', 'FB00035', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2333, 'ROLL013', 'FB00035', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2334, 'ROLL014', 'FB00035', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2335, 'ROLL015', 'FB00035', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2336, 'ROLL016', 'FB00035', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2337, 'ROLL999', 'FB00035', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2338, 'ROLL017', 'FB00035', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2352, 'ROLL001', 'FB00036', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2353, 'ROLL002', 'FB00036', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2354, 'ROLL003', 'FB00036', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2355, 'ROLL004', 'FB00036', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2356, 'ROLL005', 'FB00036', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2357, 'ROLL006', 'FB00036', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2358, 'ROLL007', 'FB00036', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2359, 'ROLL008', 'FB00036', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2360, 'ROLL009', 'FB00036', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2361, 'ROLL010', 'FB00036', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2362, 'ROLL011', 'FB00036', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2363, 'ROLL012', 'FB00036', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2364, 'ROLL013', 'FB00036', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2365, 'ROLL014', 'FB00036', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2366, 'ROLL015', 'FB00036', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2367, 'ROLL016', 'FB00036', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2368, 'ROLL999', 'FB00036', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2369, 'ROLL017', 'FB00036', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2383, 'ROLL001', 'FB00037', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2384, 'ROLL002', 'FB00037', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2385, 'ROLL003', 'FB00037', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2386, 'ROLL004', 'FB00037', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2387, 'ROLL005', 'FB00037', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2388, 'ROLL006', 'FB00037', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2389, 'ROLL007', 'FB00037', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2390, 'ROLL008', 'FB00037', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2391, 'ROLL009', 'FB00037', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2392, 'ROLL010', 'FB00037', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2393, 'ROLL011', 'FB00037', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2394, 'ROLL012', 'FB00037', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2395, 'ROLL013', 'FB00037', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2396, 'ROLL014', 'FB00037', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2397, 'ROLL015', 'FB00037', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2398, 'ROLL016', 'FB00037', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2399, 'ROLL999', 'FB00037', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2400, 'ROLL017', 'FB00037', '00050001', 1, '2018-03-16 15:43:52', 'root', NULL, NULL, 0, 0),
	(2414, 'ROLL018', 'PB0007B', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2415, 'ROLL018', 'PB0007E', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2416, 'ROLL018', 'PB0007C', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2417, 'ROLL018', 'PB0007D', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2418, 'ROLL018', 'PB0007G', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2419, 'ROLL018', 'PB0007F', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2420, 'ROLL018', 'PB0007A', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2421, 'ROLL018', 'FBB0007', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2422, 'ROLL018', 'FBB0008', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2423, 'ROLL018', 'FBB0009', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2424, 'ROLL018', 'FBB0010', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2425, 'ROLL018', 'FBB0011', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2426, 'ROLL018', 'FBB0012', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2427, 'ROLL018', 'FBB0013', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2428, 'ROLL018', 'FBB0017', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2429, 'ROLL018', 'FBB0018', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2430, 'ROLL018', 'FBB0019', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2431, 'ROLL018', 'FBB0001', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2432, 'ROLL018', 'FBB0002', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2433, 'ROLL018', 'FBB0003', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2434, 'ROLL018', 'FBB0004', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2435, 'ROLL018', 'FBB0005', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2436, 'ROLL018', 'FBB0006', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2437, 'ROLL018', 'FBB0020', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2438, 'ROLL018', 'FBB0021', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2439, 'ROLL018', 'FBB0022', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2440, 'ROLL018', 'FBB0023', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2441, 'ROLL018', 'FBB0024', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2442, 'ROLL018', 'FBB0025', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2443, 'ROLL018', 'FBB0026', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2444, 'ROLL018', 'FBB0027', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2445, 'ROLL018', 'FBB0028', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2446, 'ROLL018', 'FBB0029', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2447, 'ROLL018', 'FBB0030', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2448, 'ROLL018', 'FBB0031', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2449, 'ROLL018', 'FBB0032', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2450, 'ROLL018', 'FBB0034', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2451, 'ROLL018', 'FBB0033', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2452, 'ROLL018', 'PB0007H', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2453, 'ROLL018', 'PB0007I', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2454, 'ROLL018', 'FB00035', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2455, 'ROLL018', 'FB00036', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2456, 'ROLL018', 'FB00037', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2477, 'ROLL019', 'PB0007B', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2478, 'ROLL019', 'PB0007E', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2479, 'ROLL019', 'PB0007C', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2480, 'ROLL019', 'PB0007D', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2481, 'ROLL019', 'PB0007G', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2482, 'ROLL019', 'PB0007F', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2483, 'ROLL019', 'PB0007A', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2484, 'ROLL019', 'FBB0007', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2485, 'ROLL019', 'FBB0008', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2486, 'ROLL019', 'FBB0009', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2487, 'ROLL019', 'FBB0010', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2488, 'ROLL019', 'FBB0011', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2489, 'ROLL019', 'FBB0012', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2490, 'ROLL019', 'FBB0013', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2491, 'ROLL019', 'FBB0017', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2492, 'ROLL019', 'FBB0018', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2493, 'ROLL019', 'FBB0019', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2494, 'ROLL019', 'FBB0001', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2495, 'ROLL019', 'FBB0002', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2496, 'ROLL019', 'FBB0003', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2497, 'ROLL019', 'FBB0004', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2498, 'ROLL019', 'FBB0005', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2499, 'ROLL019', 'FBB0006', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2500, 'ROLL019', 'FBB0020', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2501, 'ROLL019', 'FBB0021', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2502, 'ROLL019', 'FBB0022', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2503, 'ROLL019', 'FBB0023', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2504, 'ROLL019', 'FBB0024', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2505, 'ROLL019', 'FBB0025', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2506, 'ROLL019', 'FBB0026', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2507, 'ROLL019', 'FBB0027', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2508, 'ROLL019', 'FBB0028', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2509, 'ROLL019', 'FBB0029', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2510, 'ROLL019', 'FBB0030', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2511, 'ROLL019', 'FBB0031', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2512, 'ROLL019', 'FBB0032', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2513, 'ROLL019', 'FBB0034', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2514, 'ROLL019', 'FBB0033', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2515, 'ROLL019', 'PB0007H', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2516, 'ROLL019', 'PB0007I', '00050001', 0, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2517, 'ROLL019', 'FB00035', '00050001', 0, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2518, 'ROLL019', 'FB00036', '00050001', 0, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2519, 'ROLL019', 'FB00037', '00050001', 0, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2540, 'ROLL020', 'PB0007B', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2541, 'ROLL020', 'PB0007E', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2542, 'ROLL020', 'PB0007C', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2543, 'ROLL020', 'PB0007D', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2544, 'ROLL020', 'PB0007G', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2545, 'ROLL020', 'PB0007F', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2546, 'ROLL020', 'PB0007A', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2547, 'ROLL020', 'FBB0007', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2548, 'ROLL020', 'FBB0008', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2549, 'ROLL020', 'FBB0009', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2550, 'ROLL020', 'FBB0010', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2551, 'ROLL020', 'FBB0011', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2552, 'ROLL020', 'FBB0012', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2553, 'ROLL020', 'FBB0013', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2554, 'ROLL020', 'FBB0017', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2555, 'ROLL020', 'FBB0018', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2556, 'ROLL020', 'FBB0019', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2557, 'ROLL020', 'FBB0001', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2558, 'ROLL020', 'FBB0002', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2559, 'ROLL020', 'FBB0003', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2560, 'ROLL020', 'FBB0004', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2561, 'ROLL020', 'FBB0005', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2562, 'ROLL020', 'FBB0006', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2563, 'ROLL020', 'FBB0020', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2564, 'ROLL020', 'FBB0021', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2565, 'ROLL020', 'FBB0022', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2566, 'ROLL020', 'FBB0023', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2567, 'ROLL020', 'FBB0024', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2568, 'ROLL020', 'FBB0025', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2569, 'ROLL020', 'FBB0026', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2570, 'ROLL020', 'FBB0027', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2571, 'ROLL020', 'FBB0028', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2572, 'ROLL020', 'FBB0029', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2573, 'ROLL020', 'FBB0030', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2574, 'ROLL020', 'FBB0031', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2575, 'ROLL020', 'FBB0032', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2576, 'ROLL020', 'FBB0034', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2577, 'ROLL020', 'FBB0033', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2578, 'ROLL020', 'PB0007H', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2579, 'ROLL020', 'PB0007I', '00050001', 0, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2580, 'ROLL020', 'FB00035', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2581, 'ROLL020', 'FB00036', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2582, 'ROLL020', 'FB00037', '00050001', 0, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2603, 'ROLL021', 'PB0007B', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2604, 'ROLL021', 'PB0007E', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2605, 'ROLL021', 'PB0007C', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2606, 'ROLL021', 'PB0007D', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2607, 'ROLL021', 'PB0007G', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2608, 'ROLL021', 'PB0007F', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2609, 'ROLL021', 'PB0007A', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2610, 'ROLL021', 'FBB0007', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2611, 'ROLL021', 'FBB0008', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2612, 'ROLL021', 'FBB0009', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2613, 'ROLL021', 'FBB0010', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2614, 'ROLL021', 'FBB0011', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2615, 'ROLL021', 'FBB0012', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2616, 'ROLL021', 'FBB0013', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2617, 'ROLL021', 'FBB0017', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2618, 'ROLL021', 'FBB0018', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2619, 'ROLL021', 'FBB0019', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2620, 'ROLL021', 'FBB0001', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2621, 'ROLL021', 'FBB0002', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2622, 'ROLL021', 'FBB0003', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2623, 'ROLL021', 'FBB0004', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2624, 'ROLL021', 'FBB0005', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2625, 'ROLL021', 'FBB0006', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2626, 'ROLL021', 'FBB0020', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2627, 'ROLL021', 'FBB0021', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2628, 'ROLL021', 'FBB0022', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2629, 'ROLL021', 'FBB0023', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2630, 'ROLL021', 'FBB0024', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2631, 'ROLL021', 'FBB0025', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2632, 'ROLL021', 'FBB0026', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2633, 'ROLL021', 'FBB0027', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2634, 'ROLL021', 'FBB0028', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2635, 'ROLL021', 'FBB0029', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2636, 'ROLL021', 'FBB0030', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2637, 'ROLL021', 'FBB0031', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2638, 'ROLL021', 'FBB0032', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2639, 'ROLL021', 'FBB0034', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2640, 'ROLL021', 'FBB0033', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2641, 'ROLL021', 'PB0007H', '00050001', 1, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2642, 'ROLL021', 'PB0007I', '00050001', 0, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2643, 'ROLL021', 'FB00035', '00050001', 0, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2644, 'ROLL021', 'FB00036', '00050001', 0, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2645, 'ROLL021', 'FB00037', '00050001', 0, '2018-03-16 15:44:00', 'root', NULL, NULL, 0, 0),
	(2666, 'ROLL003', '176', '00050003', NULL, '2018-07-25 15:44:01', 'admin', NULL, NULL, 0, 0),
	(2667, 'ROLL003', '178', '00050003', NULL, '2018-07-25 15:44:01', 'admin', NULL, NULL, 0, 0),
	(2668, 'ROLL003', '82', '00050003', NULL, '2018-07-25 15:44:01', 'admin', NULL, NULL, 0, 0),
	(2669, 'ROLL003', '181', '00050003', NULL, '2018-07-25 15:44:01', 'admin', NULL, NULL, 0, 0),
	(2670, 'ROLL003', '182', '00050003', NULL, '2018-07-25 15:44:01', 'admin', NULL, NULL, 0, 0),
	(2671, 'ROLL003', '175', '00050003', NULL, '2018-07-25 15:44:01', 'admin', NULL, NULL, 0, 0),
	(2672, 'ROLL007', '187', '00050003', NULL, '2018-07-25 15:44:30', 'admin', NULL, NULL, 0, 0),
	(2673, 'ROLL007', '82', '00050003', NULL, '2018-07-25 15:44:30', 'admin', NULL, NULL, 0, 0),
	(2674, 'ROLL007', '184', '00050003', NULL, '2018-07-25 15:44:30', 'admin', NULL, NULL, 0, 0),
	(2675, 'ROLL007', '185', '00050003', NULL, '2018-07-25 15:44:30', 'admin', NULL, NULL, 0, 0),
	(2676, 'ROLL007', '175', '00050003', NULL, '2018-07-25 15:44:30', 'admin', NULL, NULL, 0, 0),
	(2677, 'ROLL007', '186', '00050003', NULL, '2018-07-25 15:44:30', 'admin', NULL, NULL, 0, 0);
/*!40000 ALTER TABLE `mst_roll_reso_oper` ENABLE KEYS */;

-- 导出  表 yc.mst_subsy_base 结构
DROP TABLE IF EXISTS `mst_subsy_base`;
CREATE TABLE IF NOT EXISTS `mst_subsy_base` (
  `mst_subsy_base_id` int(10) NOT NULL AUTO_INCREMENT COMMENT '业务基础公司基本id',
  `subsy_code` varchar(16) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '公司code',
  `subsy_name` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '公司名称',
  `subsy_disp_name` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '公司显示名称',
  `loct_prov_code` varchar(6) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '所在省code',
  `loct_city_code` varchar(6) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '所在市code',
  `loct_area_code` varchar(6) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '所在市code',
  `subsy_addr` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '公司地址',
  `loct_lon` double(10,6) NOT NULL COMMENT '所在经度',
  `loct_lat` double(10,6) NOT NULL COMMENT '所在纬度',
  `phone_num` varchar(16) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '电话号码',
  `mob_num` varchar(16) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '手机号码',
  `post_no` varchar(8) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '邮政编号',
  `subsy_desc` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '公司描述',
  `busi_time_desc` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '营业时间描述',
  `brand_code` varchar(8) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '品牌code:{cfg_gen：类型0003}',
  `subsy_brand_type` varchar(8) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '品牌类型code 0089',
  `banr_url` varchar(128) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'bannerurl',
  `audit_status_code` varchar(8) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '公司审核状态code:{cfg_gen: 类型0066}',
  `prod_audit_status_code` varchar(8) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '产品审核状态code:{cfg_gen: 类型0084}',
  `close_audit_status_code` varchar(8) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '公司关闭审核状态code:{cfg_gen:类型0088}',
  `close_audit_approver` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '公司关闭审核审批人',
  `is_allow_subsy_admin_login` int(10) NOT NULL COMMENT '是否允许公司管理员登录后台',
  `price` int(10) DEFAULT NULL COMMENT '均价',
  `popul_val` double(11,4) DEFAULT NULL COMMENT '人气值',
  `serv_score` double(11,4) DEFAULT NULL COMMENT '服务评分',
  `crt_time` datetime NOT NULL COMMENT '创建时间',
  `crt_user_code` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '创建用户code',
  `upd_time` datetime DEFAULT NULL COMMENT '更新时间',
  `upd_user_code` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '更新用户code',
  `del_flg` tinyint(1) NOT NULL COMMENT '删除flag:{0：未删除；1：删除}',
  `ver_num` int(10) NOT NULL COMMENT '版本号码',
  `home_disp_resv_flg` tinyint(1) DEFAULT '0' COMMENT '首页显示预约flag:{0：不预约首页展示；1：预约首页展示}',
  `promotion_desc` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '促销描述',
  `book_desc` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '预定描述',
  `subsy_type` varchar(8) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '公司类型code:{cfg_gen：类型0079}',
  `subsy_activ_flg` int(10) NOT NULL COMMENT '公司可用flag:{0：不可用  1：可用}',
  `subsy_activ_start_time` datetime DEFAULT NULL COMMENT '公司有效期开始时间',
  `subsy_activ_end_time` datetime DEFAULT NULL COMMENT '公司有效期结束时间',
  `subsy_open_flg` int(10) NOT NULL DEFAULT '0' COMMENT '公司是否对外公开',
  PRIMARY KEY (`mst_subsy_base_id`),
  UNIQUE KEY `unique_mst_subsy_base_code` (`subsy_code`),
  UNIQUE KEY `unique_mst_subsy_base_mob` (`mob_num`)
) ENGINE=InnoDB AUTO_INCREMENT=24 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='业务基础－公司基本表';

-- 正在导出表  yc.mst_subsy_base 的数据：~9 rows (大约)
DELETE FROM `mst_subsy_base`;
/*!40000 ALTER TABLE `mst_subsy_base` DISABLE KEYS */;
INSERT INTO `mst_subsy_base` (`mst_subsy_base_id`, `subsy_code`, `subsy_name`, `subsy_disp_name`, `loct_prov_code`, `loct_city_code`, `loct_area_code`, `subsy_addr`, `loct_lon`, `loct_lat`, `phone_num`, `mob_num`, `post_no`, `subsy_desc`, `busi_time_desc`, `brand_code`, `subsy_brand_type`, `banr_url`, `audit_status_code`, `prod_audit_status_code`, `close_audit_status_code`, `close_audit_approver`, `is_allow_subsy_admin_login`, `price`, `popul_val`, `serv_score`, `crt_time`, `crt_user_code`, `upd_time`, `upd_user_code`, `del_flg`, `ver_num`, `home_disp_resv_flg`, `promotion_desc`, `book_desc`, `subsy_type`, `subsy_activ_flg`, `subsy_activ_start_time`, `subsy_activ_end_time`, `subsy_open_flg`) VALUES
	(1, '3130113001', '山泉123', '山泉', '310000', '310100', '310106', '上海市静安区西康路572号', 121.452109, 31.230180, '021-31608679', '13334334333', NULL, '创立于2005年，坐落于静安区西康路昌平路口，地处上海市中心黄金地段，地理位置得天独厚，交通极其便利。采用独栋楼宇的设计理念，闹中取静，是修养身心的绝佳选择。公司环境奢华大气，细节之处独具一格，套房尊贵舒适，安全私密。', '周一至周日 全天', '00030001', NULL, NULL, '00660002', NULL, NULL, NULL, 0, 68000, 3.0000, 5.0000, '2017-09-21 15:20:32', 'U001', '2017-09-21 15:20:40', 'U001', 0, 0, NULL, NULL, NULL, '00790001', 1, '2017-12-01 00:00:00', '2099-12-01 00:00:00', 1),
	(2, '3130117001', '水泉123', '水泉', '310000', '310100', '310115', '上海浦东新区梅花路1108号18楼', 121.561816, 31.210225, '31661153', '13818001092', '201204', '花木公司坐落于浦东超五星级大酒店上海卓美亚喜玛拉雅酒店内，18楼整层行政楼层，每间房间都是行政套房，设有独立空调、中央新风和空气净化系统，杜绝PM2.5对和的危害。', '周一至周日 全天', '00030001', NULL, NULL, '00660002', NULL, NULL, NULL, 0, 68000, 3.0000, 5.0000, '2017-12-22 11:08:17', 'admin', '2017-12-22 11:46:07', 'admin', 0, 3, NULL, '', '', '00790001', 1, '2017-12-01 00:00:00', '2099-12-01 00:00:00', 1),
	(3, '3130318001', '火泉123', '火泉', '310000', '310100', '310115', '浦东新区乳山路231号', 121.526210, 31.237289, '', '15026921909', '200120', '火泉123创立于2010年，坐落于浦东新区乳山路靠近福山路、地处梅园公园对面，空气清新，地理位置优越，交通便利，独栋楼宇，静享私密。聘请专业设计团队按照星级精品酒店标准进行设计和建造，三重顶级安防体系确保每位和的安全私密，公司走廊顶层全透明玻璃装饰，足不出户也能晒太阳。大厅环境典雅，简约大气，尊享大空间的卧房，舒适自在，内部设施齐全，房间内人体工学宽体大床，环保家具，进口电器，独立空调，独立新风系统，美国怡口净水系统和中央饮水系统一应俱全，是理想生活的不二之选。', '周一至周日 全天', '00030003', NULL, NULL, '00660002', NULL, NULL, NULL, 0, 48000, 3.0000, 5.0000, '2018-01-10 10:10:44', 'admin', '2018-01-12 11:08:55', NULL, 0, 2, NULL, '', '', '00790001', 1, '2017-12-01 00:00:00', '2099-12-01 00:00:00', 1),
	(4, '3410118001', '风泉123', '风泉', '110000', '110100', '110108', '北京市海淀区紫竹院路29号香格里拉饭店景阁17层', 116.460315, 39.914164, '', '13426183208', '', '风泉123入驻於北京香格里拉酒店17層，位於北京市海淀區紫竹院路29號，會所保留香格里拉五星級的奢華品質，設計師針對安全、衛生以及私密的需求進行定制化改造，在保留原香格里拉酒店五星級的奢華品質之余更用心在細節處打磨。', '周一至周日（9:00-18:00）', '00030001', NULL, NULL, '00660002', NULL, NULL, NULL, 0, 75800, 3.0000, 5.0000, '2018-01-23 14:15:07', 'admin', '2018-01-25 12:31:17', NULL, 0, 2, NULL, '', '', '00790001', 1, '2017-12-01 00:00:00', '2099-12-01 00:00:00', 1),
	(5, '3420218001', '雷泉123', '雷泉', '120000', '120100', '120104', '南京路海光寺338号金泽大酒店25楼接待处', 117.176720, 39.123401, '', '18522312886', '', '雷泉123所创办于2010年，是全国最大的专业连锁机构，而天津公司是以高星级及专业标准设施进行配备的，位于市中心高端地带，邻近天津市中心妇幼医院，修养环境静谧悠然，地理位置优越，交通便利。客房玻璃门禁体系确保每位和的安全私密，尊享大空间的卧房，舒适自在，内部设施齐全，房间独立弹簧大床，环保家具，进口电器，独立空调，独立新风系统，美国怡口净水系统和中央饮水系统一应俱全，是理想生活的不二之选。', '周一至周日（8:00-19:00）', '00030002', NULL, NULL, '00660001', NULL, NULL, NULL, 0, 39800, 3.0000, 5.0000, '2018-01-29 10:26:04', 'admin', '2018-01-29 10:26:04', NULL, 0, 1, NULL, '', '', '00790001', 1, '2018-01-29 10:26:15', '2099-12-01 00:00:00', 1),
	(6, '3140218001', '金泉123', '金泉', '330000', '330100', '330102', '杭州市上城区望江东路鲲鹏路363号捷特漫大酒店四楼', 120.196790, 30.228099, '0571-86586633', '0571-86586633', '', '公司坐落于杭州市上城区望江东路捷特漫大酒店4层，东临钱塘江，北倚南宋御街、河坊街，坐享城市中心优势资源，闹中取静。距离杭州城站火车站仅16分钟车程，近地铁，交通十分便利。公司环境优美，静谧舒适，整体采用欧式装饰风格，中西合璧，时尚现代，处处尽显尊华。江景房即可将钱塘江的美丽风景尽收眼底，是杭州市唯一花园式公司，受到杭州上万的推崇和信赖。', '周一至周日（8:00-19:00）', '00030002', NULL, NULL, '00660002', NULL, NULL, NULL, 0, 58800, 3.0000, 5.0000, '2018-02-13 10:12:22', 'admin', '2018-02-13 10:12:33', NULL, 0, 2, NULL, '', '', '00790001', 1, '2018-02-13 15:07:24', '2099-12-01 00:00:00', 1),
	(7, '3410118007', '微笑呀', '呵呵呵', '110000', '110100', '110106', '三环四环五环内啊啊啊啊', 116.323992, 39.968649, '011-48849442', '13588660005', '', '你不难过，是因为我替你难过了。真残忍，不是么？', '全年营业\n       早八点到晚八点', '00030001', NULL, '/reso/downLoadPicFile?tranResoFileMngId=TRFM1803011439555B1D3D58ABA2431E8BE75C9B00C611EC', '00660001', '00840003', '00880003', '', 1, 33333, NULL, 5.0000, '2018-03-01 14:51:03', 'MIUB67169682475047784BB4', '2018-03-15 11:30:14', 'MIUB7690274315493997AF7F', 0, 19, 0, '整个天空映在他的瞳孔里，这么看去，好像所有的雨点都是从天心的一点洒落，都会落入他的眼中。', '他总是看着头顶唯一的方窗，渴望鸟儿一样飞翔，渴望什么东西从天而降改变他的人生。', '00790001', 1, '2018-03-01 14:51:04', '2018-03-01 14:51:04', 1),
	(8, '3130118007', '麦冬公司名', '麦冬显示名', '310000', '310100', '310101', '麦冬地址麦冬地址麦冬地址麦冬地址麦冬地址麦冬地址', 121.490317, 31.222771, '', '13564532323', '', '麦冬地址麦冬地址麦冬地址麦冬地址麦冬地址麦冬地址麦冬地址麦冬地址麦冬地址麦冬地址麦冬地址麦冬地址麦冬地址麦冬地址麦冬地址麦冬地址麦冬地址麦冬地址麦冬地址麦冬地址麦冬地址麦冬地址麦冬地址麦冬地址\n麦冬地址麦冬地址麦冬地址麦冬地址麦冬地址麦冬地址麦冬地址麦冬地址麦冬地址', '周一至周六，9：00-18：00；\n周日，全天；', '00030001', NULL, '/reso/downLoadPicFile?tranResoFileMngId=TRFM180301151428656F0D8D7CF54D5B87343DBB2C64A73C', '00660001', '00840002', NULL, NULL, 1, 70000, NULL, 5.0000, '2018-03-01 15:17:52', 'MIUB6720793870139372ECC5', '2018-03-12 20:57:26', 'MIUB6722400082668127E2D4', 0, 11, 0, '买一送一', '', '00790001', 1, '2018-03-01 15:17:53', '2018-03-01 15:17:53', 1),
	(9, '3410118009', '起风了', '风好大', '110000', '110100', '110101', '北京十二环，沿海黄金地带', 116.327589, 39.610997, '123', '13588660063', '', '', '', '00030001', NULL, '/reso/downLoadPicFile?tranResoFileMngId=TRFM1803061528587613EAF8C3EC4149935FE0A3B47EC1B0', '00660001', '00840002', '00880003', '', 1, 9874, NULL, 5.0000, '2018-03-09 09:36:09', 'MIUB67169682475047784BB4', '2018-03-14 11:25:58', 'MIUB7393096794414848871C', 0, 13, 0, '', '', '00790001', 1, '2018-03-09 09:36:05', '2018-03-09 09:36:05', 1);
/*!40000 ALTER TABLE `mst_subsy_base` ENABLE KEYS */;

/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
